

/**打开日期控件*/
function openDate(year,month,day,callback){
    uexControl.openDatePicker(year,month,day);
    uexControl.cbOpenDatePicker=function(opCode,dataType,data){
        if(dataType==1){
            data = JSON.parse(data);
            if(data.month<10) data.month = "0" + data.month;
            if(data.day<10) data.day = "0" + data.day;
            var json = {
                year : data.year,
                month : data.month,
                day : data.day,
            };
            callback(json);
        }
    }   
};

//获取年
getYear = function(date){
    if(date == undefined) date = new Date;
    return date.getFullYear();
};
//获取月
getMonth = function(date){
    if(date == undefined) date = new Date;
    var month = date.getMonth() + 1;
    if(month < 10) month = "0" + month;
    return month;
};
//获取日
getDay = function(date){
   if(date == undefined) date = new Date;
    var day = date.getDate();
    if(day < 10) day = "0" + day;
    return day;
};
//获取当前日期
getDateToday = function(date){
    return getYear() + "-" + getMonth() + "-" + getDay();
};
//获取星期
getWeek = function(date){
    if(date == undefined) date = new Date;
    var week = date.getDay();
    var weekArr = ["日","一","二","三","四","五","六"];
    return weekArr[week];
};
//获取小时
getHours = function(date){
    if(date == undefined) date = new Date;
    return date.getHours();
},
//获取分钟
getMinutes = function(date){
    if(date == undefined) date = new Date;
    return date.getMinutes();
};


function ChangeDateToString(DateIn) {
    var Year = 0;
    var Month = 0;
    var Day = 0;
    var CurrentDate = "";
    //初始化时间
    Year = DateIn.getFullYear();
    Month = DateIn.getMonth() + 1;
    Day = DateIn.getDate();

    CurrentDate = Year + "-";
    if (Month >= 10) {
        CurrentDate = CurrentDate + Month + "-";
    } else {
        CurrentDate = CurrentDate + "0" + Month + "-";
    }
    if (Day >= 10) {
        CurrentDate = CurrentDate + Day;
    } else {
        CurrentDate = CurrentDate + "0" + Day;
    }

    return CurrentDate;
}

function compareTime(startDate, endDate) {
    if (startDate.length > 0 && endDate.length > 0) {
        var arrStartDate = startDate.split("-");
        var arrEndDate = endDate.split("-");

        var allStartDate = new Date(arrStartDate[0], arrStartDate[1], arrStartDate[2], '00', '00', '00');
        var allEndDate = new Date(arrEndDate[0], arrEndDate[1], arrEndDate[2], '00', '00', '00');

        if (allStartDate.getTime() <= (allEndDate.getTime())) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}
 