var taskIdKey = "taskIdKey";//任务单id
var USERNAME = "MU30-lOGIN-USRNAME"
var curUserInfo = "MU30-USERINFO"; //当前登录用户信息
var isPhone = (window.navigator.platform != "Win32");
var isAndroid = (window.navigator.userAgent.indexOf('Android')>=0)?true : false;

function getLocVal(key){
    
    if(appcan.locStorage.getVal(key))
        return appcan.locStorage.getVal(key);
    else
        return "";
}

function getUserCode(){
    var code=localStorage.getItem("MU40-user");
    if(isDefine(code)){
        return code;
    }else{
       var userCode = getLocVal(USERNAME);
       return userCode;  
    }
    //var userCode = getLocVal(USERNAME);
    //userCode = "5333"
    //return userCode;
}

function isDefine(para){
    if (typeof para == 'undefined' || para == "" || para == null || para == undefined) 
        return false;
    else 
        return true;
}

function getUserInfoObj(){
    var userinfo = localStorage['MU30-userInfor-'+getLocVal(USERNAME)];
    if(isDefine(userinfo)){
        userinfo = JSON.parse(userinfo);
    }else{
        userinfo = undefined;
    }
    // var userinfo = {userCode:'5333',crewFlag:'SEC',crewId :'100000825',deptName:'空保二部二分部',userName:'张三'};
    return userinfo;
}

function listProcess(list){
    var arr = [];
    if(list){
        if(list.length){
            arr = list;
        }else{
            arr.push(list);
        }
    }
    
    return arr;
}

//json对象转为string
function json2str(j){
    return JSON.stringify(j);
}
//string转为json对象
function str2json(s){
    return JSON.parse(s);
}
/**
 * 判断是否是空
 * @param value
 */
function isDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined'){
        return false;
    }
       return true;
}

// 值为空时返回空值 
function notDefine(s){
    return (isDefine(s)) ? s : "--";
}
//对象：检测对象是否是空对象(不包含任何可读属性)。 方法既检测对象本身的属性，也检测从原型继承的属性(因此没有使hasOwnProperty)。 
function isEmptyObject(obj){ 
    for (var name in obj)  
    { 
        return false; 
    } 
    return true; 
}

//对象：对象不为空 
function isNotEmptyObject(obj){
    return !isEmptyObject(obj);
}

// 日期：计算两个日期之间天数 
function GetDateDiff(startDate,endDate){  
    var startTime = new Date(Date.parse(startDate.replace(/-/g,   "/"))).getTime();     
    var endTime = new Date(Date.parse(endDate.replace(/-/g,   "/"))).getTime();     
    var dates = Math.abs((startTime - endTime))/(1000*60*60*24);     
    return  dates;    
}

// 日期：获取n天后的日期
function GetDateStr(date, AddDayCount) { 
    var dd = new Date(date); 
    dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期 
    var y = dd.getFullYear(); 
    var m = (dd.getMonth()+1)<10?"0"+(dd.getMonth()+1):(dd.getMonth()+1);//获取当前月份的日期，不足10补0
    var d = dd.getDate()<10?"0"+dd.getDate():dd.getDate(); //获取当前几号，不足10补0
    return y+"-"+m+"-"+d; 
}

//时间格式化函数-调用示例：formatDate(new Date() , "yyyy-MM-dd HH:mm:ss");
function formatDate(date, format) {   
    if (!date) return;   
    if (!format) format = "yyyy-MM-dd";   
    switch(typeof date) {   
        case "string":   
            date = new Date(date.replace(/-/, "/"));   
            break;   
        case "number":   
            date = new Date(date);   
            break;   
    }    
    if (!date instanceof Date) return;   
    var dict = {   
        "yyyy": date.getFullYear(),   
        "M": date.getMonth() + 1,   
        "d": date.getDate(),   
        "H": date.getHours(),   
        "m": date.getMinutes(),   
        "s": date.getSeconds(),   
        "MM": ("" + (date.getMonth() + 101)).substr(1),   
        "dd": ("" + (date.getDate() + 100)).substr(1),   
        "HH": ("" + (date.getHours() + 100)).substr(1),   
        "mm": ("" + (date.getMinutes() + 100)).substr(1),   
        "ss": ("" + (date.getSeconds() + 100)).substr(1)   
    };       
    return format.replace(/(yyyy|MM?|dd?|HH?|ss?|mm?)/g, function() {   
        return dict[arguments[0]];   
    });                   
}

/**打开日期控件*/
function openDate(year,month,day,callback){
    uexControl.openDatePicker(year,month,day);
    uexControl.cbOpenDatePicker=function(opCode,dataType,data){
        if(dataType==1){
            data = eval("("+data+")");
            if(data.month<10) data.month = "0" + data.month;
            if(data.day<10) data.day = "0" + data.day;
            var json = {
                year : data.year,
                month : data.month,
                day : data.day,
            };
            callback(json);
        }
    }   
};

//获取年
getYear = function(date){
    if(date == undefined) date = new Date;
    return date.getFullYear();
};
//获取月
getMonth = function(date){
    if(date == undefined) date = new Date;
    var month = date.getMonth() + 1;
    if(month < 10) month = "0" + month;
    return month;
};
//获取日
getDay = function(date){
   if(date == undefined) date = new Date;
    var day = date.getDate();
    if(day < 10) day = "0" + day;
    return day;
};
//获取当前日期
getDateToday = function(date){
    return getYear() + "-" + getMonth() + "-" + getDay();
};
//获取星期
getWeek = function(date){
    if(date == undefined) date = new Date;
    var week = date.getDay();
    var weekArr = ["日","一","二","三","四","五","六"];
    return weekArr[week];
};
//获取小时
getHours = function(date){
    if(date == undefined) date = new Date;
    return date.getHours();
},
//获取分钟
getMinutes = function(date){
    if(date == undefined) date = new Date;
    return date.getMinutes();
};

function compareTime(startDate, endDate) {
    if (startDate.length > 0 && endDate.length > 0) {
        var arrStartDate = startDate.split("-");
        var arrEndDate = endDate.split("-");

        var allStartDate = new Date(arrStartDate[0], arrStartDate[1], arrStartDate[2], '00', '00','00');
        var allEndDate = new Date(arrEndDate[0], arrEndDate[1], arrEndDate[2], '00', '00', '00');

        if (allStartDate.getTime() <= (allEndDate.getTime())) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}

/**安卓下载pdf**/
var did = 1000;
function down_app(url_update,name,cb){
    var len = url_update.length;
    var beg = url_update.lastIndexOf(".")
    var file_type = url_update.substring(beg+1,len);
    if(isAndroid)
        var saveUpdate = "/sdcard/download/"+name+"."+file_type;
    else
        var saveUpdate = "wgt://data/"+name+"."+file_type;
    uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){
        switch(status) {
            case 0:
                var str = '下载进度：'+percent+'%';
                if(fileSize==-1) str = '下载中，请稍候...';
                uexWindow.toast('1','5', str,'');
            break;
            case 1:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb(saveUpdate);
            break;
            case 2:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb('');
            break;;
        }
    }
    uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){
        if(data == 0){
            uexWindow.toast('1','5', '下载中，请稍候...','');
            uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0');
        }else{
            alert("创建失败");
        }
    }
    
    uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
        if(isDefine(data)){
            cb(saveUpdate);
        }else{
            did++;
            uexDownloaderMgr.createDownloader(did); 
        }
    }
    uexFileMgr.isFileExistByPath(did,saveUpdate);
}
