flyProblem = {};
flyProblem.init = function(){
    // $("ul").on("click","li",flyProblem.toFlightInfo);
     $("ul").on("click","li",flyProblem.openAllFlightInfo);
};
/**
 *点击航班号进入航班详情页面
 */
flyProblem.openAllFlightInfo = function(){
    var flightInfoId = $(this).attr("flightInfoId")
    var date= DATE;
    var param={
        "page": "flyInfo_win",
        condition:{
            "flightInfoId":flightInfoId, 
            "flightDate":date,
            "popover":"flyInfo_basic"
            }
        };
   localStorage["MU3-xiaoI-param"] = JSON.stringify(param);
   // uexWindow.evaluateScript('today', '0', localStorage["MU3-xiaoI-param"]); 
   uexWindow.evaluateScript('today', '0', 'openTab("航班动态","11219621");');
};

//装载数据
flyProblem.load2 = function(type,isRefresh){
    isRefresh || $.iBoxWait();
    iG.ajax({
        data : {
            "type":"FLIGHTCANCELRETURNALTNINFO",
            "condition":{
                "company":iG.getObjItem("flyProblem_win","company"),
                "date":iG.getObjItem("flyProblem_win","date"),
                "action":type
            }
        },
        success : function(data){
           // console.log(JSON.stringify(data))
            iG.ajaxCallback(isRefresh);
            $("ul>li").not(".uhide").remove();
            flyProblem.setTab(data);
            if(iG.isGood(data,true)){
                flyProblem.append(data.array); 
            }      
        }
    })
};
//装载数据
flyProblem.load = function(urlStr,type,isRefresh){
    console.log(urlStr);
    isRefresh || $.iBoxWait();
    $.ajax({ 
             type: "POST",
             url: urlStr,
             contentType: 'text/html;charset=utf-8',
             data:"",
             dataType: "json",
             success: function(data){
                console.log(JSON.stringify(data));
                iG.ajaxCallback(isRefresh);
                $("ul>li").not(".uhide").remove();
                flyProblem.setTab(data);
                //alert(data.data.length);
                uexWindow.evaluateScript('flyProblem_win',0,"cxjz('"+data.data.length+"')");
                //alert($("title").text());
                if (data.data == "" || data.data == null) {
                 appcan.window.openToast("很抱歉，未查询到相应的" + $("title").text(),3000,5,0);
                 //iG.tip("很抱歉，未查询到相应的" + $("title").text());
                }else{
                    flyProblem.append(data.data,type); 
                    //alert(JSON.stringify(data));
                    
                } 
             },
             error: function(erro){
                // alert(JSON.stringify(erro));
                iG.ajaxCallback(isRefresh);
                $("ul>li").not(".uhide").remove();
                appcan.window.openToast("查询出错！",3000,5,0);
                // iG.tip("查询出错！");
             }
         });
};
flyProblem.setTab = function(data){
    var data = JSON.stringify(data,["altnFlightCount","returnFlightCount","cancelFlightCount"])
    iG.setObjItem("flyProblem_win","data",JSON.parse(data));
    uexWindow.evaluateScript("flyProblem_win",0,"iP.load()");
};
//插入数据
flyProblem.append = function(data,type){
    var elem, clone = $("ul>li:first");
    for(var i in data){
        // alert(data[i])
        elem = clone.clone().removeClass("uhide");
        //if(data[i].srvType !="正班" || data[i].flgPatch == "True"){
        if(data[i].srvType !="正班"){
            elem.css("background","#E6E4E4")
        }
        elem.attr({
            "flightinfoid" : data[i].fltId,
            "flightNo" :  data[i].carrierCD +  data[i].fltNbr
        });
        iG.autoData(data[i],elem);
        specialElementHandler(type,data[i],elem);
        flyProblem.setIcon(elem.find("[hand=icon]"),data[i].carrierCD);
        flyProblem.setReason(elem.find("[auto=ReasonRemark]"));
        // flyProblem.setFlgPatch(elem.find("[hand=flgPatch]"),data[i].flgPatch);
        flyProblem.setFlgPatch(elem.find("[hand=flgPatch]"),"True");
        $("ul").append(elem);
    };
};
function specialElementHandler(type,data,elem)
{   
    switch(type)
    {
        case "qx":
        case "mel":
            if(data.planDepartTime!=""&& data.planDepartTime != null)
            {
                var planDepartTime=data.planDepartTime.split(" ")[1];
                if(planDepartTime!=""&&planDepartTime!=undefined)
                {
                    elem.find("[dptTime]").text(planDepartTime.substr(0,5));
                }
            }
             if(data.planArrTime!=""&& data.planArrTime != null)
            {
                var planArrTime=data.planArrTime.split(" ")[1];
                if(planArrTime!=""&&planArrTime!=undefined)
                {
                    elem.find("[arrTime]").text(planArrTime.substr(0,5));
                }
            }
             var psgCount=parseInt(data.bkdQtyC)+parseInt(data.bkdQtyF)+parseInt(data.bkdQtyY);
             elem.find("[psgCount]").text(psgCount);
             //原因部分
              console.log(JSON.stringify(data.changeInfo));
             if(data.changeInfo!=undefined)
             {
                var len=data.changeInfo.length;
                for(var i=0;i<len;i++)
                {
                     var changeTypeCD=data.changeInfo[i].changeTypeCD;
                     if(changeTypeCD=="8"){
                         var changeReason=data.changeInfo[i].changeReason;
                         changeReason==""?"-":changeReason;
                         elem.find("[reason]").text(changeReason);
                     }
                } 
             }else{
                 elem.find("[reason]").text("--");
             }
        break;
        case "fh":
        case "bzc":
            if(data.actualDptTime!=""&& data.actualDptTime != null)
            {
                var actualDptTime=data.actualDptTime.split(" ")[1];
                if(actualDptTime!=""&&actualDptTime!=undefined)
                {
                    elem.find("[dptTime]").text(actualDptTime.substr(0,5));
                }
            }
             if(data.actualArrTime!=""&& data.actualArrTime != null)
            {
                var actualArrTime=data.actualArrTime.split(" ")[1];
                if(actualArrTime!=""&&actualArrTime!=undefined)
                {
                    elem.find("[arrTime]").text(actualArrTime.substr(0,5));
                }
                // elem.find("[arrTime]").text(data.planArrTime.split(" ")[1].substr(0,5));
            }
             var psgCount=parseInt(data.bkdQtyC)+parseInt(data.bkdQtyF)+parseInt(data.bkdQtyY);
             elem.find("[psgCount]").text(psgCount);
             
             //原因部分 返航暂不提示
        break;
        case "bj":
        case "bc":
            if(data.actualDptTime!=""&& data.actualDptTime != null)
            {
                var actualDptTime=data.actualDptTime.split(" ")[1];
                if(actualDptTime!=""&&actualDptTime!=undefined)
                {
                    elem.find("[dptTime]").text(actualDptTime.substr(0,5));
                }
            }
             if(data.actualArrTime!=""&& data.actualArrTime != null)
            {
                var actualArrTime=data.actualArrTime.split(" ")[1];
                if(actualArrTime!=""&&actualArrTime!=undefined)
                {
                    elem.find("[arrTime]").text(actualArrTime.substr(0,5));
                }
                // elem.find("[arrTime]").text(data.planArrTime.split(" ")[1].substr(0,5));
            }
             var psgCount=parseInt(data.bkdQtyC)+parseInt(data.bkdQtyF)+parseInt(data.bkdQtyY);
             elem.find("[psgCount]").text(psgCount);
             //原因部分
             elem.find("[reason]").text(changeReason);
        break;
        case "rg":
        case "rgr":
        case "cgr":
        case "sfyw":
        case "sfywlt2":
        case "sfyw24":
        case "sfywgt4":
        case "yfwflt2":
        case "yfwf24":
        case "yfwfgt4":
        case "vip":
        case "dcgzdlfz":
        case "aog":
            console.log(JSON.stringify(data));
            if(data.actualDptTime!=""&& data.actualDptTime != null)
            {
                var actualDptTime=data.actualDptTime.split(" ")[1];
                if(actualDptTime!=""&&actualDptTime!=undefined)
                {
                    elem.find("[dptTime]").text(actualDptTime.substr(0,5));
                }
            }
             if(data.actualArrTime!=""&& data.actualArrTime != null)
            {
                var actualArrTime=data.actualArrTime.split(" ")[1];
                if(actualArrTime!=""&&actualArrTime!=undefined)
                {
                    elem.find("[arrTime]").text(actualArrTime.substr(0,5));
                }
            }
             var psgCount=parseInt(data.bkdQtyC)+parseInt(data.bkdQtyF)+parseInt(data.bkdQtyY);
             elem.find("[psgCount]").text(psgCount);
        break;
        case "yfwf":
        case "zcwf":
        case "ysf":
        case "wghcm":
        case "yghcm":
        case "kq":
        case "ktjkq":
        case "jhbg":
        case "jhbg":
        case "qwbg":
        case "cs":
            if(data.planDepartTime!=""&& data.planDepartTime != null)
            {
                var planDepartTime=data.planDepartTime.split(" ")[1];
                // alert(planDepartTime)
                if(planDepartTime!=""&&planDepartTime!=undefined)
                {
                    elem.find("[dptTime]").text(planDepartTime.substr(0,5));
                }
            }
             if(data.planArrTime!=""&& data.planArrTime != null)
            {
                var planArrTime=data.planArrTime.split(" ")[1];
                if(planArrTime!=""&&planArrTime!=undefined)
                {
                    elem.find("[arrTime]").text(planArrTime.substr(0,5));
                }
                // elem.find("[arrTime]").text(data.planArrTime.split(" ")[1].substr(0,5));
            }
             var psgCount=parseInt(data.bkdQtyC)+parseInt(data.bkdQtyF)+parseInt(data.bkdQtyY);
             elem.find("[psgCount]").text(psgCount);
             //原因部分
             if(type=="jhbg")
             {
                  if(data.changeInfo!=undefined){
                     var len=data.changeInfo.length;
                     for(var i=0;i<len;i++)
                     {
                         var changeTypeCD=data.changeInfo[i].changeTypeCD;
                         if(changeTypeCD=="21"){
                             var change=data.changeInfo[i].tailNoOld+"->"+data.changeInfo[i].tailNoNew;
                             elem.find("[reason]").text(change);
                         }
                     }  
                  }else{
                     elem.find("[reason]").text("--");
                  }
                
             }
             if(type=="qwbg")
             {
                  if(data.changeInfo!=undefined){
                     var len=data.changeInfo.length;
                     for(var i=0;i<len;i++)
                     {
                         var changeTypeCD=data.changeInfo[i].changeTypeCD;
                         if(changeTypeCD=="22"){
                             var change=data.changeInfo[i].dptAcPosOld+"—>"+data.changeInfo[i].dptAcPosNew;
                             elem.find("[reason]").text(change);
                         }
                     } 
                  }else{
                     elem.find("[reason]").text("--");
                  }
                 
             }
        break;
    }
}
//设置flgPatch
flyProblem.setFlgPatch = function(elem,boolean){
    if(boolean == "True"){
        elem.text("(+)")
    }
};
//设置图标
flyProblem.setIcon = function(elem,type){
    var carrier = {
        "MU" : "img182",
        "FM" : "img11",
        "KN" : "img62"
    };
    elem.addClass(carrier[type]);
};
//设置原因
flyProblem.setReason = function(elem){
    if(elem.text()==""){
        elem.parent().parent().remove();
    }
};
//到航班信息
flyProblem.toFlightInfo = function(){
    var data = {
        flightInfoId : $(this).attr("flightInfoId")
    }
  //  uexDataAnalysis.setEvent("E1008","{'':''}");
    iG.openWin("flyInfo_win",data);
};


//动态tab
function appendTab(arrayObj,selectedItem){
    var len=arrayObj.length;
    if(len==0)
    {
        $("#footer").remove();
        return;
    }
    var elem, clone = $("#footer>div:first");
    $("#footer>div").remove();
    for(var i=0;i<len;i++){
        elem = clone.clone().removeClass("uhide");
        elem.find("[content]").text(arrayObj[i].content);
        elem.find("[counts]").text(arrayObj[i].counts);
        elem.find("[counts]").attr("id","id"+i);
        elem.find("[content]").attr("id","ids"+i);
        elem.attr({
            "title" : arrayObj[i].title,
            "link" :  arrayObj[i].link
        });
        if(selectedItem==arrayObj[i].content)
        {
             elem.addClass("bc16 c1");
        }
        elem.click(function(){
                // $(this).unbind("click");
                if($(this).hasClass("bc16"))
                {
                    return;
                }
                $("[title]").removeClass("bc16 c1 c24");
                $(this).addClass("bc16 c1");
                $("#title").text($(this).attr("title"));
                win.openPopover($(this).attr("link"));
                var tit=$(this).attr("title");
                tit=tit.split("(")[1];
                tit=tit.split(")")[0];
                setLocVal("thisbz",tit);
         });
         
        $("#footer").append(elem);
    }
}

function getObj(content,counts,title,link)
{
    var obj={};
    obj.content=content;
    obj.counts=counts;
    obj.title=title;
    obj.link=link;
    return obj;
}
function getArray(Item)
{
    var arr=[];
    var json=JSON.parse(getLocVal("InfoListData"));
    switch(Item)
    {
        case '返航':
        case '取消':
        case '应飞未飞':
        case '不正常航班':
            arr[0]=getObj('返航',json.fanhang,'航班(返航)','flyProblem_return');
            arr[1]=getObj('取消',json.quxiao,'航班(取消)','flyProblem_cancel');
            arr[2]=getObj('应飞未飞',json.yingfeiweifei,'航班(应飞未飞)','flyProblem_underPort');
            arr[3]=getObj('不正常航班',json.buzhengchanghangbanshu,'航班(不正常航班)','flyProblem_irregular');
        break;
        case '进港':
        case '出港':
            arr[0]=getObj('进港',json.rugang,'航班(进港)','flyProblem_portIn');
            arr[1]=getObj('出港',json.chugang,'航班(出港)','flyProblem_portOut');
        break;
        case '备进':
        case '备出':
            arr[0]=getObj('备进',json.beijin,'航班(备进)','flyProblem_alternateIn');
            arr[1]=getObj('备出',json.beichu,'航班(备出)','flyProblem_alternateOut');
        break;
        case '实飞延误':
        case '延误<2小时':
        case '延误2-4小时':
        case '延误>4小时':
            arr[0]=getObj('实飞延误',json.dangtianyanwu,'航班(实飞延误)','flyProblem_delay');
            arr[1]=getObj('延误<2小时',json.shifeiyanwult2xiaoshi,'航班(延误<2小时)','flyProblem_delay2hour');
            arr[2]=getObj('延误2-4小时',json['shifeiyanwu2-4xiaoshi'],'航班(延误2-4小时)','flyProblem_delay2_4hour');
            arr[3]=getObj('延误>4小时',json.shifeiyanwugt4xiaoshi,'航班(延误>4小时)','flyProblem_delay4hour');
        break;
        case '正在延误':
        case '延 误<2小时':
        case '延 误2-4小时':
        case '延 误>4小时':
            arr[0]=getObj('正在延误',json.yingfeiweifei,'航班(正在延误)','flyProblem_realflightdelay');
            arr[1]=getObj('延 误<2小时',json.zhengzaiyanwult2xiaoshi,'航班(延 误<2小时)','flyProblem_ndelay2hour');
            arr[2]=getObj('延 误2-4小时',json["zhengzaiyanwu2-4xiaoshi"],'航班(延 误2-4小时)','flyProblem_ndelay2_4hour');
            arr[3]=getObj('延 误>4小时',json.zhengzaiyanwugt4xiaoshi,'航班(延 误>4小时)','flyProblem_ndelay4hour');
        break;
        case '已关货舱门':
        case '未关货舱门':
            arr[0]=getObj('已关货舱门',json.yiguanhuocangmen,'航班(已关货舱门)','flyProblem_cabinClosed');
            arr[1]=getObj('未关货舱门',json.weiguanhuocangmen,'航班(未关货舱门)','flyProblem_cabinUnclosed');
        break;
        case '总靠桥':
        case '宽体机靠桥':
            arr[0]=getObj('总靠桥',json.kaoqiao,'航班(总靠桥)','flyProblem_bridge');
            arr[1]=getObj('宽体机靠桥',json.kuantijikaoqiao,'航班(宽体机靠桥)','flyProblem_bridgeWide');
        break;
    }
    return arr;
}