/*语言包

 v1.0 by wangpei 2016-08-08*/

/*中文*/
var zh_cn = {
	"CEARI_TODAY":"今天",
	"CEARI_MESSAGE":"消息",
	"CEARI_VOICE":"语音",
	"CEARI_HAPPYMU":"幸福东航",
	"CEARI_ME":"我",
	
	"CEARI_MESSAGE":"消息",
	"CEARI_UPCOMING":"待办",
	"CEARI_EMAIL":"邮件",
	"CEARI_SEARCH":"搜索",
	"CEARI_SEARCHPLACEHOLD":"请输入关键字",
	"CEARI_UPDATED":"更新日期",
	"CEARI_MYTODOLIST":"我的待办",
	
	"CEARI_EDIT":"编辑",
	"CEARI_WOULDADDOTHERACCOUNT":"添加其他系统账号",
	"CEARI_ADDOTHERACCOUNT":"是否添加其他账号",
	"CEAIR_DELETE_BINDING_ACCOUNT_IS_FORBIDEN":"提示：当前正在使用的帐号不能删除",
	"CEARI_JUMP":"跳过",
	"CEARI_SETSYSTEMSETTING":"如跳过之后可以在“系统设置”账号管理中继续添加",
	"CEARI_FINISH":"完成",
	"CEAIR_NETWORKANOMALY":"网络异常!",
	"CEARI_PLEASEWAITING":"请稍候...",
	"CEARI_DATALOADINGFAILED":"数据加载失败!",
	"CEARI_FAILEDREMOVEBINDINGACCOUNT":"解除账号绑定失败！",
	"CEARI_BINDONACCOUNT":"系统账号",
	"CEARI_NOMORE":"没有更多了",
	"CEARI_DRAGLOAD":"拖动加载",
	"CEARI_RELEASELOADING":"释放加载",
	
	"CEAIR_USER":"用户账号",
    "CEAIR_PASS":"用户密码",
    "CEARI_IDCARD":"身份证",
    "CEARI_CARD":"卡　号",
    "CEARI_ADD":"添加",
    "CEARI_BACK":"返回", 
    "CEARI_EMPLOYEE":"员工号", 
    "CEARI_FREETICKETCARD":"免优票卡号", 
    "CEARI_PROMPT":"提示", 
    "CEARI_BANDFIALED":"账号绑定失败是否重试",
    "CEARI_FAILURE":"失败原因：",
    "CEARI_RETRY":"重试",
    "CEARI_CANCEL":"取消",
    "CEARI_BINDINGACCOUNT":"正在绑定账号...",
    "CEARI_ACCOUNTANDPASS":"请输入账号和密码",
    "CEARI_DETERMINE":"确定",
    "CEAIR_SWICHINGACCOUNT":"切换账号",
    "CEAIR_BANDACCOUNT":"绑定业务账号",

};


/*英语*/
var en_us = {
	"CEARI_TODAY":"Today",
	"CEARI_MESSAGE":"Message",
	"CEARI_VOICE":"Voice",
	"CEARI_HAPPYMU":"MU",
	"CEARI_ME":"Me",
	
	"CEARI_MESSAGE":"Message",
	"CEARI_UPCOMING":"To-do list",
	"CEARI_EMAIL":"Mail",
	"CEARI_SEARCH":"Search",
	"CEARI_SEARCHPLACEHOLD":"Enter the keywords",
	"CEARI_UPDATED":"Update",
	"CEARI_MYTODOLIST":"My To-do list",
	
	"CEARI_EDIT":"Edit",
	"CEARI_ADDOTHERACCOUNT":"Add other accounts",
	"CEAIR_DELETE_BINDING_ACCOUNT_IS_FORBIDEN":"Tips：you can not remove the account in use",
	"CEARI_WOULDADDOTHERACCOUNT":"Would you like to add other accounts",
	"CEARI_JUMP":"Jump",
	"CEARI_SETSYSTEMSETTING":"you can set it in the 'account management' of system setting",
	"CEARI_FINISH":"Finish",
	"CEAIR_NETWORKANOMALY":"Network Anomaly!",
	"CEARI_PLEASEWAITING":"Loading,Please Wait...",
	"CEARI_DATALOADINGFAILED":"Data loading failed!",
	"CEARI_FAILEDREMOVEBINDINGACCOUNT":"Failed to remove account binding!",
	"CEARI_BINDONACCOUNT":"Bind on Account",
	"CEARI_NOMORE":"No more",
	"CEARI_DRAGLOAD":"Drag load",
	"CEARI_RELEASELOADING":"Release loading",
	
	"CEAIR_USER":"Username",
    "CEAIR_PASS":"Password",
    "CEARI_IDCARD":"ID card",
    "CEARI_CARD":"ID card",
    "CEARI_ADD":"add",
    "CEARI_BACK":"back", 
    "CEARI_EMPLOYEE":"EmployeeID",  
    "CEARI_FREETICKETCARD":"Free ticket card", 
    "CEARI_PROMPT":"Prompt", 
    "CEARI_BANDFIALED":"Account binding failed to retry", 
    "CEARI_FAILURE":"Cause of failure：",
    "CEARI_RETRY":"Retry",
    "CEARI_CANCEL":"Cancel",
    "CEARI_BINDINGACCOUNT":"Binding account...",
    "CEARI_ACCOUNTANDPASS":"Please enter your account number and password",
    "CEARI_DETERMINE":"Determine",
    "CEAIR_SWICHINGACCOUNT":"Switch account",
    "CEAIR_BANDACCOUNT":"Bind account",
};

/*语言*/
var language = {
    "zh_cn" : zh_cn,
    "en_us" : en_us    
};
/*****************调试使用*********************************************************/
//localStorage["LANGUAGE"] = "en_us"; //调试使用

/*根据id获取相应语言*/
function getString (id) {
    //启动工程时，需要写入 用户选择的语言类型
	var lan = getstorage("CEAIR_LANGUAGE") || 'zh_cn';
    //var lan = getLocVal["LANGUAGE"];
    var str = language[lan];
    //根据语言获取语言对象
    if(str){
        return str[id]?str[id]:"";
    }else{
        return "";
    }
}

function getlan(str,id){
    if(getstorage("CEAIR_LANGUAGE")=="en_us"){
        return(getString(id));
    }else{
        return str;
    }
}
/*初始化网页中的文字*/
function initLan () {
	var lan = getstorage("CEAIR_LANGUAGE");
    //var lan = getLocVal["LANGUAGE"];
    //if(lan == 'zh_cn'||lan == ''){
        //默认中文展示
       // return;
   // }
    
    var items = $("[data-lan]");
    for(var i = 0; i < items.length; i++){
        var item = $(items[i]);
        var id = item.attr("data-lan");
		if($(item).is("input")||$(item).is("textarea")){
            if(item.attr('value')){
              item.attr('value',getString(id));  
            }else item.attr("placeholder",getString(id));
			
		}else{
			item.text(getString(id));
		}
        
    }
    // alert(getString ("100"));
}

initLan();
