(function(jQuery){
	$.system=function(){
		/**************************（公共方法）***************************/
		this.loadPageSize;//当前用户需要加载多少个接口
		/**
		 * 登录获取角色
		 */
		this.userLogin = function(){

            switch (domainName) {
                case '管控领域':
                    domeName = 'GKLY';
                    break;
                case '飞行领域':
                    domeName = 'FXLY';
                    break;
                case '运行领域':
                    domeName = 'OPLY';
                    break;
                case '营销领域':
                    domeName = 'YXLY';
                    break;
                /*****************掌控*********************/
                case '乘务领域':
                    domeName = 'CWLY';
                    break;
                case '机务领域':
                    domeName = 'JWLY';
                    break;
                case '地服领域':
                    domeName = 'DFLY';
                    break;
                case '空保领域':
                    domeName = 'KBLY';
                    break;
				case '联合办公':
                    domeName = 'GKLY';
                    break;
                default:
				    $.iBoxMsg("没有可用消息");
            }
			 $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
            	url: permissionListUrl+"userId="+userName+"&field="+domeName,
			    success: function(data){
                    if (data.status == 0) {
						var list =data.data.data;
						iG.setObjItem("system", "lyListJson", list);//将当前用户需要调用的方法进行保存
						$.email().emailLogin(false);
 						$.iBoxWait();
						iP.laodData(1);
					}
					else 
						$.iBoxMsg("信息获取失败");
                },
                error: function(data){
                    $.iBoxMsg(JSON.stringify(data));
                }
            });
		}
	
		
		/**
		 * 根据不同领域分配不同的方法
		 */
        this.differentField = function(){
            var lyListJson = iG.getObjItem("system", "lyListJson");
			if(lyListJson==undefined){
				  $.iBoxMsg("信息获取失败,请下拉刷新");
				  return;
			}
			localStorage.setItem("MESSAGE-UNREADCOUNT",""+0);
			iP.checkTipPoint();
			$.system().loadPageSize = lyListJson.length;
			var listjsonL = lyListJson.length;

            for (var i=0;i<listjsonL;i++) {
				var code = lyListJson[i].code;
				var name = lyListJson[i].name;
				var groupTitle = name;
				var tipStr = name;
				var lineOrGroup = 1;
                switch (code) {
                    case 'TODO_TASK':		//我的待办
							$.system().getAgent();//我的待办
                        	break;
					case 'ZOOM':
							lineOrGroup = 2;
							$.system().getCommonDepMessage(code,groupTitle,tipStr,lineOrGroup);
							break;
                    case 'MANDATORY_MESSAGE':
                    case 'CREW_ASSIGN_CHANGE':
                    case 'FLIGHT_PLAN_CHANGE':
                    case 'QUALIFICATION_EXPIRE':
                    case 'LICENSE_EXPIRE':
                    case 'SIGNING_IN':
                    case 'PUBLISHED_DISPATCHING_DOCUMENTS':
                    case 'PUBLISHED_FLIGHT_PLAN':
                    case 'REVIEWED_TASK_BOOKS':
                    case 'NEW_TRAINING':
                    case 'NEW_AIRCRAFT_MANUALS':
							lineOrGroup = 2;
							$.system().getCommonDepMessage(code,groupTitle,tipStr,lineOrGroup);
							break;
                    default:
                    		$.system().getCommonDepMessage(code,groupTitle,tipStr,lineOrGroup);
                    		break;
                }
            }
        }

        /**
         * 我的代办页面跳转
         * @param {Object} url
         */
        iP.fowrod = function(url, title){
            //本地存储
            if (url == "null" || url == 'undefined') {
                uexWindow.alert("http://bte.ceair.com", "请到PC端处理", "确定");
            }else if(title=='我的待办'){
				var TODO_TASK =JSON.parse(localStorage.getItem("TODO_TASK"));
				for(var i=0;i<TODO_TASK.length;i++){
					var val =  TODO_TASK[i];
					if(val.Title==url){
						localStorage.setItem("xiaoxidaiban",JSON.stringify(val));
						break;
					}
				}
				localStorage['openTypes']= 'system';
				openTabByName("sdk10018","我的待办","unionoffice.html");
				//uexWindow.evaluateScript('today', '0', 'openTabByName("sdk10018","我的待办","unionoffice.html")');
			 }else {
                // console.log(title);
                iG.setObjItem("system", "url", url);
				iG.setObjItem("system", "title", title);
                iG.openWin('openUrl_win');
            }
        }
		/**
		 * 消息列表跳转详情页
		 * @param {Object} pageType
		 */
		this.foworDpage = function(pageType){
			iG.setObjItem("system", "pageType", pageType);
			iG.openWin("messageCont");
		}
		/**
		*		检测提示红点
		**/
		iP.checkTipPoint = function()
		{
			var ret = false;
			if (localStorage.getItem("MESSAGE-UNREADCOUNT") != '0'||localStorage.getItem("EMAIL-UNREADCOUNT") != '0' ){
			    ret=true;
			    setRed('0');
			}else{
			    setRed('1');
			}
			if (localStorage.getItem("MESSAGE-UNREADCOUNT") == '1' )
			{
				uexWindow.evaluateScript("message_win",0, "iP.setClass('systemNum','w8 h8 fs8 c-wh uc-a5 t-wh')");
			}
			else
			{
				uexWindow.evaluateScript("message_win",0, "iP.setClass('systemNum','w8 h8 fs8 c-wh uc-a5 t-wh uhide')");
			}
			return ret;
		}

		/**
		*    打开视频会议 
		*/
		this.openZoom = function(url)
		{
			iG.openUrlwithBrowser(url)
		}

		/**
		*    打开磁贴  
		*    pageName存在时, 打开磁贴并跳转到pageName页
		*    pageName不存在时, 只打开磁贴
		*    2016.11.23吕志超 
		*/
		this.openInnerApp = function(appId,appName,pageName)
		{
		    appId='11320429';
		    appName = 'IT运维监控';
		    pageName = '{"url":"index.html","push":"yes","appName":"ESB系统（动态的数据）"}';
			if (appName == null || appName == undefined )
			{
				logs("打开磁贴参数错误");
				return;
			}
			var s = "";
			if (pageName==null || appName == undefined)
			{
				//s = "openTab("+appName+")";
				localStorage['openTypes']= 'system';
				openTab(appName);
			}
			else
			{
				if (appId == null || appId == undefined )
				{
					logs("打开磁贴参数错误");
					return;
				}
				pageName=pageName.replace(/\"/g,"\\\"");
				localStorage['openTypes']= 'system';
				openTabByName(appId,appName,pageName);
				//s = "openTabByName("+'"'+appId+'"'+","+'"'+appName+'"'+","+'"'+pageName+'"'+")";
			}
			//uexWindow.evaluateScript('today', '0', s);
		}

		/**
		 *    消息获取解析通用接口   
		 *    除我的代办外 其余消息均通过此接口获取 
		 *    2016.11.21 吕志超 
		 *		department:			所属领域
		 *		groupTitle:			消息组标题  或  单条消息标题
		 *		tipStr:					提示文字 (例 您有X条<必读消息>)
		 *		lineOrGroup:			消息作为组显示还是单条显示	 值应为 1:列表 或 2:单行
		 */
		this.getCommonDepMessage = function(department, groupTitle, tipStr, lineOrGroup)
		{
		    var tmpurl = masServerIP+"pulbic/QBMessage/YDCWnoticeList?userId=";
		    tmpurl=tmpurl+ userName+"&system="+department;
		    $.ajax({
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: tmpurl,
                success: function(data)
                {
                	var Icon="agent";
                	data=data.data;
                    if (data == null) 
                    {
                        $.system().showWin();
                    }
                    else if (data[0] == null)
                    {
                    	$.system().showWin();
                    }
                    else 
                    {
                    	var data2show=[];
                        for (var i=0; i< data.length; i++)
                        {
							var tmparr = {};
                            tmparr.Title = data[i].title;
                            tmparr.content = data[i].content;
                            tmparr.BeginTime = data[i].createDate.substring(10,16);
                            tmparr.lastModifyTime = data[i].createDate;
                            tmparr.action = data[i].ext.behavior;
							tmparr.ActionUrl = "";

							if ( department=='ZOOM')		//视频会议单独处理
							{
								tmparr.ActionUrl = data[i].ext.url;
							}
							else if ( tmparr.action =="openpage" )		//行为:跳转到磁贴
							{
								//参数异常时 根据领域 设置默认跳转参数
								if ( data[i].ext.tileName =="" || data[i].ext.tileName == undefined )
								{
									logs("消息参数异常 \nid:"+data[i].id+"\n领域:"+data[i].system);
									switch (domainName) 
									{
											case '管控领域':
													break;
											case '飞行领域':
													data[i].ext.tileName = '飞行关注' ;
													break;
											case '运行领域':
													break;
											case '营销领域':
													break;
											case '乘务领域':
													data[i].ext.tileName = '必读通知';
													break;
											case '机务领域':
													break;
											case '地服领域':
													break;
											case '空保领域':
													break;
											case '联合办公':
													break;
											default:
													break;
									}
								}
								//将磁贴名, 与磁贴页面 拼接为参数
								tmparr.appId = data[i].ext.appid;
								tmparr.appName = data[i].ext.tileName;
								tmparr.pageName = data[i].ext.url;
								if ( typeof(tmparr.pageName) == 'object' )
								{
								tmparr.pageName = json2Str(tmparr.pageName);
								}
								tmparr.pageName=tmparr.pageName.replace(/\"/g,"&quot;");
								tmparr.ActionUrl = "";
								tmparr.ActionUrl = "'"+tmparr.appId+"'"+","+"'"+tmparr.appName+"'"+","+"'"+tmparr.pageName+"'";
							}
							else if ( tmparr.action =="netpage" )		//行为:打开地址
							{
								tmparr.ActionUrl = data[i].ext.url;
							}
                            data2show.push(tmparr);

                        }
                        //alert(json2Str(data2show));
                        //设置图标
                        if (data2show.length > 0)
                        {
							switch (domainName) 
							{
									case '管控领域':
											Icon = "zk";
											break;
									case '飞行领域':
											Icon = "fx";
											break;
									case '运行领域':
											Icon = "yunx";
											break;
									case '营销领域':
											Icon = "yx";
											break;
									case '乘务领域':
											Icon = "cw";
											break;
									case '机务领域':
											Icon = "jw";
											break;
									case '地服领域':
											Icon = "df";
											break;
									case '空保领域':
											Icon = "kb";
											break;
									case '联合办公':
											Icon = "agent";
											break;
									default:
											Icon = "agent";
											break;
							}
							if (data2show.length > 0)
                        	{
								if ( department=='ZOOM')		//视频会议单独处理
								{
									$.system().zoom(data2show);
								}
		                        else if ( lineOrGroup == 1 )		//列表
		                        {
		                        	$.system().setCenterAll(data2show, groupTitle, Icon, tipStr,department);
		                        }
		                        else if ( lineOrGroup == 2 )		//单条
		                        {
		                        	$.system().setCenter(data.length, groupTitle, tipStr,Icon, data2show[0].ActionUrl ,department);
		                        }
				        		localStorage.setItem("MESSAGE-UNREADCOUNT",""+1);
								iP.checkTipPoint();
		                    }
						}
                    }
                },
                error: function(data)
                {
                    $.system().showWin();
                }
            });
		}




		/**
		 * 我的代办
		 */
        this.getAgent = function(){
            $.ajax({ //获取我的代办
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: agentUrl+"userUid=" + userName + "&pwd="+userPass+"&pageIndex=0&pageSize=10000",
                success: function(data){
                    if (data.status == 0) {
						$.system().showWin();
						if(data.message!=undefined){
							if (data.message.length > 0) {
							    localStorage.setItem("MESSAGE-UNREADCOUNT",""+1);
                                iP.checkTipPoint();
								$.system().setCenterAll(data.message, '我的待办', 'agent', '新的待办',"TODO_TASK");
							}
						}
					}
					else {
						$.system().showWin();
					}
                },
                error: function(data){
						$.system().showWin();
                }
            });
        }
	   
        /**
         * 系统通知页面展示(自带列表)
         * @param {Object} datas
         */
        this.setCenterAll = function(pageDatas, name, img, nameInfo,div){
                var listData = '';
                var isNotRead = pageDatas.length;
                for (var x=0;x<pageDatas.length;x++) {
					var showRed = 'uhide';
                    var title = '';
                    if ( pageDatas[x].content !='' && pageDatas[x].content!=undefined && pageDatas[x].content!=null)
                    {
                    	title = pageDatas[x].content;
                    }
                    else
                    {
                    	title = pageDatas[x].Title;
                    }
					var time = pageDatas[x].BeginTime;
                    if (time == undefined) {
                        time = pageDatas[x].lastModifyTime;
                        if (time.length > 15) {
                           var time1 = time.split(" ");
						   time = time1[0];
                        }
                        else {
                            var d = new Date(time);
                            time = iG.formatDate(d);
                        }
						pageDatas[x].lastModifyTime =time;
                    }
                    else if (time.length==6)
                    {
                    }
                    else {
                        time = iG.getUTCTime(time);
						pageDatas[x].BeginTime =time;
                    }
					
                    if (isNotRead > 0) {
						localStorage['isHaveMessage']='1';
						uexWindow.evaluateScript("message_win",0, "iP.changeColor('systemNum')");
                    }
					var isShowImg = "uhide";
					var urlStr =pageDatas[x].ActionUrl;
					var daiban = '';
					if(name=="我的待办"){
						if (urlStr!=""&&urlStr!=undefined) {
							urlStr = title;
		                	isShowImg="ub-img img-phone" ;
		                }else{
							isShowImg = "ub-img img-pc";
						}
					}

					var sbehavior="";
					if ( pageDatas[x].action == null || pageDatas[x].action == undefined)		//待办
					{
						sbehavior = "onclick=iP.fowrod("+'"'+urlStr+'"' + ","+'"'+name+'"'+")";
					}
					else if ( pageDatas[x].action == "netpage" )		//打开URL
					{
						sbehavior = "onclick=iP.fowrod("+'"'+urlStr+'"' + ","+'"'+name+'"'+")";
					}
					else if ( pageDatas[x].action == "openpage" )		//打开磁贴指定页面
					{
						sbehavior = "onclick="+'"'+"$.system().openInnerApp("+"'"+pageDatas[x].appId+"'"+ ","+"'"+pageDatas[x].appName+"'" +","+"'"+pageDatas[x].pageName +"'"+")"+'"';
					}
                    listData += '<div class="c-wh ulev-1 umar-l umar-r " style="margin:0 1em 0 1em"'+sbehavior+'>\
                			    <ul  class="uc-t ubb b-gra ub  ub-ac lis">\
									<div class>\
		        		            	<div class="'+showRed+'" style="position:absolute;right:5%;top:-10%; background:#F00; z-index:99;"></div>\
		        		            	<div class="'+isShowImg+'"></div>\
		        		            </div>\
                			        <ul class="ub-f1 ub ">\
                			            <li class=" ub-f1 ulev0 umh4 uinn t-gra t-red">' + title +'</li>\
                			            <li class="">\
                							    <div class="ub-f1 uinn fs8 c8 tx-r">' +time +'</div>\
                			            </li>\
                			        </ul>\
                			    </ul>\
                			</div>';
                }
				localStorage.setItem(div,JSON.stringify(pageDatas));
				var t = $$(div);
				if ( t == undefined )
				{
					//如果未找到对应领域的类型, 则放到未定义类型下
					div = 'DEP_UNDEFINED';
				}
				$("#"+div).html("");
		        $("#"+div).html('<div class="" style="margin-bottom:.1em">\
        			    <input type="checkbox" class="uhide">\
        			    <div  onclick="zy_for(event,zy_fold);" class="t-wh ub uinn ub-ac c-wh col umh4">\
        			        <div class="ub c6 c-wh ub-f1 " >\
        		            <div>\
        		            	<div class="w14 h14 fs8 c-wh uc-a5 t-wh ub ub-ac ub-pc" style="position:absolute;right:-10%;top:-10%; background:#F00; z-index:99;">' + isNotRead + '</div>\
        		            	<div class="ub-img img-' +img +'"></div>\
        		            </div>\
        		            <div class="ub ub-ver ub-pc ub-f1 pl5 pr5">\
        		                <div class="fs10 u-fw t-bla">' +name +'</div>\
        		                <div class="fs8 c8 mt3">您有' +isNotRead +'条' + nameInfo +'</div>\
        		            </div>\
        		        	</div>\
        			        <div class="  ub-img list-icon umar-r" style="width:1.5em;height:0.7em;"></div>\
        			    </div>\
        			    <div class=" umh6 t-bla ubt b-gra c-wh col-c ">' +listData +'</div>\
        		</div>');
        }
		/**
		 * 更新成功提示
		 */
        this.showWin = function(){
			 uexWindow.evaluateScript("message_win",0, "iP.updateTime(0)");
			 $.iBoxHide();
        }
		/**
         * 系统通知页面展示（不带直接跳转）
         * @param {Object} datas
         */
        this.setCenter = function(num,name,nameInfo,img,url,div){
			uexWindow.evaluateScript("message_win",0, "iP.changeColor('systemNum')");
			localStorage['isHaveMessage']='1';
//			uexWindow.evaluatePopoverScript("message_win","commonFooter","iP.checked()");
			var sbehavior = " onclick="+'"'+"$.system().openInnerApp("+url+")"+'"';
			var t = $$(div);
			if ( t == undefined )
			{
				//如果未找到对应领域的类型, 则放到未定义类型下
				div = 'DEP_UNDEFINED';
			}
		    $("#"+div).html("");
			$("#"+div).html('<div class="ubb b-gra">\
        			    <input type="checkbox" class="uhide">\
        			    <div class=" t-wh ub uinn ub-ac c-wh col umh4"'+sbehavior+'>\
        			        <div class="ub c6 c-wh ub-f1 " >\
        		            <div>\
        		            	<div class="w14 h14 fs8 c-wh uc-a5 t-wh ub ub-ac ub-pc" style="position:absolute;right:-10%;top:-10%; background:#F00; z-index:99;">' + num + '</div>\
        		            	<div class="ub-img img-' +img +'"></div>\
        		            </div>\
        		            <div class="ub ub-ver ub-pc ub-f1 pl5 pr5">\
        		                <div class="fs10 u-fw t-bla">' +name +'</div>\
        		                <div class="fs8 c8 mt3">您有' +num +'条' + nameInfo +'</div>\
        		            </div>\
        		        	</div>\
        			        <div class="umh2 umw2  ub-img list-icon1"></div>\
        			    </div>\
        			</div>');
        }

		/**
		 * 视频会议
		 */
        this.zoom = function(data)
        {
            $.system().showWin();
		    var json = data;
			var listData = '';
            var isNotRead = json.length;
            for (var x=0;x<isNotRead;x++) 
            {
				var content = json[x].content;
				var time = json[x].BeginTime;

                listData += '<div class="c-wh ulev-1 umar-l umar-r " style="margin:0 1em 0 1em" onclick=\'$.system().openZoom('+'"'+json[x].ActionUrl+'"'+')\'>\
            			    <ul  class="uc-t ubb b-gra ub  ub-ac lis">\
								<div>\
	        		            	<div class="ub-img img-muc"></div>\
	        		            </div>\
            			        <ul class="ub-f1 ub ">\
            			            <li class=" ub-f1 ulev0 umh4 uinn t-gra t-red">' + content +'</li>\
            			            <li class="">\
            							    <div class="ub-f1 uinn fs8 c8 tx-r">' +time +'</div>\
            			            </li>\
            			        </ul>\
            			    </ul>\
            			</div>';
            }
			$("#ZOOM").html("");
	        $("#ZOOM").html('<div class="" style="margin-bottom:.1em">\
    			    <input type="checkbox" class="uhide">\
    			    <div  onclick="zy_for(event,zy_fold);" class="t-wh ub uinn ub-ac c-wh col umh4">\
    			        <div class="ub c6 c-wh ub-f1 " >\
    		            <div>\
    		            	<div class="w14 h14 fs8 c-wh uc-a5 t-wh ub ub-ac ub-pc" style="position:absolute;right:-10%;top:-10%; background:#F00; z-index:99;">' + isNotRead + '</div>\
    		            	<div class="ub-img img-meeting"></div>\
    		            </div>\
    		            <div class="ub ub-ver ub-pc ub-f1 pl5 pr5">\
    		                <div class="fs10 u-fw t-bla">视频会议</div>\
    		                <div class="fs8 c8 mt3">您有' +isNotRead +'条视频会议邀请</div>\
    		            </div>\
    		        	</div>\
    			        <div class="  ub-img list-icon umar-r" style="width:1.5em;height:0.7em;"></div>\
    			    </div>\
    			    <div class=" umh6 t-bla ubt b-gra c-wh col-c ">' +listData +'</div>\
    		</div>');
        }

		return this;
	}
})(jQuery);