var isSML = (window.navigator.platform=='Win32')?1:0;
var isAndroid = (/android/gi).test(navigator.appVersion);
var isIphone = (/iphone/gi).test(navigator.appVersion);
var isIpad = (/ipad/gi).test(navigator.appVersion);
if(!localStorage) var localStorage = window.localStorage;
var _APPID = getstorage('MU3-appId');
var windowState = 0;   //当前窗口状态，0:在前台；

var isDebug = 0;

//窗口之间的通信，可以通过发布/订阅模式来实现。 窗口调用此接口订阅频道监听， 当在另一窗口调用publishChannelNotification时，对应此频道的回调方法将被调用，并传入相应的参数。
var CID_download = 1000;  //channelId: (Number类型) 必选 频道唯一标识符
var CID_NativAppStart = 1001;
var CID_resetTabNum = 1002;
var CID_unInstallApp = 1003;
var CID_appSuspendResumeState = 1004;
var CID_updateAddedCardsIDS = 1005;
var CID_openTabByName = 1006;
var CID_onStateChangeMainWind = 1007;
var CID_onLanguageSwitch = 1008;
var CID_on3DTouch = 1009;
var CID_subappAddLoginInfo = 9000;

var appTypeMap = {    //发布到掌上东航3.0生产环境的子应用类别： 
	'1' : '飞行领域',
	'2' : '机务领域',
	'4' : '营销领域',
	'5' : '地服领域',
	'6' : '运行领域',
	'3' : '乘务领域',
	'7' : '管控领域',
	'8' : '物流领域',
	'13': '基础领域',
	'14': '空保领域',
	'15': 'APPS应用商店',
	//'9': '幸福东航',
	//'10': '我的应用',
	'11': '百宝箱',
};

function logs(s){
	try {
		var appid = _APPID || '10000000';
		isDebug = getstorage('isDebug');
		if(isDebug) uexLog.sendLog('['+appid+']  '+s);
	}
	catch(e){}
}

function appCanWindowOpen(a,b,c,d,e,f,g){
	localStorage['MU3-WindowName'] = a;
	//uexWindow.open(inWindName, inDataType, inData, inAniID, inWidth, inHeight, inFlag, inAnimDuration)
	uexWindow.open(a,b,c,d,e,f,g);
}

function zy_selectmenu(id){
    var sl = document.getElementById(id);
    if (sl) {
        var sp = sl.parentElement; //<span>
        if (sp) {
            var ch = sp.getElementsByTagName("div")[0];
            var t = sl.options[sl.selectedIndex].text;
            if (ch) {
                ch.innerHTML = t;
            }
        }
    }
}

function zy_for(e, cb){
	var ch;
	if(e.currentTarget)
    	ch = e.currentTarget.previousElementSibling;
	else
		ch = e.previousElementSibling;
    if (ch.nodeName == "INPUT") {
        if (ch.type == "checkbox") 
            ch.checked = !ch.checked;
        if (ch.type == "radio" && !ch.checked) 
            ch.checked = "checked";
        
    }
    if (cb) 
        cb(e, ch.checked);
}


function zy_fold(e, col){
    var a = e.currentTarget.nextElementSibling;
    if (a.nodeName == "DIV") {
        if (col) 
            a.className = a.className.replace("col-c", "");
        else 
            a.className += ' col-c';
    }
}

function zy_touch(c, f){
    var t = event.currentTarget;
	if(!t.zTouch) {
        t.zTouch = new zyClick(t, f, c); 
		t.zTouch._touchStart(event);
    }
}

function zy_parse(){
    var params = {};
    var loc = String(document.location);
    if (loc.indexOf("?") > 0) 
        loc = loc.substr(loc.indexOf('?') + 1);
    else 
        loc = uexWindow.getUrlQuery();
    var pieces = loc.split('&');
    params.keys = [];
    for (var i = 0; i < pieces.length; i += 1) {
        var keyVal = pieces[i].split('=');
        params[keyVal[0]] = decodeURIComponent(keyVal[1]);
        params.keys.push(keyVal[0]);
    }
    return params;
}

function $$(id)
{
	return document.getElementById(id);
}
function int(s)
{
	return parseInt(s);
}

function zy_con(id,url,x,y)
{
	var s=window.getComputedStyle($$(id),null);
	uexWindow.openPopover(id,"0",url,"",int(x),int(y),int(s.width),int(s.height),int(s.fontSize),"0");
}
function zy_resize(id,x,y)
{
	var s=window.getComputedStyle($$(id),null);
	uexWindow.setPopoverFrame(id,int(x),int(y),int(s.width),int(s.height));	
}

function zy_init()
{
	if(window.navigator.platform=="Win32")
		document.body.style.fontSize=window.localStorage["defaultfontsize"];
}
function zy_cc(t){
    if (!t.cancelClick) {
        t.cancelClick = true;
        t.addEventListener("click", function(){
            event.stopPropagation();
        }, true);
    }
}


//本地存储
function setstorage(objName,objValue){
	var sto = window.localStorage;
	var value = (typeof objValue=="object")?json2Str(objValue):objValue;
	if(sto) sto.setItem(objName,value);
}
function getstorage(objName,objType){
	var ret = '';
	var sto = window.localStorage;
	if(sto) ret=sto.getItem(objName);
	if(objType){
		try{
			ret = str2Json(ret);
		}
		catch(e){
			ret = objType;
		}
	}
	return ret;
}
function clearstorage(objName){
	var sto = window.localStorage;
	if(sto){
		if(objName) sto.removeItem(objName);
		else sto.clear();
	}
}

function setHtml(id, html) {
	if ("string" == typeof(id)) {
		var ele = $$(id);
		if (ele != null) {
			ele.innerHTML = html == null ? "" : html;
		}
	} else if (id != null) {
		id.innerHTML = html == null ? "" : html;
	}
}

function setClass(id, css) {
	if ("string" == typeof(id)) {
		var ele = $$(id);
		if (ele != null) {
			ele.className = css;
		}
	} else if (id != null) {
		id.className = css;
	}
}

function getValue(id){
	var ret = '';
	var e = $$(id);
	if(e) ret=e.value?e.value.trim():'';
	return ret;
}

function setValue(id, val){
	var e = $$(id);
	if(e) e.value = val;
}

function uescript(wn, scr){
	uexWindow.evaluateScript(wn,'0',scr);
}

function ueppscript(wn, pn, scr){
	uexWindow.evaluatePopoverScript(wn,pn,scr);
}

function uemppscript(pn, scr){
	uexWindow.evaluateMultiPopoverScript('today','contents',pn,scr);
}

function str2Json(str){
	return JSON.parse(str);
}
function json2Str(o){
	return JSON.stringify(o);
}

function getTimeStmp(){
	var dt = new Date();
	return dt.getTime();
}

function alert(msg){
	try{
		uexWindow.alert("提示",msg,"确定");
	}catch(e){
		confirm(msg);
	}
}

function transList2Obj(list){
	var objRet = {};
	for(var i=0; i<list.length; i++){
		var obj = list[i];
		objRet[obj.id] = list[i];
	}
	
	return objRet;
}

var dbname = "dbMUMobile",dbId = 100,userId = 500;

/**
 * 创建或打开数据库
 * @param {Object} cb	初始化DB
 */
function openDB(cb){
	uexDataBaseMgr.cbOpenDataBase = function(opId,type,data){
		if(type==2 && data==0){
			if(cb)	cb(opId);
		}
	}				
	uexDataBaseMgr.openDataBase(dbname,++dbId); 
}

function closeDB(id){
	uexDataBaseMgr.cbCloseDataBase = function(opid, type, data){
		logs('closeDB()----->'+opid+','+type+','+data);
	}
	uexDataBaseMgr.closeDataBase(dbname, id);
}

/**
 * 查询操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function selSql(id,sql,cb){
	uexDataBaseMgr.cbSelectSql = function(opId,type,data){
		//logs('selSql:	'+opId+','+type+','+data);
		if(type==1){
			if(cb && opId == id)	cb(data);
		}
	}
	uexDataBaseMgr.selectSql(dbname,id,sql);
}

/**
 * 增删改操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function exeSql(id,sql,cb){
	uexDataBaseMgr.cbExecuteSql = function(opId,type,data){
		//logs('exeSql:	'+opId+','+type+','+data);
		if(type==2){
			if(cb && opId == id)	cb(data);
		}
	}
	uexDataBaseMgr.executeSql(dbname,id,sql);
}

var curWindowName = localStorage['MU3-WindowName'] || 'LOGIN';
function eventReport(){
	try {
		var loginDN = localStorage['MU30-domainName'] || '联合办公';
		var pf = uexWidgetOne.platformName;
		
		var eventId = 'muMobile30';
		switch(curWindowName) {
			case 'appCenter':
			case 'tabLists':
			case 'today':
			    eventId = 'MAIN';
				break;
			case 'happyMU':
			case 'webpage':
			    eventId = 'HPMU';
				break;
			case 'treasureBox':
			case 'appLists':
			    eventId = 'TBOX';
				break;
			case 'individualCenter':
			case 'help':
			case 'about':
			case 'settingWeather':
			case 'imgPreview':
			    eventId = 'ICENTER';
				break;
			default: 
				eventId = 'MAIN';
		}
		//logs('eventReport() curWindowName-->'+curWindowName+'  ||  eventId-->'+eventId);
		uexEMM.setEvent(eventId, '{"pfName":"'+pf+'","loginDN":"'+loginDN+'"}');
	} catch (e) {
		logs('--------------------------------------------');
	}
}

//通过appid或path启动WGT子应用
var startWidgetAppObj = {};
function startWidgetApp(inAppId, inAnimiId, inForResult, inInfo, animDuration,inKey, id,pkgUrl,appName){
	var path = getstorage('MU30-WGTPATH')+inAppId+'/';
	logs('[---] startWidgetApp---->'+path);
	if(isAndroid) uexWidget.startWidgetWithPath(path,inAnimiId,inForResult,inInfo,animDuration,inKey);
	else uexWidget.startWidget(inAppId,inAnimiId,inForResult,inInfo,animDuration,inKey);
	
	startWidgetAppObj.inAppId = inAppId;
	startWidgetAppObj.inAnimiId = inAnimiId;
	startWidgetAppObj.inForResult = inForResult;
	startWidgetAppObj.inInfo = inInfo;
	startWidgetAppObj.animDuration = animDuration;
	startWidgetAppObj.inKey = inKey;
	startWidgetAppObj.startByPath = isAndroid?1:0;
	startWidgetAppObj.times = 1;
	startWidgetAppObj.id = id?id:1000;
	startWidgetAppObj.pkgUrl = pkgUrl?pkgUrl:'';
	startWidgetAppObj.appName = appName?appName:'';
	
	setstorage('MU3-StartWidgetId', inAppId); //记录当前打开的子应用ID；
}

//因下载路径更换，兼容以前版本：
function startWidgetAppByAppid(){
	logs('[---] startWidgetAppByAppid------------------->');
	startWidgetAppObj.startByPath = 0;
	uexWidget.startWidget(startWidgetAppObj.inAppId,startWidgetAppObj.inAnimiId,startWidgetAppObj.inForResult,startWidgetAppObj.inInfo,startWidgetAppObj.animDuration,startWidgetAppObj.inKey);
	setstorage('MU3-StartWidgetId', inAppId); //记录当前打开的子应用ID；
}

function nodeRemove(id){
	var ele = $$(id);
	if(ele && ele.parentElement) ele.parentElement.removeChild(ele);
}

function recordDLWindow(wId){
	var _obj = getstorage('MU3-DLWindow', {});
	_obj[wId] = 1;
	setstorage('MU3-DLWindow', _obj);
}
function removeDlWindow(wId){
	var _obj = getstorage('MU3-DLWindow', {});
	if(_obj[wId]) delete _obj[wId];
	setstorage('MU3-DLWindow', _obj);
}


//注册上下弹动实现上拉下拉事件
function initBounce(funcTop, funcBottom, colorTop, colorBot){
	uexWindow.setBounce("1");
	colorTop = colorTop || "rgba(255,255,255,0)";
	colorBot = colorBot || "rgba(255,255,255,0)";
	if(!funcTop && !funcBottom){
		uexWindow.showBounceView("0",colorTop,"0");
		uexWindow.showBounceView("1",colorBot,"0");
		return;
	}
	var top = 0,btm = 1;
	uexWindow.onBounceStateChange = function(type,state){	
		if(state == 2){
			if(type==top){				//顶部弹动
				funcTop();
			}
			else if(type==btm){				//底部弹动
				funcBottom();
			}
		}
	}
	if(funcTop){
		//uexWindow.setBounceParams('0','{"pullToReloadText":"下拉刷新","releaseToReloadText":"释放刷新","loadingText":"正在刷新，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.showBounceView(top,colorTop,1);
		uexWindow.notifyBounceEvent(top,1);	
	}
	if(funcBottom){
		//uexWindow.setBounceParams('1','{"pullToReloadText":"加载更多","releaseToReloadText":"加载更多","loadingText":"加载中，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.showBounceView(btm,colorBot,1);//设置弹动位置及效果([1:显示内容;0:不显示])
		uexWindow.notifyBounceEvent(btm,1);		//注册接收弹动事件([0:不接收onBounceStateChange方法回调;1:接收])
	}
}

function resetBounceView(){
	uexWindow.resetBounceView(0)
}

//注册接收全局消息的监听器
//@id: 频道唯一标识符
//@cb: 回调方法名称
function registlNotification(id, cb){
	var onFunc = 'onWindowEvent'+id;
	uexWindow[onFunc] = cb;
	uexWindow.subscribeChannelNotification(id, onFunc);
}

//发送全局消息
//@id: 频道唯一标识符
//@str: 发送的内容字符串
function publishNotification(id, str){
	uexWindow.publishChannelNotification(id, str);
}

function pageName(){
	var pageUrl = location.href;
	var pageArr = pageUrl.split("/");
	var pageResule = pageArr.slice(pageArr.length-1, pageArr.length).toString(String).split(".");
	return pageResule.slice(0, 1);
} 
function tip(msg, tipId){
    var html = '<div class="uba p10 uc-a5 c17 tx-c">'+ msg +'</div>';
    if (tipId) {
        $("#" + tipId).empty().addClass("p8").append(html);
    }
    else {
        $("body").empty().addClass("p8").append(html);
    }
};
//获取年
function getYears(date){
    if(date == undefined) date = new Date;
    return date.getFullYear();
};
//获取月
function getMonths(date){
    if(date == undefined) date = new Date;
    var month = date.getMonth() + 1;
    if(month < 10) month = "0" + month;
    return month;
};
//获取日
function getDays(date){
   if(date == undefined) date = new Date;
    var day = date.getDate();
    if(day < 10) day = "0" + day;
    return day;
};
//获取小时
function getHours(date){
    if(date == undefined) date = new Date;
    var hours = date.getHours();
	if(hours < 10) hours = "0" + hours;
	return hours;
};
//获取分钟
function getMinutes(date){
    if(date == undefined) date = new Date;
    var minutes = date.getMinutes();
	if(minutes < 10) minutes = "0" + minutes;
	return minutes;
};
//获取秒
function getSeconds(date){
	if(date == undefined) date = new Date;
	var seconds = date.getSeconds();
    if(seconds < 10) seconds = "0" + seconds;
    return seconds;	
}
function getDateCurrent(){
	return getYears() + "." + getMonths() + "." + getDays() +" " +getHours()+":"+getMinutes()+":"+getMinutes();	
}
function talkingDataCount(eventName,eventId){
	if(getstorage('MU30-USERINFO') == undefined){
		var userCode = "";	
	}else{
		var userCode = JSON.parse(getstorage('MU30-USERINFO')).username;	
	}
	if(localStorage['MU30-lOGIN-USRNAME'] == undefined){
		var comName = "";
		var depName = "";
	}else{
		var uid = localStorage['MU30-lOGIN-USRNAME'];
		var localstr = localStorage['MU30-userInfor-'+uid];
		var comName = JSON.parse(localstr).comName;
		var depName = JSON.parse(localstr).depName;	
	}
	var dataTest = {
		"event_id": "掌上东航4.0",
		"label": "掌上东航4.0",
		"kv": [
			{
				"key": "账户名",
				"value": userCode
			},
			{
				"key": "分子公司",
				"value": comName
			},
			{
				"key": "部门",
				"value": depName
			},
			{
				"key": "应用名称",
				"value": "掌上东航4.0"
			},
			{
				"key": "事件名称",
				"value": eventName
			},
			{
				"key": "事件ID",
				"value": eventId
			},
			{
				"key": "触发时间",
				"value": userCode+"|"+getDateCurrent()
			}
		]
	}
	uexTalkingData.userClickInfo(JSON.stringify(dataTest));	
}
function getRegionCode(){
	var codeStr = '';
	var domain = localStorage['MU30-domainName'];
	switch(domain){
		case "管控领域":{
			codeStr = "GK";
			break;	
		}
		case "飞行领域":{
			codeStr = "FX";
			break;	
		}
		case "运行领域":{
			codeStr = "YX";
			break;	
		}
		case "营销领域":{
			codeStr = "YXW";
			break;	
		}
		case "乘务领域":{
			codeStr = "CW";
			break;	
		}
		case "机务领域":{
			codeStr = "JW";
			break;	
		}
		case "地服领域":{
			codeStr = "DF";
			break;	
		}
		case "空保领域":{
			codeStr = "KB";
			break;	
		}	
		default :{
			codeStr = "GK";
		    break;
		}
	}
	return codeStr;
}