var isPhone = (window.navigator.platform != "Win32");
var isAndroid = (window.navigator.userAgent.indexOf('Android') >= 0) ? true : false;

// 通过城市属性名称获取城市
function getCityByTarget(name, val) {
	if (isDefine(name)) {
		// name(city,val)
		if (typeof name === 'function') {
			for (var i = 0; i < aCity.length; i++) {
				var _city = aCity[i];
				if (name.call(_city, i, _city) === false) break;
			}
		} else {
			for (var i = 0; i < aCity.length; i++) {
				var _city = aCity[i];
				if (_city[name] == val) {
					return _city;
				}
			}
		}
	} else {
		return val;
	}
}

//通过三字码，获取城市
var AirCode;

function getCityByCode(code) {
	if (isDefine(aCity)) {
		for (var i = 0; i < aCity.length; i++) {
			if (aCity[i].id == code) {
				return aCity[i].name;
			}
		}
	} else {
		return code;
	}
}

//通过机场三字码，获取城市
function getCityByAircode(airCode) {
		if (isDefine(aCity)) {
			for (var i = 0; i < aCity.length; i++) {
				if (aCity[i].airCode == airCode) {
					return spliceCity(aCity[i].name);
				}
			}
		} else {
			return code;
		}
	}
	//查询城市的三字码

function getCodeByCity(city) {
	if (isDefine(aCity)) {
		for (var i = 0; i < aCity.length; i++) {
			if (aCity[i].name == city) {
				return aCity[i].id;
			}
		}
	} else {
		return city;
	}
}

function getAirCodeByCityName(city) {
	if (isDefine(aCity)) {
		for (var i = 0; i < aCity.length; i++) {
			if (aCity[i].name == city) {
				return aCity[i].airCode;
			}
		}
	} else {
		return city;
	}
}

//通过城市三字码获取机场三字码
function getAircodeByCitycode(code) {
		if (isDefine(aCity)) {
			for (var i = 0; i < aCity.length; i++) {
				if (aCity[i].id == code) {
					return aCity[i].airCode;
				}
			}
		} else {
			return code;
		}
	}
	//通过城市三字码获取机场三字码

function getCitycodeByAircode(airport) {
	if (isDefine(aCity)) {
		for (var i = 0; i < aCity.length; i++) {
			if (aCity[i].airport == airport) {
				return aCity[i].id;
			}
		}
	} else {
		return code;
	}
}

//通过三字码，查询机场
function getAirByCode(code) {
		if (isDefine(aCity)) {

			for (var i = 0; i < aCity.length; i++) {

				if (aCity[i].airCode == code) {
					return aCity[i].airport;
				}
			}
		} else {
			return code;
		}
	}
	//通过机场，查询三字码

function getCodeByAir(airport) {
		if (isDefine(aCity)) {
			for (var i = 0; i < aCity.length; i++) {
				if (aCity[i].airport == airport) {
					return aCity[i].airCode;
				}
			}
		} else {
			return airport;
		}
	}
	//通过城市名称获取机场三字码

function getAirCodeByCity(city) {
	if (isDefine(aCity)) {
		for (var i = 0; i < aCity.length; i++) {
			if (aCity[i].name == city) {
				return aCity[i].airCode;
			}
		}
	} else {
		return "";
	}
}

function spliceCity(city) {
	if (city.indexOf("北京") >= 0) {
		city = "北京";
	} else if (city.indexOf("上海") >= 0) {
		city = "上海";
	}
	return city;
}

/**
 * @param String inWndName 新窗口名称
 * @param String html		新窗口路径
 * @param String inAniID	打开动画
 * @param String f
 */
var aWind = isDefine(getLocVal("aWind")) ? JSON.parse(getLocVal("aWind")) : [];

//关闭之前所有页面，在页面点击回首页时使用
function closeAllWin() {
	aWind = isDefine(getLocVal("aWind")) ? JSON.parse(getLocVal("aWind")) : [];
	for (var i = 0; i < aWind.length; i++) {
		if (i == aWind.length - 1) {
			var arr = [];
			setLocVal("aWind", JSON.stringify(arr));
		}
		uescript(aWind[i], "winClose()");
	}
}

//关闭之前所有页面(除当前页面)
function closeAllWin1() {
		aWind = isDefine(getLocVal("aWind")) ? JSON.parse(getLocVal("aWind")) : [];
		for (var i = aWind.length - 2; i > 0; i--) {
			uescript(aWind[i], "winClose()");
			aWind.splice(i, 1);
		}
		setLocVal("aWind", JSON.stringify(aWind));
	}
	/**
	 * @param String inWndName 新窗口名称
	 * @param String html		新窗口路径
	 * @param String inAniID	打开动画[0:None,5:淡入淡出]	推入[1:LeftToRight,2:RightToLeft,3:UpToDown,4:DownToUp]	切入[9:LeftToRight,10:RightToLeft,11:UpToDown,12:DownToUp]
	 * @param String f          [0:普通;1:OAuth;2:加密;4:强制刷新;8:wind中url调用系统浏览器;64:popOver预加载;128:手势缩放]
	 */

function winOpen(inWndName, html, inAniID, f) {
	if (inAniID == 0) {
		uexWindow.open(inWndName, '0', html, 0, '', '', (f) ? f : 0);
		return;
	}
	if (inAniID)
		uexWindow.open(inWndName, '0', html, inAniID, '', '', (f) ? f : 0);
	else
		uexWindow.open(inWndName, '0', html, 10, '', '', (f) ? f : 0);
}

function openNewWin(inWndName, html, inAniID, f) {
		//保存已经打开的所有窗口，用于点击首页关闭所有页面时使用
		if (inWndName != "root") {
			aWind = isDefine(getLocVal("aWind")) ? JSON.parse(getLocVal("aWind")) : [];
			aWind.push(inWndName);
			setLocVal("aWind", JSON.stringify(aWind));
		}

		if (inAniID == 0) {
			uexWindow.open(inWndName, '0', html, 0, '', '', (f) ? f : 0);
			return;
		}
		if (inAniID)
			uexWindow.open(inWndName, '0', html, inAniID, '', '', (f) ? f : 0);
		else
			uexWindow.open(inWndName, '0', html, 10, '', '', (f) ? f : 0);
	}
	/**
	 * 输入框失去焦点事件
	 * @param {Object} ele
	 */

function lost(ele) {
		if (ele.element) ele = ele.element;
		var inputVal = ele.value;
		var clearEle = ele.parentElement.nextElementSibling;
		if (clearEle) {
			setTimeout(function() {
				clearEle.className = 'res-clear umar-l umw1 ub-img uhide';
			}, 200);
		}
	}
	/**
	 * 点击清除输入数据
	 * @param {Object} ele
	 */

function toggleIcon(ele) {
		if (ele.element) ele = ele.element;
		var inputVal = ele.value;
		var clearEle = ele.parentElement.nextElementSibling;
		if (clearEle) {
			if (inputVal == '') {
				clearEle.className = 'res-clear umar-l umw1 ub-img uhide';
			} else {
				clearEle.className = 'res-clear umw1 umar-l ub-img';
			}
		}
	}
	/**
	 * 清空input
	 * @param {Object} ele
	 */

function clearInput(ele) {
		if (ele.element) ele = ele.element;
		var inputEle = ele.previousElementSibling.firstElementChild;
		inputEle.value = '';
		ele.className = 'res-clear umw1 ub-img uhide';
		inputEle.focus();
	}
	/**
	 * 关闭窗口
	 * @param string n 关闭窗口动画，默认-1
	 */

function winClose(n) {
	//关闭页面时，删除一个窗口内容
	aWind = isDefine(getLocVal("aWind")) ? JSON.parse(getLocVal("aWind")) : [];
	var href = window.location.href;
	if (isPhone) {
		href = href.split("widget/")[1];
	}
	var winName = href.split(".html")[0];
	for (var i = aWind.length - 1; i >= 0; i--) {
		if (aWind[i] == winName) {
			aWind.splice(i, 1);
		}
	}
	setLocVal("aWind", JSON.stringify(aWind));

	if (n) {
		uexWindow.close(n);
		return;
	}
	if (parseInt(n) == 0) {
		uexWindow.close(n);
		return;
	}
	uexWindow.close(-1);
}

/**
 * 去除字符串中的空格
 * @param String s
 */
/**
 * 去除字符串中的空格
 * @param String s
 */
function trim(str) { //删除左右两端的空格
	return str.replace(/(^\s*)|(\s*$)/g, "");
}

function ltrim(str) { //删除左边的空格
	return str.replace(/(^\s*)/g, "");
}

function rtrim(str) { //删除右边的空格
	return str.replace(/(\s*$)/g, "");
}

/**
 * 计算字符串的长度
 * @param String strTemp
 */
function fucCheckLength(strTemp) {
	var i, sum;
	sum = 0;
	for (i = 0; i < strTemp.length; i++) {
		if ((strTemp.charCodeAt(i) >= 0) && (strTemp.charCodeAt(i) <= 255))
			sum = sum + 1;
		else
			sum = sum + 2;
	}
	return sum;
}


/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function setLocVal(key, value) {
	if (key == "userId" && value == 500)
		$alert("userId set  error ");
	window.localStorage[key] = value;
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function getLocVal(key) {
	if (window.localStorage[key])
		return window.localStorage[key];
	else
		return "";
}

/**
 * 清除缓存
 * @param Striong key  保存数据的key，如果不传清空所有缓存数据
 */
function clearLocVal(key) {
	if (key)
		window.localStorage.removeItem(key);
	else
		window.localStorage.clear();
}

function $alert(str, callback) {
	if (callback) {
		uexWindow.cbConfirm = function(opId, dataType, data) {
			callback(data);
		}
		uexWindow.confirm('提示', str, ['确定', '取消']);
	} else
		uexWindow.alert('提示', str, '确定');
}

function _alert(str, callback) {
    if (callback) {
        uexWindow.cbConfirm = function(opId, dataType, data) {
            callback(data);
        }
        uexWindow.confirm('提示', str, ['确定']);
    } else
        uexWindow.alert('提示', str, '确定');
}

function alert1 (str, callback) {
    if (callback) {
        uexWindow.cbConfirm = function(opId,dataType,data){
            if(data == 0)
                callback(); 
        }
        uexWindow.confirm('消息', str, ['确定','取消']);
    } else
        uexWindow.alert('提示', str, '确定');
}

/**
 * 根据时间戳获取年、月、日
 * @param String str 时间戳
 * @param Boolean f 是否在原来的基础上*1000，true要*，false或不填就不*
 */
function getMakeTimes(str, f) {
	var t = (f) ? parseInt(str) : parseInt(str) * 1000;
	var d = new Date(t);
	var y = d.getFullYear();
	var m = setNum(d.getMonth() + 1);
	var d = setNum(d.getDate());
	return y + "-" + m + "-" + d;
}

/**
 * 2014-12-12 12:12:12 返回12:12
 *
 * */
function getHourMin(date) {
		if (isDefine(date)) {
			var arr = date.split(" ")[1].split(":");
			return arr[0] + ":" + arr[1];
		} else {
			return date;
		}

	}
	/**
	 * 根据时间戳获取年、月、日
	 * @param String str 时间戳
	 * @param Boolean f 是否在原来的基础上*1000，true要*，false或不填就不*
	 */

function getMakeTimes2(str, f) {
	var t = isDefine(f) ? parseInt(str) * 1000 : parseInt(str);
	var d = new Date(t);
	var y = d.getFullYear();
	var m = setNum(d.getMonth() + 1);
	var d = setNum(d.getDate());
	return y + "/" + m + "/" + d;
}

function getMinTime(dt1, dt2) {
	var date1 = new Date(dt1).getTime();
	var date2 = new Date(dt2).getTime();
	var t = (date2 - date1) / 1000;
	var hour = parseInt(t / 3600);
	var min = parseInt((t % 3600) / 60);
	return hour + "h " + min + "min"
}

function setNum(s) {
	if (isDefine(s.length)) {
		if (s.length == 2 && s[0] == 0) {
			return s;
		} else {
			return (parseInt(s) > 9) ? s : '0' + parseInt(s);
		}
	} else {
		return (parseInt(s) > 9) ? s : '0' + parseInt(s);
	}
}

/**
 *计算2个日期相差多少天
 *@param String strDateStart和strDateEnd 日期，格式为2014-04-04
 */
function getDays(strDateStart, strDateEnd) {
	var strSeparator = "-"; //日期分隔符
	var oDate1;
	var oDate2;
	oDate1 = strDateStart.split(strSeparator);
	oDate2 = strDateEnd.split(strSeparator);
	var strDateS = new Date(oDate1[0] + "-" + oDate1[1] + "-" + oDate1[2]);
	var strDateE = new Date(oDate2[0] + "-" + oDate2[1] + "-" + oDate2[2]);
	var iDays = parseInt(Math.abs(strDateS - strDateE) / 1000 / 60 / 60 / 24) //把相差的毫秒数转换为天数 
	return iDays;
}


/**
 * 在其他窗口中执行指定主窗口中的代码
 * @param String wn  需要执行代码窗口的名称
 * @param String scr 需要执行的代码
 */
function uescript(wn, scr) {
	uexWindow.evaluateScript(wn, '0', scr);
}

/**
 * 在其他窗口中执行指定浮动窗口中的代码
 * @param String wn  需要执行代码浮动窗口所在的主窗口的名称
 * @param String pn  需要执行代码的浮动窗口的名称
 * @param String scr 需要执行的代码
 */
function ueppscript(wn, pn, scr) {
	uexWindow.evaluatePopoverScript(wn, pn, scr);
}

/**
 * 判断是否是空
 * @param value
 */
function isDefine(value) {
	if (value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined') {
		return false;
	} else {
		value = value + "";
		value = value.replace(/\s/g, "");
		if (value == "") {
			return false;
		}
		return true;
	}
}

/**
 * 图片预加载
 * @param String imgId div的ID，图片加载成功后给该div换背景
 * @param String imgUrl 图片路径
 */
function preloadImg(imgId, imgUrl) {
	var newImg = new Image();
	newImg.src = imgUrl;
	newImg.onload = function() {
		$$(imgId).style.backgroundImage = "url(" + newImg.src + ")";
		newImg = null;
	}

}

/**
 * 给DOM对象赋值innerHTML
 * @param String id 对象id或者对象
 * @param String html html字符串
 * @param String showstr 当html不存在时的提示语
 */
function setHtml(id, html, showstr) {
	var showval = isDefine(showstr) ? showstr : "";
	if ("string" == typeof(id)) {
		var ele = $$(id);
		if (ele != null) {
			ele.innerHTML = isDefine(html) ? html : showval;
		} else {
			$alert("没有id为" + id + "的对象");
		}
	} else if (id != null) {
		id.innerHTML = isDefine(html) ? html : showval;
	}
}

/**
 * 设置平台弹动效果
 * @param int sta   0=无弹动效果   1=默认弹动效果  2=设置图片弹动
 * @param Function downcb 下拉
 * @param Function upcb   上拖
 */
function setPageBounce(sta, downcb, upcb) {
	if (sta == 0) return;
	var color = "#FFF";
	if (sta == 1) {
		var s = ['0', '0'];
		var str = '';
		uexWindow.onBounceStateChange = function(type, status) {
			if (downcb && type == 0 && status == 2) downcb();
			if (upcb && type == 1 && status == 2) upcb();
		}

		uexWindow.setBounce("1");

		if (downcb) {
			s[0] = '1';
			uexWindow.notifyBounceEvent("0", "1");
		}
		if (color) {
			uexWindow.showBounceView("0", color, s[0]);
		} else {
			uexWindow.showBounceView("0", "rgba(255,255,255,0)", s[0]);
		}


		if (upcb) {
			s[1] = '1';
			uexWindow.notifyBounceEvent("1", "1");
		}
		if (color) {
			uexWindow.showBounceView("1", color, s[1]);
		} else {
			uexWindow.showBounceView("1", "rgba(255,255,255,0)", s[1]);
		}
		//	uexWindow.showBounceView("1","rgba(255,255,255,0)",s[1]);
	}
	if (sta == 2) {
		uexWindow.onBounceStateChange = function(type, status) {
			uexLog.sendLog("type=" + type + "||status=" + status);
			if (downcb && type == 0 && status == 2) downcb();
			if (upcb && type == 1 && status == 2) upcb();
		}
		uexWindow.setBounce("1");

		var inJson = '{"imagePath":"res://reload.png","textColor":"#530606","pullToReloadText":"拖动刷新","releaseToReloadText":"释放刷新","loadingText":"加载中，请稍等"}'
		if (downcb) {
			uexWindow.setBounceParams('0', inJson);
			uexWindow.showBounceView('0', color, 1);
			uexWindow.notifyBounceEvent('0', 1);
		}
		if (upcb) {
			uexWindow.setBounceParams('1', inJson)
			uexWindow.showBounceView('1', color, 1);
			uexWindow.notifyBounceEvent('1', 1);
		}
	}
}

/***
 * 使弹动重置为初始位置
 * @param String type 弹动的类型 0-顶部弹动  1-底部弹动
 */
function resetBV(type) {
	uexWindow.resetBounceView(type);
}

/**
 * 显示加载框
 * @param String mes 显示的提示语
 * @param String t  毫秒数 窗口存在时间 有的话显示框不显示那个“圈”，并且在t时间后消失
 */
function $toast(mes, t) {
	uexWindow.toast(t ? '0' : '1', '5', mes, t ? t : 0);
}

/**
 * 手动关闭加载框
 */
function $closeToast() {
	uexWindow.closeToast();
}

/**
 * 浮动窗口移动动画函数
 * @param String 横向移动位移
 * @param String 纵向移动位移
 * @param Function 动画结束后的回调函数
 */
function disShowAnim(dx, dy, cb) {
	uexWindow.beginAnimition();
	uexWindow.setAnimitionDuration('100');
	uexWindow.setAnimitionRepeatCount('0');
	uexWindow.setAnimitionAutoReverse('0');
	uexWindow.makeTranslation(dx, dy, '0');
	uexWindow.commitAnimition();
	if (cb) uexWindow.onAnimationFinish = cb;
}


var dbname = "localdb",
	dbId = 0,
	userId = 500;
/**
 * 创建或打开数据库
 * @param {Object} cb	初始化DB
 */
function openDB(cb) {
	uexDataBaseMgr.cbOpenDataBase = function(opId, type, data) {
		if (type == 2 && data == 0) {
			if (cb) cb();
		}
	}
	uexDataBaseMgr.openDataBase(dbname, ++dbId);
}


/**
 * 查询操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function selSql(id, sql, cb) {
	uexDataBaseMgr.cbSelectSql = function(opId, type, data) {

		if (type == 1) {
			if (cb && opId == id) cb(data);
			//	else if(cb)	cb(false);
		}
	}
	uexDataBaseMgr.selectSql(dbname, id, sql);
}

/**
 * 增删改操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function exeSql(id, sql, cb) {
	uexDataBaseMgr.cbExecuteSql = function(opId, type, data) {
		if (type == 2 && data == 0) {
			if (cb && opId == id) cb(data);
			//else if(cb) 	cb(false);
		}
	}
	uexDataBaseMgr.executeSql(dbname, id, sql);
}

/**设置安卓back和menu按键事件监听
 * @b: back键，1为监听。
 * @m: menu键，1为监听。
 * @cb1: back键监听处理回调方法。
 * @cb2: menu键监听处理回调方法。
 */
function addKeyListener(b, m, cb1, cb2) {
	uexWindow.onKeyPressed = function(keyCode) {
		if (keyCode == 0) {
			if (cb1) cb1();
			//uexWidget.finishWidget(''); //退出应用
		} else {
			if (cb2) cb2();
		}
	}
	if (b) uexWindow.setReportKey('0', '1');
	if (m) uexWindow.setReportKey('1', '1');
}

/**
 * json对象转为string
 * @param {Object} j
 */
function json2str(j) {
		return JSON.stringify(j);
	}
	/**
	 * string转为json对象
	 * @param String s
	 */

function str2json(s) {
	return JSON.parse(s);
}

/**
 * 取input数据
 * @id: input标签id
 * 返回值：数据内容
 */
function getValue(id) {
	var e = $$(id);
	if (e) return e.value;
}

/**
 * 设置input数据
 * @id: input标签id
 * @val: 要设置的数据
 */
function setValue(id, val) {
	var e = $$(id);
	if (e) e.value = val;
}

/**
 * 创建DOM节点
 * @param String t
 */
function createEle(t) {
		return document.createElement(t);
	}
	/**
	 * 删除DOM节点
	 * @param String id
	 */

function removeNode(id) {
	var e = $$(id);
	if (e) e.parentElement.removeChild(e);
}

/**
 * 调用本地浏览器打开网址
 * @param String url
 */
function loadLink(url) {
	var appInfo = '';
	var filter = '';
	var dataInfo = url.toLowerCase();
	var pf = uexWidgetOne.platformName;
	if (pf == 'android') {
		appInfo = 'android.intent.action.VIEW';
		filter = 'text/html';
	}
	if (dataInfo.indexOf('http://') < 0 && dataInfo.indexOf('https://') < 0) {
		dataInfo = 'http://' + dataInfo;
	}
	uexWidget.loadApp(appInfo, filter, dataInfo);
}

/**
 * 下载文件
 *@String url_update 下载路径
 *@String name   保存的文件名及格式 例：file.jpg
 *@funciton cb   下载成功后的回调函数
 **/
var did = 1000;

function down_file(url_update, name, cb) {
	did++;
	if (isAndroid)
		var saveUpdate = "/sdcard/download/" + name;
	else
		var saveUpdate = "wgt://data/" + name;
	$toast("正在加载中...");
	uexDownloaderMgr.onStatus = function(opCode, fileSize, percent, status) {
		switch (status) {
			case 0:
				logs(opCode + "==" + percent);
				var str = '下载进度：' + percent + '%';
				if (fileSize == -1) str = '下载中，请稍候...';
				uexWindow.toast('1', '5', str, '');
				break;
			case 1:
				uexDownloaderMgr.closeDownloader(opCode);
				uexWindow.closeToast();
				cb(saveUpdate);
				break;
			case 2:
				uexDownloaderMgr.closeDownloader(opCode);
				break;;
		}
	}
	uexDownloaderMgr.cbCreateDownloader = function(opCode, dataType, data) {
		if (data == 0) {
			uexDownloaderMgr.download(opCode, url_update, saveUpdate, '0');
		} else {
			$alert("创建失败");
		}
	}

	uexFileMgr.cbIsFileExistByPath = function(opId, dataType, data) {
		if (isDefine(data)) {
			cb(saveUpdate);
		} else {
			did++;
			uexDownloaderMgr.createDownloader(did);
		}
	}
	uexFileMgr.isFileExistByPath(did, saveUpdate);
}

/**
 *检查网络
 *返回值：-1=网络不可用  0=WIFI网络  1=3G网络  2=2G网络
 */

function checkNet(cb) {
	uexDevice.cbGetInfo = function(opCode, dataType, data) {
		var device = eval('(' + data + ')');
		var connectStatus = device.connectStatus;
		if (isDefine(connectStatus)) {
			cb(connectStatus);
			//if(connectStatus==-1){
			//	console.log('网络状态：网络不可用');
			//}else if(connectStatus==0){
			//	console.log('网络状态：WIFI网络'); 
			//}else if(connectStatus==1){
			//	console.log('网络状态：3G网络'); 
			//}else if(connectStatus==2){
			//	console.log('网络状态：2G网络');
			//}
		}
	}
	uexDevice.getInfo('13');
}





//////////文件操作/////////////
var fileOpId = parseInt(Math.random() * 10000);
var filePath = 'wgt://data/locFile.txt';
/**
 * 删除文件
 */
function deletFileByPath(cb) {
	uexFileMgr.cbDeleteFileByPath = function(fileOpId, dataType, data) {
		var str = '删除失败';
		if (dataType == 2 && data == 0) str = '删除成功';
		if (cb) cb(str);
	}


	uexFileMgr.deleteFileByPath(filePath);
	uexFileMgr.closeFile(fileOpId);
	fileOpId++;
}

/**
 * 写文件
 */

function writeFile(val) {
	uexFileMgr.cbIsFileExistByPath = function(opId, dataType, data) {
		if (dataType == 2) {
			if (data == 0) { //'文件不存在';
				uexFileMgr.cbCreateFile = function(opId, dataType, data) {
					if (dataType == 2 && data == 0) {
						writeIn(val);
					};
				}
				uexFileMgr.createFile(fileOpId, filePath);
				uexFileMgr.closeFile(fileOpId);
				fileOpId++;
			} else if (data == 1) { //'文件存在';
				writeIn(val);
			}

		}
	}
	uexFileMgr.isFileExistByPath(filePath);
	uexFileMgr.closeFile(fileOpId);
	fileOpId++;
}

function writeIn(val) {
	var content = val;
	var inMode = 0; //0为直接写内容，会把之前的内容覆盖；1为追加到文件里
	uexFileMgr.openFile(fileOpId, filePath, 1);
	uexFileMgr.writeFile(fileOpId, inMode, content);
	uexFileMgr.closeFile(fileOpId);
	opId++;
}

/**
 * 读文件
 */
function readFile(cb) {
		uexFileMgr.cbReadFile = function(fileOpId, dataType, data) {
			if (dataType == 0) {
				if (cb) {
					cb(data);
				}
			}
		}

		var inLen = -1; //-1表示全部读取
		uexFileMgr.openFile(fileOpId, filePath, 1);
		uexFileMgr.readFile(fileOpId, inLen);
		uexFileMgr.closeFile(fileOpId);
		fileOpId++;
	}
	////////////////

/**天气**/
function showALlWeater(str) {
		switch (str) {
			case "零星暴雨":
				return 'css/tianqi/weather-1.png';
				break;
			case "细冻雨":
				return 'css/tianqi/weather-2.png';
				break;
			case "细雨":
				return 'css/tianqi/weather-3.png';
				break;
			case "阵雨":
				return 'css/tianqi/weather-4.png';
				break;
			case "冻雨":
				return 'css/tianqi/weather-5.png';
				break;
			case "大雨":
				return 'css/tianqi/weather-6.png';
				break;
			case "雨":
				return 'css/tianqi/weather-7.png';
				break;
			case "小雨":
				return 'css/tianqi/weather-8.png';
				break;
			case "阴霾":
				return 'css/tianqi/weather-9.png';
				break;
			case "冰雹":
				return 'css/tianqi/weather-10.png';
				break;
			case "混合雨和冰雹":
				return 'css/tianqi/weather-11.png';
				break;
			case "飘雪":
			case "零星阵雪":
				return 'css/tianqi/weather-12.png';
				break;
			case "暴风雪":
			case "暴雪":
				return 'css/tianqi/weather-13.png';
				break;
			case "大雪":
				return 'css/tianqi/weather-14.png';
				break;
			case "中雪":
				return 'css/tianqi/weather-15.png';
				break;
			case "小雪":
			case "吹雪":
				return 'css/tianqi/weather-16.png';
				break;
			case "雨夹雪":
			case "雨雪":
			case "雨和雨雪":
			case "混合雨雪":
				return 'css/tianqi/weather-17.png';
				break;
			case "阵雪":
			case "小阵雪":
				return 'css/tianqi/weather-18.png';
				break;
			case "炎热":
				return 'css/tianqi/weather-19.png';
				break;
			case "晴朗":
			case "晴朗(白)":
			case "大部分晴":
			case "局部晴":
			case "大部分晴朗":
			case "晴朗(白天)":
				return 'css/tianqi/weather-20.png';
				break;
			case "多云转晴":
				return 'css/tianqi/weather-21.png';
				break;
			case "晴转多云":
				return 'css/tianqi/weather-22.png';
				break;
			case "晴朗(夜)":
				return 'css/tianqi/weather-23.png';
				break;
			case "烟雾":
				return 'css/tianqi/weather-24.png';
				break;
			case "尘埃":
				return 'css/tianqi/weather-25.png';
				break;
			case "多云":
			case "大部分多云(白)":
			case "局部多云(白)":
			case "大部分多云(白天)":
			case "局部多云(白天)":
				return 'css/tianqi/weather-26.png';
				break;
			case "大部分多云(夜)":
			case "局部多云(夜)":
				return 'css/tianqi/weather-27.png';
				break;
			case "闷热":
				return 'css/tianqi/weather-28.png';
				break;
			case "扬沙":
				return 'css/tianqi/weather-29.png';
				break;
			case "扬尘":
				return 'css/tianqi/weather-30.png';
				break;
			case "零星雷雨":
			case "局部雷阵雨":
			case "雷阵雨":
				return 'css/tianqi/weather-31.png';
				break;
			case "雾":
				return 'css/tianqi/weather-32.png';
				break;
			case "闪电":
				return 'css/tianqi/weather-33.png';
				break;
			case "冷":
				return 'css/tianqi/weather-34.png';
				break;
			case "强雷暴":
			case "特强雷暴":
				return 'css/tianqi/weather-35.png';
				break;
			case "雷暴":
			case "局部性雷暴":
				return 'css/tianqi/weather-36.png';
				break;
			case "大风":
				return 'css/tianqi/weather-37.png';
				break;
			case " 飓风":
				return 'css/tianqi/weather-38.png';
				break;
			case " 热带风暴":
				return 'css/tianqi/weather-39.png';
				break;
			case "龙卷风 ":
				return 'css/tianqi/weather-40.png';
				break;
			case "风暴 ":
			case " 风":
				return 'css/tianqi/weather-41.png';
				break;
			case " 强沙尘暴":
				return 'css/tianqi/weather-42.png';
				break;
			case " 沙尘暴":
				return 'css/tianqi/weather-43.png';
				break;
			case " 雪":
				return 'css/tianqi/weather-44.png';
				break;
			default:
				return 'css/tianqi/weather-20.png';
		}
	}
	/*
	 * 判断身份证格式
	 * @param {身份证格式验证} card
	 */

function isCardNo(card) {
	// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X  
	var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
	if (!reg.test(card)) {
		return false;
	}
	return true;
}

function AgeDiff(birthday, curday, minage, maxage) {
	var start = birthday.split('-');
	var end = curday.substr(0, 10).split('-');
	var sdate = new Date(start[0], start[1], start[2]);
	var edate = new Date(end[0], end[1], end[2]);
	var age = edate.getFullYear() - sdate.getFullYear() - ((edate.getMonth() < sdate.getMonth() || edate.getMonth() == sdate.getMonth() && edate.getDate() < sdate.getDate()) ? 1 : 0);
	if (age >= minage && age < maxage) {
		return true;
	} else {
		return false;
	}
};

function review(str) {
	if (str.match(/^((?:19|20)\d\d)-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])$/)) {
		return str;
	} else {
		$toast("请输入正确的日期格式", 2000);
		return false;
	}
}

function judgeTel(str) {
	if (str.match(/^1[3|4|5|6|7|8|9][0-9]\d{8}$/) == null) {
		//$toast("请填写正确的手机号码！",3000);
		return false;
	} else {
		return true;
	}
}

function switchBigOrder(status) { //转化大订单状态
	switch (status) {
		case "10050"://WaitingPay
			return "等待支付";
			break;
		case "10051"://Payed
			return "支付成功";
			break;
		case "10052":
			return "支付处理中";
			break;
		case "10053":
			return "差错退款";
			break;
		case "10054"://TransactionSuccess
			return "交易成功";
			break;
		case "10055"://TransactionException
			return "交易异常";
			break;
		case "10056"://TransactionCancel
			return "交易取消";
			break;
		default:
			return status;
	}
}

//身份证号合法性验证 
//支持15位和18位身份证号
//支持地址编码、出生日期、校验位验证
function IdentityCodeValid(code) {
	var city = {
		11: "北京",
		12: "天津",
		13: "河北",
		14: "山西",
		15: "内蒙古",
		21: "辽宁",
		22: "吉林",
		23: "黑龙江 ",
		31: "上海",
		32: "江苏",
		33: "浙江",
		34: "安徽",
		35: "福建",
		36: "江西",
		37: "山东",
		41: "河南",
		42: "湖北 ",
		43: "湖南",
		44: "广东",
		45: "广西",
		46: "海南",
		50: "重庆",
		51: "四川",
		52: "贵州",
		53: "云南",
		54: "西藏 ",
		61: "陕西",
		62: "甘肃",
		63: "青海",
		64: "宁夏",
		65: "新疆",
		71: "台湾",
		81: "香港",
		82: "澳门",
		91: "国外 "
	};
	var tip = "";
	var pass = true;
	if (!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[12])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(code)) {
		tip = "身份证号格式错误";
		pass = false;
	} else if (!city[code.substr(0, 2)]) {
		tip = "地址编码错误";
		pass = false;
	} else {
		//18位身份证需要验证最后一位校验位
		if (code.length == 18) {
			code = code.split('');
			//∑(ai×Wi)(mod 11)
			//加权因子
			var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
			//校验位
			var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
			var sum = 0;
			var ai = 0;
			var wi = 0;
			for (var i = 0; i < 17; i++) {
				ai = code[i];
				wi = factor[i];
				sum += ai * wi;
			}
			var last = parity[sum % 11];
			if (parity[sum % 11] != code[17]) {
				tip = "校验位错误";
				pass = false;
			}
		}
	}
	if (!pass) $toast(tip, 2000);
	return pass;
}

var aCity = isDefine(getLocVal("aCity")) ? JSON.parse(getLocVal("aCity")) : [{
	"name": "安顺",
	"id": "ANS",
	"airport": "黄果树",
	"code": "AS",
	"airCode": "HGS"
}, {
	"name": "兴义",
	"id": "XYN",
	"airport": "兴义",
	"code": "XY",
	"airCode": "ACX"
}, {
	"name": "包头",
	"id": "BAV",
	"airport": "包头",
	"code": "BT",
	"airCode": "BAV"
}, {
	"name": "绵阳",
	"id": "MIG",
	"airport": "南郊",
	"code": "MY",
	"airCode": "MIG"
}, {
	"name": "毕节",
	"id": "BIN",
	"airport": "飞雄",
	"code": "BJ",
	"airCode": "BFJ"
}, {
	"name": "广州白云",
	"id": "CAN",
	"airport": "白云",
	"code": "GZ",
	"airCode": "CAN"
}, {
	"name": "郑州",
	"id": "CGO",
	"airport": "新郑",
	"code": "ZZ",
	"airCode": "CGO"
}, {
	"name": "长春",
	"id": "CGQ",
	"airport": "龙嘉",
	"code": "CC",
	"airCode": "CGQ"
}, {
	"name": "赤峰",
	"id": "CIF",
	"airport": "玉龙",
	"code": "CF",
	"airCode": "CIF"
}, {
	"name": "长治",
	"id": "CIH",
	"airport": "王村",
	"code": "CZ",
	"airCode": "CIH"
}, {
	"name": "重庆",
	"id": "CKG",
	"airport": "江北",
	"code": "CQ",
	"airCode": "CKG"
}, {
	"name": "成都",
	"id": "CTU",
	"airport": "双流",
	"code": "CD",
	"airCode": "CTU"
}, {
	"name": "衡阳",
	"id": "HNY",
	"airport": "南岳",
	"code": "HY",
	"airCode": "HNY"
}, {
	"name": "常州",
	"id": "CZX",
	"airport": "奔牛",
	"code": "CZ",
	"airCode": "CZX"
}, {
	"name": "大同",
	"id": "DAT",
	"airport": "倍加皂",
	"code": "DT",
	"airCode": "DAT"
}, {
	"name": "敦煌",
	"id": "DNH",
	"airport": "敦煌",
	"code": "DH",
	"airCode": "DNH"
}, {
	"name": "克拉玛依",
	"id": "KLY",
	"airport": "克拉玛依",
	"code": "KLMY",
	"airCode": "KRY"
}, {
	"name": "大连",
	"id": "DLC",
	"airport": "周水子",
	"code": "DL",
	"airCode": "DLC"
}, {
	"name": "沈阳",
	"id": "SHE",
	"airport": "桃仙",
	"code": "SY",
	"airCode": "SHE"
}, {
	"name": "鄂尔多斯",
	"id": "DSN",
	"airport": "伊金霍洛",
	"code": "EEDS",
	"airCode": "DSN"
}, {
	"name": "延安",
	"id": "ENY",
	"airport": "延安",
	"code": "YA",
	"airCode": "ENY"
}, {
	"name": "福州",
	"id": "FOC",
	"airport": "长乐",
	"code": "FZ",
	"airCode": "FOC"
}, {
	"name": "广州佛山",
	"id": "CAN",
	"airport": "佛山",
	"code": "FS",
	"airCode": "FUO"
}, {
	"name": "吐鲁番",
	"id": "TUL",
	"airport": "交河",
	"code": "TLF",
	"airCode": "TLQ"
}, {
	"name": "海口",
	"id": "HAK",
	"airport": "美兰",
	"code": "HK",
	"airCode": "HAK"
}, {
	"name": "邯郸",
	"id": "HDN",
	"airport": "邯郸",
	"code": "HD",
	"airCode": "HDG"
}, {
	"name": "呼和浩特",
	"id": "HET",
	"airport": "白塔",
	"code": "HHHT",
	"airCode": "HET"
}, {
	"name": "合肥",
	"id": "HFE",
	"airport": "骆岗",
	"code": "HF",
	"airCode": "HFE"
}, {
	"name": "杭州",
	"id": "HGH",
	"airport": "萧山",
	"code": "HZ",
	"airCode": "HGH"
}, {
	"name": "长沙",
	"id": "CSX",
	"airport": "黄花",
	"code": "CS",
	"airCode": "CSX"
}, {
	"name": "呼伦贝尔",
	"id": "HUL",
	"airport": "海拉尔",
	"code": "HLBE",
	"airCode": "HLD"
}, {
	"name": "乌兰浩特",
	"id": "HLH",
	"airport": "依勒力特",
	"code": "HLHT",
	"airCode": "HLH"
}, {
	"name": "哈尔滨",
	"id": "HRB",
	"airport": "太平",
	"code": "HEB",
	"airCode": "HRB"
}, {
	"name": "舟山",
	"id": "HSN",
	"airport": "普陀山",
	"code": "ZS",
	"airCode": "HSN"
}, {
	"name": "银川",
	"id": "INC",
	"airport": "河东",
	"code": "YC",
	"airCode": "INC"
}, {
	"name": "庆阳",
	"id": "QIY",
	"airport": "西峰",
	"code": "QY",
	"airCode": "IQN"
}, {
	"name": "加格达奇",
	"id": "JGD",
	"airport": "嘎仙",
	"code": "JGDQ",
	"airCode": "JGD"
}, {
	"name": "嘉峪关",
	"id": "JGN",
	"airport": "嘉峪关",
	"code": "JYG",
	"airCode": "JGN"
}, {
	"name": "金昌",
	"id": "JCH",
	"airport": "金川",
	"code": "JC",
	"airCode": "JIC"
}, {
	"name": "衢州",
	"id": "JUZ",
	"airport": "衢州",
	"code": "QZ",
	"airCode": "JUZ"
}, {
	"name": "南昌",
	"id": "KHN",
	"airport": "昌北",
	"code": "NC",
	"airCode": "KHN"
}, {
	"name": "昆明",
	"id": "KMG",
	"airport": "长水",
	"code": "KM",
	"airCode": "KMG"
}, {
	"name": "贵阳",
	"id": "KWE",
	"airport": "龙洞堡",
	"code": "GY",
	"airCode": "KWE"
}, {
	"name": "桂林",
	"id": "KWL",
	"airport": "两江",
	"code": "GL",
	"airCode": "KWL"
}, {
	"name": "伊春",
	"id": "YCH",
	"airport": "林都",
	"code": "YC",
	"airCode": "LDS"
}, {
	"name": "连云港",
	"id": "LYG",
	"airport": "连云港",
	"code": "LYG",
	"airCode": "LYG"
}, {
	"name": "临沂",
	"id": "LYI",
	"airport": "临沂",
	"code": "LY",
	"airCode": "LYI"
}, {
	"name": "齐齐哈尔",
	"id": "NDG",
	"airport": "三家子",
	"code": "QQHE",
	"airCode": "NDG"
}, {
	"name": "南京",
	"id": "NKG",
	"airport": "禄口",
	"code": "NJ",
	"airCode": "NKG"
}, {
	"name": "南宁",
	"id": "NNG",
	"airport": "南宁",
	"code": "NN",
	"airCode": "NNG"
}, {
	"name": "南阳",
	"id": "NNY",
	"airport": "姜营",
	"code": "NY",
	"airCode": "NNY"
}, {
	"name": "南通",
	"id": "NTG",
	"airport": "兴东",
	"code": "NT",
	"airCode": "NTG"
}, {
	"name": "满洲里",
	"id": "MAZ",
	"airport": "满洲里",
	"code": "MZL",
	"airCode": "NZH"
}, {
	"name": "上海",
	"id": "SHA",
	"airport": "",
	"code": "SH",
	"airCode": ""
}, {
	"name": "上海浦东",
	"id": "SHA",
	"airport": "浦东",
	"code": "SH",
	"airCode": "PVG"
}, {
	"name": "上海虹桥",
	"id": "SHA",
	"airport": "虹桥",
	"code": "SH",
	"airCode": "SHA"
}, {
	"name": "石家庄",
	"id": "SJW",
	"airport": "正定",
	"code": "SJZ",
	"airCode": "SJW"
}, {
	"name": "三亚",
	"id": "SYX",
	"airport": "凤凰",
	"code": "SY",
	"airCode": "SYX"
}, {
	"name": "深圳",
	"id": "SZX",
	"airport": "宝安",
	"code": "SZ",
	"airCode": "SZX"
}, {
	"name": "青岛",
	"id": "TAO",
	"airport": "流亭",
	"code": "QD",
	"airCode": "TAO"
}, {
	"name": "汕头",
	"id": "SWA",
	"airport": "揭阳",
	"code": "ST",
	"airCode": "SWB"
}, {
	"name": "通辽",
	"id": "TGO",
	"airport": "通辽",
	"code": "TL",
	"airCode": "TGO"
}, {
	"name": "济南",
	"id": "TNA",
	"airport": "遥墙",
	"code": "JN",
	"airCode": "TNA"
}, {
	"name": "天津",
	"id": "TSN",
	"airport": "滨海",
	"code": "TJ",
	"airCode": "TSN"
}, {
	"name": "太原",
	"id": "TYN",
	"airport": "武宿",
	"code": "TY",
	"airCode": "TYN"
}, {
	"name": "乌鲁木齐",
	"id": "URC",
	"airport": "地窝堡",
	"code": "WLMQ",
	"airCode": "URC"
}, {
	"name": "榆林",
	"id": "UYN",
	"airport": "榆阳",
	"code": "YL",
	"airCode": "UYN"
}, {
	"name": "无锡",
	"id": "WUX",
	"airport": "硕放",
	"code": "WX",
	"airCode": "WUX"
}, {
	"name": "温州",
	"id": "WNZ",
	"airport": "温州",
	"code": "WZ",
	"airCode": "WNZ"
}, {
	"name": "乌海",
	"id": "WHA",
	"airport": "乌海",
	"code": "WH",
	"airCode": "WUA"
}, {
	"name": "武汉",
	"id": "WUH",
	"airport": "天河",
	"code": "WH",
	"airCode": "WUH"
}, {
	"name": "襄阳",
	"id": "XFN",
	"airport": "刘集",
	"code": "XY",
	"airCode": "XFN"
}, {
	"name": "锡林浩特",
	"id": "XIL",
	"airport": "锡林浩特",
	"code": "XLHT",
	"airCode": "XIL"
}, {
	"name": "西安",
	"id": "SIA",
	"airport": "咸阳",
	"code": "XA",
	"airCode": "XIY"
}, {
	"name": "厦门",
	"id": "XMN",
	"airport": "高崎",
	"code": "XM",
	"airCode": "XMN"
}, {
	"name": "西宁",
	"id": "XNN",
	"airport": "曹家堡",
	"code": "XN",
	"airCode": "XNN"
}, {
	"name": "烟台",
	"id": "YNT",
	"airport": "莱山",
	"code": "YT",
	"airCode": "YNT"
}, {
	"name": "湛江",
	"id": "ZHA",
	"airport": "湛江",
	"code": "ZJ",
	"airCode": "ZHA"
}, {
	"name": "兰州",
	"id": "LHW",
	"airport": "中川",
	"code": "LZ",
	"airCode": "ZGC"
}, {
	"name": "九华山",
	"id": "JHS",
	"airport": "九华山",
	"code": "JUH",
	"airCode": "JUH"
}, {
	"name": "北京",
	"id": "PEK",
	"airport": "",
	"code": "BJ",
	"airCode": ""
}, {
	"name": "北京首都",
	"id": "PEK",
	"airport": "北京首都",
	"code": "BJ",
	"airCode": "PEK"
}, {
	"name": "北京南苑",
	"id": "PEK",
	"airport": "北京南苑",
	"code": "BJ",
	"airCode": "NAY"
}, {
	"name": "宁波",
	"id": "NGB",
	"airport": "栎社",
	"code": "NB",
	"airCode": "NGB"
}, {
	"name": "阿尔山",
	"id": "YIE",
	"airport": "阿尔山",
	"code": "AES",
	"airCode": "YIE"
}, {
	"name": "张家口",
	"id": "ZJK",
	"airport": "张家口",
	"code": "ZJK",
	"airCode": "ZQZ"
}];


//查找城市对象
function findCity(cityName){
	var city;
	// 城市
	if('上海虹桥'==cityName || '上海浦东'==cityName || '北京南苑'==cityName || '北京首都'==cityName || '广州白云' == cityName || '广州佛山' == cityName){
		city=getCityByTarget('name',cityName);
	}else{
		// 城市加机场
		getCityByTarget(function(i,c){
			if(c.name+c.airport==cityName){
				city=c;
				return false;
			}
		});
	}
	// 二次查找
	if(!city) city = getCityByTarget('name',cityName);
	
	return city;
}


/**
 * 字符串缓存
 *
 * @returns
 */
function StringBuffer() {
		this._content_ = new Array();
	}
	//添加字符串
StringBuffer.prototype.append = function(str) {
	this._content_.push(str);
};
//添加字符串并换行
StringBuffer.prototype.appendln = function(str) {
	this._content_.push(str + "\n");
};
//重写 toString 函数
StringBuffer.prototype.toString = function() {
	return this._content_.join("");
};

/**
 * 渲染模板字符串
 * @param source 模板字符串
 * @param data 参数
 * @param config 配置
 * @returns 返回渲染字符串
 */
/* 
 * 案例 demo(https://github.com/aui/artTemplate)
 * var source = '<ul>'
   +    '{{each list as value i}}'
   +        '<li>索引 {{i + 1}} ：{{value}}</li>'
   +    '{{/each}}'
   + '</ul>';
   var data={
       list: ['摄影', '电影', '民谣', '旅行', '吉他']
   };
   var html = $render(source,data);
*/
// 引擎的默认配置
// 字段       类型      默认值 说明
// openTag  String  '{{'    逻辑语法开始标签
// closeTag String  "}}"    逻辑语法结束标签
// escape   Boolean true    是否编码输出 HTML 字符
// cache    Boolean true    是否开启缓存（依赖 options 的 filename 字段）
// compress Boolean false   是否压缩 HTML 多余空白字符
function $render(source, data) {
	var render = template.compile(source);
	var html = render(data);
	return html
}

/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function setLocJson(key, value) {
	if (key == "userId" && value == 500)
		$alert("userId set  error ");
	if (value) {
		window.localStorage[key] = JSON.stringify(value);
	} else {
		window.localStorage[key] = null;
	}
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function getLocJson(key, defaulter) {
	var value = window.localStorage[key];
	if (value) {
		return JSON.parse(window.localStorage[key]);
	} else {
		return defaulter || null;
	}
}

/**
 * 把  appcan 的 $ 交给 jQuery
 * appcan 使用。 $.getJSON(...) --> AppCan.getJSON(...);
 * 注意事项 jquery 引用必须在 zy_json 之前
 * @param {Object} w window
 */
function swap$(w) {
	// 如果 jQuery 在之前引用
	if (!w.jQuery) return; // 不存在则跳过

	w.AppCan = $; // 把 appcan 的 $ 叫给 AppCan
	w.$ = jQuery;
}

//获取元素 
function $$(id){
    return document.getElementById(id);
}

var  mapStr = '{"晴(夜晚)":"tq1","晴":"tq1","晴(白天)":"tq1","晴朗":"tq1","晴朗(夜晚)":"tq1","晴朗(白天)":"tq1","局部晴":"tq1","炎热":"tq1","闷热":"tq1","大部分晴":"tq1","大部分晴朗":"tq1","多云转晴":"tq1" ' +
                ',"晴间多云":"tq2","多云":"tq2","大部分多云(夜晚)":"tq2","大部分多云(白天)":"tq2","大部分多云":"tq2","局部多云(夜晚)":"tq2","局部多云(白天)":"tq2","局部多云":"tq2","晴转多云":"tq2" ' +
                ',"阴霾":"tq3" ' +
                ',"冻细雨":"tq4","细雨":"tq4","冻雨":"tq4","小雨":"tq4","零星阵雨":"tq4" ' +
                ',"热带风暴":"tq5" ' +
                ',"飘雪":"tq6","小阵雪":"tq6","吹雪":"tq6","雪":"tq6","零星阵雪":"tq6","阵雪":"tq6","小雪":"tq6","中雪":"tq6" ' +
                ',"尘埃":"tq7","浮尘":"tq7" ' +
                ',"强沙尘暴":"tq8","特强沙尘暴":"tq8" '+
                ',"沙尘暴":"tq19" '+
                ',"雾":"tq10","烟雾":"tq10" '+
                ',"扬沙":"tq11" '+
                ',"风暴":"tq12","大风":"tq121","有风":"tq121" '+
                ',"雷暴":"tq13","局部地区性雷暴":"tq13","强雷暴":"tq13" '+
                ',"龙卷风":"tq14","飓风":"tq14"'+
                ',"大雪":"tq15" '+
                ',"暴雪":"tq16" '+
                ',"雨":"tq20" '+
                ',"大雨":"tq21" '+
                ',"阵雨":"tq23","零星雷雨":"tq23","雷阵雨":"tq23","局部雷阵雨":"tq23" '+
                ',"混合雨和冰雹":"tq25","冰雹":"tq25" '+
                ',"雨夹雪":"tq26","雨和雨雪":"tq26","混合雨雪":"tq26","雨雪":"tq26" '+
                ',"冷":"tq27" ' +
                '} ';
var mapObj = JSON.parse(mapStr);

