eterm = {};
eterm.init = function(){
    //初始化->起飞日期
    eterm.setDate($("#flyDate"),iG.getYear(),iG.getMonth(),iG.getDay());    
    //初始化->始发地  
    eterm.setAirport("departure","上海虹桥","SHA");                          
    //初始化->select
    $("select").each(eterm.setSleect);                                 
    //绑定->select
    $("select").on("change",eterm.setSleect);                               
    //绑定->航班号
    $("#flightNo .cont").on("input",eterm.setInput);                        
    //绑定->起飞日期  
    $("#flyDate").on("click",eterm.chooseDate);                              
    //绑定->始发地
    $("#departure").on("click",eterm.chooseAirport);                        
    //绑定->查询
    $("#search").on("click",eterm.search);                                  
};
//设置select
eterm.setSleect = function(){
    var that = $(this);
    that.siblings(".cont").text(that.val());
    that.parents(".block").attr("need",that.val());
    iP.inst();
};
//设置日期
eterm.setDate = function(elem,year,month,day){
    var json = {
        "year" : year,
        "month" : month,
        "day" : day,
    };
    var monthArr = ["JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC"];
    elem.find(".cont").attr("datejson",JSON.stringify(json));  
    elem.find(".cont").text(year + "-" + month + "-" + day);
    elem.attr("need",day + monthArr[month-1] + year.toString().substr(2,2));
};
//选择日期
eterm.chooseDate = function(elem){
    var that = $(this);
    var date = JSON.parse(that.find(".cont").attr("datejson"));
    iG.openDate(date.year,date.month,date.day,function(data){
        eterm.setDate(that,data.year,data.month,data.day);
        iP.inst();
    })
}; 
//选择机场
eterm.chooseAirport = function(elem){
    iG.airportOption("etermNormal_win","eterm.setAirport",$(this).attr("id"));
};
//设置机场
eterm.setAirport = function(elemId,name,code){ 
    var iT = this;
    var elem = $("#" + elemId).find(".cont");
    elem.text(name + "(" + code + ")");
    elem.parents(".block").attr("need",code);
    iP.inst();
};
//操作表单
eterm.setInput = function(){
    var that = $(this);
    var val = $.trim(that.val());
    that.parents(".block").attr("need",val);
    if(val != "") that.attr("byCheck","true");
    else that.attr("byCheck","false");
    iP.inst();
};
//校验字段
eterm.checked = function(){
    $("[byCheck]").each(function(){
        if($(this).attr("byCheck") == "false"){
            $.iBoxMsg($(this).attr("placeholder"));
            return false;
        }
    });
    if($("[byCheck=false]").length == 0) return true;
    return false;
};
//查询
eterm.search = function(){
    if(!eterm.checked()) return;
    localStorage.setItem("eterm_inst",$("#eterm").attr("need"));
    iG.openWin("etermResult_win");
};