plane = {
loadIng : false,
page : 1,
totalPage : "",
load : function(status,needCleraFlag,isRefresh){
    var elem = $("#list");
    if(needCleraFlag){
        var clone = $("#list>div:first");
        elem.empty().append(clone);
        plane.page = 1;
    }
    plane.loadIng = true;
    var A = {
        "tailStatus": status,
        "pageNum": plane.page,
        "tailNo":"",
        "company": "",
        "fleetCode": "",
        "airport": ""
    };
    var B = iG.getObjItem("plane_list","condition");
    var condition = $.extend("",A,B);
    iG.ajax({
        data : {
            "type":"PLANEINDEXINFO",
            "condition":condition
        },
        success : function(data){  
            iG.ajaxCallback(isRefresh);            
            plane.loadIng = false;
            plane.page = plane.page + 1;
            plane.totalPage = data.totalPageCount;
			if(!isRefresh && needCleraFlag){                
//			alert("isRefresh = " + isRefresh + ";" + "needCleraFlag =" + needCleraFlag);
				var name = plane.searchPlaneResultCheck(status,data);
				if(!!name){
                    var par = '("'+ name + '")';
					uexWindow.evaluateScript("plane-list-win",0,"win.triggerTab" + par);
					return;
				}
			}                            
            
            plane.append(status,data.array);
            var inAirNum = data.kzTotalCount;
            var station = data.gzTotalCount;
            var passNight = data.gyTotalCount;
            var parking = data.tcTotalCount;
            var aog = data.aogTotalCount;
            var par = '("'+ inAirNum + '","'+ station + '","'+ passNight + '","'+ parking + '","'+ aog + '")';
            uexWindow.evaluateScript("plane-list-win",0,"iP.update" + par);
            uexWindow.resetBounceView('1');
            
        },
        ajaxType:"post"
    });
},
searchPlaneResultCheck : function(status,data){
	var planeStatus=["tcTotalCount","kzTotalCount","gzTotalCount","gyTotalCount","aogTotalCount"];
    var num =[data.kzTotalCount,data.gzTotalCount,data.gyTotalCount,data.tcTotalCount,data.aogTotalCount];
    var name = ["plane-list-inAir","plane-list-station","plane-list-passNight","plane-list-parking","plane-list-aog"];   
	var content_name;
//    alert(planeStatus[status] + " = " + data[planeStatus[status]]);
	if(data[planeStatus[status]] == 0){
        for(var i in num){
            if(num[i] != 0){
                content_name = name[i];
                break;
            }
        }        
    }
    return content_name;
},
append : function(status,data){
    var addElem,clone = $("#list>div:first");
    var statusFlag = (status == '0' || status == '4');
    for(var i in data){
        addElem = clone.clone().removeClass("uhide");        
        iG.autoData(data[i],addElem);
        $("#list").append(addElem);
        addElem.on("click",function(){
            var tailNo = $(this).find(".tailNo").text();
            var fleetCode = $(this).find(".fleetCode").text();
            var flightDate = iG.getYear() + "-" + iG.getMonth() + "-" +iG.getDay();
            iG.setObjItem("plane","tailNo",tailNo);
            iG.setObjItem("plane","fleetCode",fleetCode);
            iG.setObjItem("plane","flightDate",flightDate);
            if(statusFlag){
                iG.openWin("plane-parking-win");               
            }else{
                iG.openWin("plane-win");
            }            
        });
    };
},
loadMore : function(cla,callback){
    
    var j = 
        {
            "pullToReloadText":"拖动加载",
            "releaseToReloadText":"释放加载",
            "loadingText":"加载中...",
            "loadingImagePath":"res://shuaxin.png"
        }
    var i = 
        {
            "pullToReloadText":"下拉刷新",
            "releaseToReloadText":"释放立即刷新",
            "loadingText":"正在刷新...",
            "loadingImagePath":"res://shuaxin.png"
        }
    uexWindow.setBounce("1");
    uexWindow.setBounceParams('0',JSON.stringify(i));
    uexWindow.setBounceParams('1',JSON.stringify(j));    
    uexWindow.showBounceView("0","#FFF",1);
    uexWindow.showBounceView("1","#FFF",1);
    uexWindow.notifyBounceEvent("0","1");
    uexWindow.notifyBounceEvent("1","1");
    uexWindow.onBounceStateChange = function(type,status){
        if(type==0 && status==2) {
            callback();
            return;
        }
        if(type==1 && status==2) {
            if(plane.page > plane.totalPage){
                $.iBoxMsg("没有更多了");
                uexWindow.resetBounceView('1');
                return;
            }
            plane.load(cla);
            return;
        }        
    }
}
}
//$(function(){
//    if(typeof(uexWindow)=="undefined")iP.init();
//})