/*<div class="titlePane item1">
    <div class="tpHead fs10">标题一</div>
    <div class="tpBody">
        <div class="fs8">一二三四五六七</div>
        <div class="fs8">一二三四五六七</div>
        <div class="fs8">一二三四五六七</div>
    </div>
</div>*/
//$(".item1").titlePane("true")默认打开
//$(".item1").titlePane("close")关闭
//$(".item1").titlePane("open")打开
var titlePane = function(elem,flag){
    this.elem = elem;//元素
    this.flag = flag;//标记是否默认打开，true为打开
    this.init();
}
titlePane.prototype = {
    init:function(){
        var elem = $(this.elem);
        switch(this.flag){
            case "true":
                elem.attr("state","open");
                elem.children().eq(1).css("display","block");
                this.bind();
                break;
            case "false":
                elem.attr("state","close");
                this.bind();
                break;
            case "close":
                this.close();
                break;
            case "open":
                this.open();
                break;
            default:
                break;
        }
    },
    open:function(){
        this.elem.attr("state","open");
        this.elem.children().eq(1).css("display","block");
    },
    close:function(){
        this.elem.attr("state","close");
        this.elem.children().eq(1).css("display","none");
    },
    bind:function(){
        var tpHead = $(this.elem).children().eq(0);
        var self = this;
        tpHead.click(function(){
            var elem = $(this).parent();
            if(elem.attr("state")=="open")
                self.close();
            else
                self.open();
        });
    }
}
$.fn.titlePane = function(flag){
    return new titlePane(this,flag);
}