var calUtil = {
    getDaysInmonth : function(iMonth, iYear) {
        var dPrevDate = new Date(iYear, iMonth, 0);
        return dPrevDate.getDate();
    },
    bulidCal : function(iYear, iMonth) {
        var aMonth = new Array();
        aMonth[0] = new Array(7);
        aMonth[1] = new Array(7);
        aMonth[2] = new Array(7);
        aMonth[3] = new Array(7);
        aMonth[4] = new Array(7);
        aMonth[5] = new Array(7);
        aMonth[6] = new Array(7);
        var dCalDate = new Date(iYear, iMonth - 1, 1);
        var iDayOfFirst = dCalDate.getDay();
        var iDaysInMonth = calUtil.getDaysInmonth(iMonth, iYear);
        var iVarDate = 1;
        var d,w;
        aMonth[0][0] = "日";
        aMonth[0][1] = "一";
        aMonth[0][2] = "二";
        aMonth[0][3] = "三";
        aMonth[0][4] = "四";
        aMonth[0][5] = "五";
        aMonth[0][6] = "六";
        for ( d = iDayOfFirst; d < 7; d++) {
            aMonth[1][d] = iVarDate;
            iVarDate++;
        }
        for ( w = 2; w < 7; w++) {
            for ( d = 0; d < 7; d++) {
                if (iVarDate <= iDaysInMonth) {
                    aMonth[w][d] = iVarDate;
                    iVarDate++;
                }
            }
        }
        return aMonth;
    },
    ifHasSigned : function(signList, day) {
        var signed = false;
        $.each(signList, function(index, item) {
            var myDay = Number(item.vacationDateStr.split('-')[2]);
            if (myDay == day && item.fullFlag) {
                signed = true;
                return false;
            }
        });
        return signed;
    },
    drawCal : function(iYear, iMonth, signList, week) {
        
        var myMonth = calUtil.bulidCal(iYear, iMonth);
        var htmls = new Array();
        
        htmls.push("<div class='sign_main' id='sign_layer'>");
        htmls.push("<div class='sign' id='sign_cal'>");
        htmls.push("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">");
        htmls.push("<tr>");
        htmls.push("<td>" + myMonth[0][0] + "</td>");
        htmls.push("<td>" + myMonth[0][1] + "</td>");
        htmls.push("<td>" + myMonth[0][2] + "</td>");
        htmls.push("<td>" + myMonth[0][3] + "</td>");
        htmls.push("<td>" + myMonth[0][4] + "</td>");
        htmls.push("<td>" + myMonth[0][5] + "</td>");
        htmls.push("<td class='td_r'>" + myMonth[0][6] + "</td>");
        htmls.push("</tr>");
        
        var d,
            w;
        
        for ( w = 1; w < 7; w++) {

            //-1：全日历；数字：本周日历
            if(week == -1 || week == w) {

                if (w == 6 && myMonth[6][0] == undefined) {
                    break;
                }
                htmls.push("<tr week="+w+">");
                
                for ( d = 0; d < 7; d++) {
                    
                    var ifHasSigned = calUtil.ifHasSigned(signList, myMonth[w][d]);
                    var n = !isNaN(myMonth[w][d]) ? myMonth[w][d] : " ";
                    if(n<10){
                        var nStr = iYear +'-'+iMonth+"-0"+n;
                    }else{
                        var nStr = iYear +'-'+iMonth+"-"+n;
                    }

                    var classStr = 'item ';
                    if (d == 6) {
                        classStr += 'td_r ';
                        if (w == myMonth.length - 2 || (w == 6 && myMonth[6][0] == undefined && w == myMonth.length)) {
                            classStr += 'td_b';
                        }
                    } else if (w == myMonth.length - 2 || (w == 6 && myMonth[6][0] == undefined && w == myMonth.length)) {
                        classStr += 'td_b ';
                        if (d == 6) {
                            classStr += 'td_r';
                        }
                    }
                    
                    //htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + n + "</td>");
                
                
                    //考勤样式
                    if(n == 5) {
                        
                        var tempHtml = '';
                        tempHtml += '<div ontouchstart="" style="border-radius: 50% 0 0 50%; background-color: #D5EBBB;">';
                        tempHtml += '<div class="" style="border-radius: 50%; background-color: #73be1e; color: #FFFFFF;">';
                        tempHtml += ''+n+'';
                        tempHtml += '</div>';
                        tempHtml += '</div>';
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");
                        
                    }else if(n == 6) {
                        
                        var tempHtml = '';
                        tempHtml += '<div ontouchstart="" style="border-radius: 0 50% 50% 0; background-color: #D5EBBB;">';
                        tempHtml += ''+n+'';
                        tempHtml += '</div>';
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");
                        
                    }//航班样式
                    else if(n == 15) {
                        
                        var tempHtml = '';
                        //tempHtml += '<div ontouchstart="" style="border-radius: 50% 0 0 50%; border: 0.1em dashed #669aff; border-right: 0;">';
                        tempHtml += '<div ontouchstart="" style="position: absolute; top: 0em;bottom:0em; padding-left: 1em; border-radius: 50% 0 0 50%; border: 0.1em dashed #669aff; border-right: 0;">';
                        tempHtml += ''+n+'';
                        //tempHtml += '<span style="background: url(icon/signIn.png) no-repeat center;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
                        tempHtml += '<span style="background: url(icon/signIn.png) no-repeat left;background-size:auto 90%;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>';
                        tempHtml += '</div>';
                        //htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"' style='position: relative;'> " + tempHtml + "</td>");
                        
                    }else if(n == 16) {
                        
                        // var tempHtml = '';
                        // tempHtml += '<div ontouchstart="" style="border-radius: 50% 0 0 50%; background-color: rgb(188, 229, 231);">';
                        // tempHtml += '<div ontouchstart="" style="border-radius: 0 50% 50% 0; border: 1px dashed #669aff; border-left: 0;">';
                        // tempHtml += '<div class="" style="border-radius: 50%; border: 1px solid #669aff; background-color: #669aff; width: 100%; height: 100%;">';
                        // tempHtml += ''+n+'';
                        // tempHtml += '</div>';
                        // tempHtml += '</div>';
                        // tempHtml += '</div>';
                        // htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");
                        
                        
                        // var tempHtml = '';
                        // tempHtml += '<div ontouchstart="" style="border-radius: 50% 0 0 50%; background-color: rgb(188, 229, 231);">';
                        // tempHtml += '<div class="" style="border-radius: 50%; background-color: #669aff;">';
                        // tempHtml += '<div class="" style="width: 50%; float: left; border-top: 1px dashed #669aff; border-bottom: 1px dashed #669aff;">&nbsp;</div>';
                        // tempHtml += ''+n+'';
                        // tempHtml += '</div>';
                        // tempHtml += '</div>';
                        // tempHtml += '</div>';
                        // htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");


                        var tempHtml = '';
                        tempHtml += '<div ontouchstart="" style="border-radius: 50% 0 0 50%; background-color: #D1E0FF;">';
                        tempHtml += '<div class="toClick" style="border-radius: 50%; background-color: #669aff; color: #FFFFFF;height:3.5em">';
                        tempHtml += ''+n+'';
                        tempHtml += '</div>';
                        tempHtml += '</div>';
                        //tempHtml += '<div ontouchstart="" style="border-radius: 0 50% 50% 0; border: 0.1em dashed #669aff; width: 100%; position: absolute; top: 20%; border-left: 0; border-right: 0;">';
                        tempHtml += '<div ontouchstart="" style="border-radius: 0 50% 50% 0; border: 0.1em dashed #669aff; width:3.3em; position: absolute; top: 0em;bottom:0em; border-left: 0; border-right: 0;">';
                        tempHtml += '&nbsp;';
                        tempHtml += '</div>';
                        if(week != -1) {
                            tempHtml += '<div ontouchstart="" style="border-radius: 50%; border: 0.1em solid red; width: 3.3em; position: absolute; top: 0em;">&nbsp;</div>';
                        }
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"' style='position: relative;'> " + tempHtml + "</td>");

                    }else if(n == 17) {
                        
                        var tempHtml = '';
                        tempHtml += '<div ontouchstart="" style="border-radius: 0 50% 50% 0; background-color: #D1E0FF;">';
                        tempHtml += ''+n+'';
                        tempHtml += '</div>';
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + tempHtml + "</td>");
                        
                    }else {
                        htmls.push("<td class='"+classStr+"' name='"+nStr+"'> " + n + "</td>");
                    }
                
                }
                htmls.push("</tr><tr name='itemCon' class='uhide'><td colspan='7' class='it_c td_r'></td></tr>");
            }
        }
        htmls.push("</table>");
        htmls.push("</div>");
        htmls.push("</div>");
        return htmls.join('');
    }
}; 