/**
 * 文件目录
 * 1.公用常量
 * 2.原生js公用方法
 * 3.appcan插件公用方法
 * 4.页面中公用的方法
 */

/*------------------------------------1.公用常量-------------------------------------*/
 
//mas 3.0生产接口地址
//var cwstqDataUrl = "http://mumobile30.ceair.com/mas/sdk10098/public/ydcw/";  
//mas 3.0测试接口地址
//var cwstqDataUrl = "http://mumobiletest30.ceair.com:8011/11206260/public/ydcw/";  
//mas 4.0生产接口地址
var cwstqDataUrl = "https://store.ceair.com/mas/sdk10098/public/ydcw/";  
//mas 4.0测试接口地址
//var cwstqDataUrl = "http://172.31.64.34:8011/11206260/public/ydcw/";  
//mas 质控测试接口地址
//var cwstqDataUrl = "http://172.31.65.220:8081/11206260/public/ydcw/";
//mas 本机接口地址
//var cwstqDataUrl = "http://127.0.0.1:8080/xxx/xx/ydcw/"; 
//http://172.20.52.134:8082/   袁辉本机

var querySecInfo = "http://mobile-am.ceair.com:8088/mobileSecureR2/rest/querySecInfo";//四级预警生产接口
//var querySecInfo = "http://172.31.3.107:8088/mobileSecureR2/rest/querySecInfo";//四级预警测试接口
var GetJsonDataPost = "http://mobile-am.ceair.com:8080/AirMobileControlRS2/JsonService/GetJsonDataPost";//保留故障生产接口
//var GetJsonDataPost = "http://mobile-amdev.ceair.com:8080/AirMobileControlRS2/JsonService/GetJsonDataPost";//保留故障测试接口

//setLocVal("userName-i","mayixin");//zhangzhe3
//setLocVal("stewardCode","8479"); //8479 5453 67156
//setLocVal("orgCode","EA10"); //
//window.localStorage.setItem("MU30-domainName","乘务领域");

//var localLoginInfor = localStorage.getItem("MU30-USERINFO");
//var localLoginInfor = localStorage['MU30-userInfor-'+loginUsername];
//var localLoginInfor = localStorage['MU30-userinfoCW-'+loginUsername];

var isSML = (window.navigator.platform=='Win32')?1:0; /*是否在模拟器上运行, 1是0否*/
var isAndroid = (window.navigator.userAgent.indexOf('Android')>=0)?true : false;

/*------------------------------------2.原生js公用方法  -------------------------------------*/
function $$(id){
    return document.getElementById(id);
}

// localStorage保存数据   key  保存数据的key值  value  保存的数据
function setLocVal(key,value){
    window.localStorage['cwstq~_'+key] = value;
}

// 根据key取localStorage的值  key 保存的key值
function getLocVal(key){
    if(window.localStorage['cwstq~_'+key])
        return window.localStorage['cwstq~_'+key];
    else if(window.localStorage[key])
        return window.localStorage[key];
    else
        return "";
}

// 清除缓存  key  保存数据的key，如果不传清空所有缓存数据
function clearLocVal(key){
    if(key)
        window.localStorage.removeItem(key);
    else
        window.localStorage.clear();
}

// 补零操作 
function addZero(s){
    return (s>9) ? s : '0'+s;
}
        
//取小数点后两位
function roundNum(num){
    if(parseInt(num)==num){
        return num;
    }else{
        var n = parseFloat(num).toFixed(2);
        return n;
    }
}

// 判断值是否是空
function isDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined' ){
        return false;
    }
    return true;
}

// 值为空时返回空值 
function notDefine(s){
    return (isDefine(s)) ? s : "--";
}

// 设置undefined的默认值为"" 
function undefineValue(obj){
    if(!isDefine(obj)){
        return "";
    }
    return obj;
}

// 给DOM对象赋值innerHTML
function setHtml(id, html) {
    if ("string" == typeof(id)) {
        var ele = $$(id);
        if (ele != null) {
            ele.innerHTML = html == null ? "" : html;
        }
    } else if (id != null) {
        id.innerHTML = html == null ? "" : html;
    }
}

//json对象转为string
function json2str(j){
    return JSON.stringify(j);
}

//string转为json对象
function str2json(s){
    return JSON.parse(s);
}

//修改后下拉列表
function zy_selectmenu1(id){
    var sl = document.getElementById(id);
    if (sl) {
        var sp = sl.parentElement; //<span>
        if (sp) {
            var ch = sp.getElementsByTagName("div")[2];
            var t = sl.options[sl.selectedIndex].text;
            if (ch) {
                ch.innerHTML = t;
            }
        }
    }
}

// 日期：获取n天后的日期
function GetDateStr(date, AddDayCount) { 
    var dd = new Date(date); 
    dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期 
    var y = dd.getFullYear(); 
    var m = (dd.getMonth()+1)<10?"0"+(dd.getMonth()+1):(dd.getMonth()+1);//获取当前月份的日期，不足10补0
    var d = dd.getDate()<10?"0"+dd.getDate():dd.getDate(); //获取当前几号，不足10补0
    return y+"-"+m+"-"+d; 
}

// 日期：计算两个日期之间天数 
function GetDateDiff(startDate,endDate){  
    var startTime = new Date(Date.parse(startDate.replace(/-/g,   "/"))).getTime();     
    var endTime = new Date(Date.parse(endDate.replace(/-/g,   "/"))).getTime();     
    var dates = Math.abs((startTime - endTime))/(1000*60*60*24);     
    return  dates;    
}

//日期：格式化时间  电子任务书中页面上的日期用到
function formatTime(dateStr){
    if(isDefine(dateStr)){
        var date = new Date(dateStr);
        var year = date.getFullYear();
        var month = date.getMonth()+1;
        var day = date.getDate();
        var hours = date.getHours();
        var minutes = date.getMinutes();
        if(month < 10){
            month = "0"+ month;
        }
        
        if(day < 10){
            day = "0" + day;
        }
        
        if(hours < 10){
            hours = "0" + hours;
        }
        
        if(minutes < 10){
            minutes = "0" + minutes;
        }
        
        var formatStr = year +'-'+ month +'-'+ day +'T'+ hours +":"+ minutes + ':00+08:00';
        return formatStr;
    }
}

//日期：格式化秒 转化为时分秒
function formatSeconds(time){ 
    var theTime = parseInt(time);// 秒 
    var theTime1 = 0;// 分 
    var theTime2 = 0;// 小时 
    var theTime3=0;//天
    if(theTime > 60) { 
        theTime1 = parseInt(theTime/60); 
        theTime = parseInt(theTime%60); 
        if(theTime1 > 60) { 
            theTime2 = parseInt(theTime1/60); 
            theTime1 = parseInt(theTime1%60); 
        } 
    }if(theTime2>24){
        theTime3 = parseInt(theTime2/24); 
        theTime2 = parseInt(theTime1/60); 
        theTime1 = parseInt(theTime1%60);   
    } 
    
    var result = ""+parseInt(theTime)+"秒"; 
    if(theTime1 > 0) { 
       result = ""+parseInt(theTime1)+"分"+result; 
    } 
    
    if(theTime2 > 0) { 
       result = ""+parseInt(theTime2)+"时"+result; 
    }
    
    if(theTime3>0){
       result = ""+parseInt(theTime3)+"天"+result;   
    } 
    return result;
} 

//日期：格式化日期
function formatDate(dateStr,dateType){
    /*
     * 默认格式：  2014/04/20/05:34
     * 1.2014-04-21
     * 2.2014-04-21 12:23:23  星期一
     * 3.09-07
     * 4.09-08 12:23
     * 5.2014-09-08 04:23
     * 6.2014-09-08 04:23:23
     */
 
    if(isDefine(dateStr)){
        var formatStr = "";
        var date = new Date(dateStr);
        var year = date.getFullYear();
        var month = date.getMonth()+1;
        var day = date.getDate();
        var hours = date.getHours();
        var minutes = date.getMinutes();
        var seconds = date.getSeconds();
        var weekday = date.getDay();
        if(month < 10){
            month = "0" + month;
        }
        
        if(day < 10){
            day = "0" + day;
        }
        
        if(hours < 10){
            hours = "0" + hours;
        }
        
        if(minutes < 10){
            minutes = "0" + minutes;
        }
        
        if(seconds < 10){
            seconds = "0" + seconds;
        }
        var week = "";
        switch(weekday){
            case 0:
               week = "星期日";
            break;
            case 1:
               week = "星期一";
            break;
            case 2:
               week = "星期二";
            break;
            case 3:
               week = "星期三";
            break;
            case 4:
               week = "星期四";
            break;
            case 5:
               week = "星期五";
            break;
            case 6:
               week = "星期六";
            break;
        }
        
        if(dateType == "1"){
            formatStr = year + '-' + month + '-' + day;
        }else if(dateType == "2"){
            formatStr = year + '-'+month+'-'+day +' '+hours+':'+minutes+':'+seconds+'  '+week;
        }else if(dateType=="3"){
            formatStr = month + '-' + day;
        }else if(dateType=="4"){
            formatStr = month +'-'+ day +' '+ hours +':'+ minutes;
        }else if(dateType == "5"){
            formatStr = year +'-'+ month +'-'+ day +' '+ hours +':'+ minutes;
        }else if(dateType == "6"){
            formatStr = year +'-'+ month +'-'+ day +' '+ hours +':'+ minutes+':'+seconds;
        }else if(dateType == "7"){
            formatStr = year +'/'+ month +'/'+ day;
        }else{
            formatStr = year +'/'+ month +'/'+ day +'/'+ hours +':'+ minutes;
        }
        return formatStr;
    }else{
        return "";
    }
}

//数组：判断是否为数组 
function isArray(obj){ 
    return (typeof obj=='object')&&obj.constructor==Array; 
} 

//数组：取出相同的字符串
function arrayIntersection(arr1,arr2){
    var temp = []; //临时数组1  
    var temparray = [];//临时数组2  

    for (var i = 0; i < arr2.length; i++) {  
        temp[arr2[i]] = true;//巧妙地方：把数组B的值当成临时数组1的键并赋值为真  
    }

    for (var i = 0; i < arr1.length; i++) {  
        if (temp[arr1[i]]) {  
            temparray.push(arr1[i]);//巧妙地方：同时把数组A的值当成临时数组1的键并判断是否为真，如果不为真说明没重复，就合并到一个新数组里，这样就可以得到一个全新并无重复的数组  
        }
    }
    return temparray;
}

//数组：过滤相同的值
function filterArray(array){
    var key = 0; //初始化键值
    var arr = new Array(); //声明一个数组
    var num = array.length; //数组长度
    for(var i = 0 ;i < num;i++){ //对数组进行交叉对比
     //当对重复的值对比时，避免对比当前自己，需要在当前的基础上+1，比如array[0],array[1],如果对比array[0]的时候并不是拿自身array[0]，而是array[1]
        for(var j = i+1;j < num;j++){
            if(array[i] == array[j]){ //将交叉的数组对比
                array[i] = null; //如果相等则 unset
                break; //并跳出
            }  
        }
    }
     
    for(var i = 0;i<num;i++){  //将数组进行for遍历
        if(array[i]){ //判断是否为空
            arr[key++] = array[i]; //将过滤后的数组给新数组arr赋值
        }
    }
    return arr;
}  

//数组:json对象转数组
function jsonToArray(obj){
    var tempDataArray = [];
    if(!isArray(obj)){
        tempDataArray.push(obj);
    }else{
        tempDataArray = obj;
    }
    return tempDataArray;
}

//对象：检测对象是否是空对象(不包含任何可读属性)。 方法既检测对象本身的属性，也检测从原型继承的属性(因此没有使hasOwnProperty)。 
function isEmptyObject(obj){ 
    for (var name in obj)  
    { 
        return false; 
    } 
    return true; 
}

//对象：对象不为空 
function isNotEmptyObject(obj){
    return !isEmptyObject(obj);
}

//对象：设置空对象的默认值为null
function emptyObjValue(obj){
    if(isEmptyObject(obj)){
        return null;
    }
    return obj;
}

//对象：设置空对象的默认值为"" 
function emptyObjSky(obj){
    if(isEmptyObject(obj)){
        return "";
    }
    return obj;
}

//对象：空对象转换为空字符串
function objectToStr(s){
    if(Object.prototype.toString.apply(s)== '[object Object]')  
       return '';
    else  
       return s;
    
}

function zy_rc4_init(key){
    var s = [], j = 0, x, res = '';
    for (var i = 0; i < 256; i++) {
        s[i] = i;
    }
    for (i = 0; i < 256; i++) {
        j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
        x = s[i];
        s[i] = s[j];
        s[j] = x;
    }
    return s;
}

function zy_rc4(str, s){
    var i = 0;
    var j = 0;
    var res = "";
    var k = [];
    k = k.concat(s);
    for (var y = 0; y < str.length; y++) {
        i = (i + 1) % 256;
        j = (j + k[i]) % 256;
        x = k[i];
        k[i] = k[j];
        k[j] = x;
        res += String.fromCharCode(str.charCodeAt(y) ^ k[(k[i] + k[j]) % 256]);
    }
    return res;
}

function zy_rc4ex(str){
    var key = 'mumobile';
    var s = zy_rc4_init(key);
    return zy_rc4(str, s);
}

/*------------------------------------3.appcan插件公用方法 -------------------------------------*/

/**
 * @param String inWndName 新窗口名称
 * @param String html       新窗口路径
 * @param String inAniID    打开动画
 * @param String f
 */
function openNewWin(inWndName,html,inAniID,f){
    if(inAniID)
        uexWindow.open(inWndName,'0',html,inAniID,'','',(f)?f:0);
    else
        uexWindow.open(inWndName,'0',html,10,'','',(f)?f:0);
}

/**
 * [winClose 关闭窗口]
 * @param  {[type]} n [关闭窗口动画，默认-1]
 * @return {[type]}   [description]
 */
function winClose(n){
    if(n){
        uexWindow.close(n);
        return;
    }
    if(parseInt(n)==0){
        uexWindow.close(n);
        return;
    }
    uexWindow.close(-1);
}

/**
 * alert 和 confirm 弹出框
 * @param String str 提示语
 * @param Function callback confirm的回调函数
 */
/*function alert(str,callback){
    if(callback){
        uexWindow.cbConfirm = function(opId,dataType,data){
            if(data == 0)
                callback(); 
        }
        uexWindow.confirm('提示',str,['确定'])
    }else
        uexWindow.alert('提示',str,'确定');
}*/

/**
 * 在其他窗口中执行指定主窗口中的代码
 * @param String wn  需要执行代码窗口的名称
 * @param String scr 需要执行的代码
 */
function uescript(wn, scr){
    uexWindow.evaluateScript(wn,'0',scr);
}

/**
 * 在其他窗口中执行指定浮动窗口中的代码
 * @param String wn  需要执行代码浮动窗口所在的主窗口的名称
 * @param String pn  需要执行代码的浮动窗口的名称
 * @param String scr 需要执行的代码
 */
function ueppscript(wn, pn, scr){
    uexWindow.evaluatePopoverScript(wn,pn,scr);
}

/**
 * 设置平台弹动效果
 * @param Function downcb 下拉
 * @param Function upcb   上拖
 */
function setPageBounce(funcTop, funcBottom){
    uexWindow.setBounce("1");
    if(!funcTop && !funcBottom){
        uexWindow.showBounceView("0","#FFF","0");
        uexWindow.showBounceView("1","#FFF","0");
        return;
    }
    var top = 0,btm = 1;
    uexWindow.onBounceStateChange = function(type,state){   
        if(type==top && state == 2){                //顶部弹动
            funcTop();
        }
        if(type==btm && state == 2){                //底部弹动
            funcBottom();
        }
    }
    if(funcTop){
        uexWindow.setBounceParams('0','{"pullToReloadText":"下拉刷新","releaseToReloadText":"释放刷新","loadingText":"加载中，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
        uexWindow.showBounceView(top,"#FFF",1);
        uexWindow.notifyBounceEvent(top,1); 
    }
    if(funcBottom){
        uexWindow.setBounceParams('1','{"pullToReloadText":"加载更多","releaseToReloadText":"加载更多","loadingText":"加载中，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
        uexWindow.showBounceView(btm,"#FFF",1);//设置弹动位置及效果([1:显示内容;0:不显示])
        uexWindow.notifyBounceEvent(btm,1);     //注册接收弹动事件([0:不接收onBounceStateChange方法回调;1:接收])
    }

}

/***
 * 使弹动重置为初始位置
 * @param String type 弹动的类型 0-顶部弹动  1-底部弹动 
 */
function resetBV(type){
    uexWindow.resetBounceView(type);
}

/**
 * 显示加载框
 * @param String mes 显示的提示语
 * @param String t  毫秒数 窗口存在时间 有的话显示框不显示那个“圈”，并且在t时间后消失
 */
function $toast(mes,t){
    uexWindow.toast(t?'0':'1','5',mes,t?t:0);
}

/**
 * 手动关闭加载框
 */
function $closeToast(){
    uexWindow.closeToast();
}


/**
 * getJSON请求数据的错误回调函数
 * @param {Object} err 返回的错误对象
 */
function getJSONError(err){
    $closeToast();
    resetBV(0);
    resetBV(1);
    if (err.message == 'network error!') {
        $toast('获取数据失败，请检查网络是否正常！',2000);
    }else if (err.message == 'json parse failed!',2000) {
        $toast('加载数据失败，请重新加载！',2000);
    }else if (err.message == 'file does not exist!',2000) {
        $toast('文件不存在',2000);
    }else if (err.message == 'read file failed!',2000) {
        $toast('文件读取错误',2000);
    }else {
        $toast('发现未知错误',2000);
    }
}
 
/**设置安卓back和menu按键事件监听
 * @b: back键，1为监听。
 * @m: menu键，1为监听。
 * @cb1: back键监听处理回调方法。
 * @cb2: menu键监听处理回调方法。
 */
function addKeyListener(b, m, cb1, cb2){
    if(!isSML) {
        uexWindow.onKeyPressed = function(keyCode){
            if(keyCode==0){
                if(cb1)  cb1();
                //uexWidget.finishWidget(''); //退出应用
            }
            else{
                if(cb2) cb2();
            }
        }
        if(b) uexWindow.setReportKey('0', '1');
        if(m) uexWindow.setReportKey('1', '1');
    }
}

/*
 * 文件下载pdf
 */
var did = 1000;
function down_app(url_update,name,cb){
    var len = url_update.length;
    var beg = url_update.lastIndexOf(".")
    var file_type = url_update.substring(beg+1,len);
    if(isAndroid)
        var saveUpdate = "/sdcard/download/"+name+"."+file_type;
    else
        var saveUpdate = "wgt://data/"+name+"."+file_type;
    uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){
        switch(status) {
            case 0:
                var str = '下载进度：'+percent+'%';
                if(fileSize==-1) str = '下载中，请稍候...';
                uexWindow.toast('1','5', str,'');
            break;
            case 1:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb(saveUpdate);
            break;
            case 2:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb('');
            break;;
        }
    }
    uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){
        if(data == 0){
            uexWindow.toast('1','5', '下载中，请稍候...','');
            uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0');
        }else{
            alert("创建失败");
        }
    }
    
    uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
        if(isDefine(data)){
            cb(saveUpdate);
        }else{
            did++;
            uexDownloaderMgr.createDownloader(did); 
        }
    }
    uexFileMgr.isFileExistByPath(did,saveUpdate);
}

/*
 * 视频下载
 */
var vid = 1000;
function down_view(url_update,name,cb){
    var len = url_update.length;
    if(isAndroid)
        var saveUpdate = "/sdcard/download/video/"+name;
    else
        var saveUpdate = "wgt://video/"+name;
    uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){
        switch(status) {
            case 0:
                var str = '下载进度：'+percent+'%';
                if(fileSize==-1) str = '下载中，请稍候...';
                uexWindow.toast('1','5', str,'');
            break;
            case 1:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb(saveUpdate);
            break;
            case 2:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb('');
            break;;
        }
    }
    uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){
        if(data == 0){
            uexWindow.toast('1','5', '下载中，请稍候...','');
            uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0');
        }else{
            alert("创建失败");
        }
    }
    
    uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
        if(isDefine(data)){
            cb(saveUpdate);
        }else{
            vid++;
            uexDownloaderMgr.createDownloader(vid); 
        }
    }
    uexFileMgr.isFileExistByPath(vid,saveUpdate);
}

/*
 * 音频下载
 */
var aid = 1000;
function down_audio(url_update,name,cb){
    var len = url_update.length;
    if(isAndroid)
        var saveUpdate = "/sdcard/download/audio/"+name;
    else
        var saveUpdate = "wgt://audio/"+name;
    uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){
        switch(status) {
            case 0:
                var str = '下载进度：'+percent+'%';
                if(fileSize==-1) str = '下载中，请稍候...';
                uexWindow.toast('1','5', str,'');
            break;
            case 1:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb(saveUpdate);
            break;
            case 2:
                uexDownloaderMgr.closeDownloader(opCode);
                uexWindow.closeToast();
                cb('');
            break;;
        }
    }
    uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){
        if(data == 0){
            uexWindow.toast('1','5', '下载中，请稍候...','');
            uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0');
        }else{
            alert("创建失败");
        }
    }
    
    uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
        if(isDefine(data)){
            cb(saveUpdate);
        }else{
            aid++;
            uexDownloaderMgr.createDownloader(aid); 
        }
    }
    uexFileMgr.isFileExistByPath(aid,saveUpdate);
}

/**
 * 退出应用  磁铁3.0
 */
function quitApp(){
    uexWidget.finishWidget('1');
}

/**
 * 统计功能点击的次数
 * clickID  功能id
 * clicnName  功能名字
 * 梁磊 2016-01-08
 */
function ydcwClickCount(id,name){
   var pf = uexWidgetOne.platformName; 
   //uexEMM.setEvent(id, '{"pfName":"'+pf+'","loginDN":"添加'+name+'统计次数"}');
}

/**
 * 统计功能点击的次数
 * eventId  功能id
 * eventName  功能名称
 * 李培 2016-03-17
 */
function ydcwClickTotal(eventId,eventName){
    var comName = getLocVal("comName");
    var depName = getLocVal("depName");
    var newDate = new Date();
    var year = newDate.getFullYear();
    var month = newDate.getMonth()+1;
    var day = newDate.getDate();
    var hours = newDate.getHours();
    var min = newDate.getMinutes();
    var sec = newDate.getSeconds();
    var nowTime = year + "." + month + "." + day + " " + hours + ":" + min + ":" + sec;
    if(comName == undefined){
        var comName = "";   
    }else{
        var comName = comName; 
    }
    if(depName == undefined){
        var depName = "";   
    }else{
        var depName = depName; 
    }
    var dataTest = {
        "event_id": "移动乘务",
        "label": "移动乘务",
        "kv": [
            {
                "key": "账户名",
                "value": getLocVal("uname-i")
            },
            {
                "key": "分子公司",
                "value": comName
            },
            {
                "key": "部门",
                "value": depName
            },
            {
                "key": "应用名称",
                "value": "移动乘务"
            },
            {
                "key": "事件名称",
                "value": eventName
            },
            {
                "key": "事件ID",
                "value": eventId
            },
            {
                "key": "触发时间",
                "value":getLocVal("uname-i") +"|"+ nowTime
            }
        ]
    }
    //uexTalkingData.userClickInfo(JSON.stringify(dataTest)); 
}

/**
 * 监控android返回键，点击返回键时退出子应用，返回到掌上东航平台
 * 梁磊  2016-01-11 
 */
function ydcwQuitApp(){
    //点击设备返回键时则退出子应用
    uexWindow.setReportKey(0, 1);
    uexWindow.onKeyPressed = function(keyCode){
        if (keyCode == 0){
             uexWidget.finishWidget('1');
        } 
    }
}

/**
 * 调用打电话 
 */
function initOpenUexCall(){
    var cText = 0;
    var cJson = 1;
    var cInt = 2;
    window.uexOnload = function() {     
        uexDevice.cbGetInfo = function(opId,dataType, data){
            switch(dataType){
                case cText:
                    alert("uex.cText");
                    break;
                case cJson:
                    var device = eval('('+data+')');
                    var jkDeviceType = device.deviceType;
                    var faceTimeNum = document.getElementById("uexCall.facetime").value;
                    switch(parseInt(jkDeviceType)){
                        case 0:
                          //alert("iphone");
                          uexCall.facetime(faceTimeNum);
                          break;
                        case 1:
                          //alert("ipad");
                          break;
                        case 2:
                          //alert("ipodTouch");
                          break;
                        default:
                            alert("error");
                    }
                    break;
                
                case cInt:
                    alert("uex.cInt");
                    break;
                default:
                    alert("Error");
            }
        };
    }
}

/**
 * 调用发短信 
 */
function initOpenSMS(){
        var cText = 0;
        var cJson = 1;
        var cInt = 2;
        uexSMS.cbSend=function(opCode,dataType,data){
        switch(dataType){
            case cText:
                alert("uex.cText");
                break;
            case cJson:
                alert("uex.cJson");
                break;
            case cInt:
                if(data==0){//发送成功
                    alert("短信发送成功!");
                }else{
                    alert("短信发送失败!");
                }
                break;
            default:
                alert("短信发送失败!");
        }
    }
    uexWidgetOne.onError=function(opCode,errorCode,errorDesc){
        alert(errorCode+":"+errorDesc);
    }
}

 
/*------------------------------------4.页面中公用的方法 ------------------------------------*/



/**
 * 判断返回字段
 * @param  {[type]} name [description]
 * @return {[type]}      [description]
 */
function test_name(name){
    if(name == undefined && !name){
        return "";
    }else if(typeof name == "object"){
        return "";
    }else{
        return name;
    }
}

//关闭乘务准备所有窗口
function closeAllCrew(){
    uescript('crewReady1','winClose(0)');
    uescript('crewReady2','winClose(0)');
    uescript('crewReady3','winClose(0)');
    uescript('crewReady4','winClose(0)');
    uescript('crewReady5','winClose(0)');
    uescript('crewReady6','winClose(0)');
}

//关闭乘务回收书所有窗口
function closeAllCrewBook(){
    clearLocVal("controlWin");
    clearLocVal("isRecoverySave");
    clearLocVal("isAssigeSave");
    clearLocVal("isfourSave");
    uescript('assignedCrew','winClose(0)');
    uescript('recoveryTaskBookCrew','winClose(0)');
    uescript('four_stages','winClose(0)');
    uescript('information','winClose(0)');
    uescript('safe','winClose(0)');
    uescript('star','winClose(0)');
    uescript('VIP','winClose(0)');
    uescript('charter','winClose(0)');
}

//选择城市
var DHcity = 0;
function stationList(cb){
    var s=window.getComputedStyle($$('content'),null);
    uexDHCity.open(0, $$("header").offsetHeight, int(s.width),int(s.height), 'res://citys.png','','热门城市');
    uexDHCity.cbSelected = function(opId, dataType, data){
        setTimeout(function(){
            uexDHCity.close();
            DHcity = 0;
        },200);
        cb(data);
    }
    DHcity = 1;
}

/**天气**/
function showALlWeater(str){
    switch(str){
        case "晴(夜晚)":
        case "晴":
        case "晴(白天)":
        case "晴朗":
        case "晴朗(夜晚)":
        case "晴朗(白天)":
        case "局部晴":
        case "炎热":
        case "闷热":
        case "大部分晴":
        case "大部分晴朗":
        case "多云转晴":
            return 'css/tianqi/tq2.png';
            break;
        case "晴间多云":
        case "多云":
        case "大部分多云(夜晚)":
        case "大部分多云(白天)":
        case "大部分多云":
        case "局部多云(夜晚)":
        case "局部多云(白天)":
        case "局部多云":
        case "晴转多云":
            return 'css/tianqi/tq3.png';
            break;
        case "阴霾":
            return 'css/tianqi/tq6.png';
            break;
        case "冻细雨":
        case "细雨":
        case "冻雨":
        case "小雨":
        case "零星阵雨":
            return 'css/tianqi/tq8.png';
            break;
        case "热带风暴":
            return 'css/tianqi/tq17.png';
            break;
        case "飘雪":
        case "小阵雪":
        case "吹雪":
        case "雪":
        case "零星阵雪":
        case "阵雪":
        case "小雪":
            return 'css/tianqi/tq11.png';
            break;
        case "中雪":
            return 'css/tianqi/tq16.png';
            break;
        case "尘埃":
        case "浮尘":
            return 'css/tianqi/tq5.png';
            break;
        case "强沙尘暴":
            return 'css/tianqi/shachen-qiang.png';
        case "特强沙尘暴":
            return 'css/tianqi/shachen-teqiang.png';
            break;
        case "沙尘暴":
            return 'css/tianqi/shachen.png';
            break;
        case "雾":
        case "烟雾":
            return 'css/tianqi/tq5.png';
            break;
        case "扬沙":
            return 'css/tianqi/yangsha.png';
            break;
        case "风暴":
            return 'css/tianqi/feangbao.png';
        case "大风":
            return 'css/tianqi/dafeng.png';
        case "有风":
            return 'css/tianqi/youfeng.png';
            break;  
        case "雷暴":
        case "局部地区性雷暴":
        case "强雷暴":
            return 'css/tianqi/tq13.png';
            break;
        case "龙卷风":
        case "飓风":
            return 'css/tianqi/tq19.png';
            break;
        case "大雪":  
            return 'css/tianqi/tq12.png';
            break;  
        case "暴雪":
            return 'css/tianqi/tq21.png';
            break;
        case "雨":
        case "大雨":
            return 'css/tianqi/tq9.png';
            break;
        case "阵雨":
        case "零星雷雨":
            return 'css/tianqi/tq22.png';
            break;
        case "雷阵雨":
        case "局部雷阵雨":
            return 'css/tianqi/tq13.png';
            break;
        case "混合雨和冰雹":
            return 'css/tianqi/bingbaoyu.png';
        case "冰雹":
            return 'css/tianqi/bingbao.png';
            break;
        case "雨夹雪":
        case "雨和雨雪":
        case "混合雨雪":
        case "雨雪":
            return 'css/tianqi/tq15.png';
            break;
        case "冷":
            return 'css/tianqi/leng.png';
            break;
        default:
            return 'css/tianqi/tq23.png';
            break;
    }
}


/**
 *点击清除输入数据 
 */
function toggleIcon(ele){
    var inputVal = ele.value;
    var clearEle = ele.parentElement.nextElementSibling;
    if(inputVal == ''){
        clearEle.className = 'res-clear umar-l umh2 umw1 ub-img uhide';
    } else {
        clearEle.className = 'res-clear umh2 umw1 umar-l ub-img';
    }
}

/**
 * 输入框失去焦点事件  
 */
function lost(ele){
    var inputVal = ele.value;
    var clearEle = ele.parentElement.nextElementSibling;
    setTimeout( function(){ clearEle.className = 'res-clear umar-l umw1 ub-img uhide'; }, 200);
}

/**
 * 清除输入框的值 
 */
function clearInput(ele){
    if(ele.element) ele = ele.element;
    var inputEle = ele.previousElementSibling.firstElementChild;
    inputEle.value = '';
    ele.className = 'res-clear umw1 ub-img uhide';
    inputEle.focus();
}

/**
 * 长按事件处理
 */

var timeOutEvent = 0; //定时器
//开始按
function gtouchstart(id){
    timeOutEvent = setTimeout(function(){longPress(id);},800);
    return false;
}

//长按时间没有达到长按事件的触发时间，即为点击事件
function gtouchend(id,tabId){
    clearTimeout(timeOutEvent); //清除定时器
    if(timeOutEvent != 0){
         confirmCheckedBtn(id,tabId);
    }
    return false;
}

//如果手指有移动，则取消所有事件，此时说明用户只是移动而不是长按
function gtouchmove(){
    cleraTimeout(timeOutEvent);
    timeOutEvent = 0;
}

//长按事件
function longPress(id){
    timeOutEvent = 0;
    openFold(id);
}

//长按打开详情信息
function openFold(id){
    var radio = document.getElementById(id);
    radio.checked = !radio.checked;
}

//点击处理事件
function confirmCheckedBtn(id,tabId){
    var checkedBtn = document.getElementById(id);
    var checkedBtnClass = checkedBtn.className;
    if(checkedBtnClass.indexOf('selected') > -1){
        checkedBtn.style.backgroundImage = "url(css/zgp/check_gray_0.png)";
        checkedBtn.className = "ub-img5";
    }else {
        if(tabId == 1){
            checkedBtn.style.backgroundImage = "url(css/zgp/check_green_1.png)";
        }else if(tabId == 2){
            checkedBtn.style.backgroundImage = "url(css/zgp/check_orange_1.png)";
        }
        checkedBtn.className = "ub-img5 selected";
    }
}

/**
 * 自助排班列表第一次进入弹出的操作提示层,点击我知道关闭提示层
 */

//显示背景
function showShadeDiv(bgId,showId) {            
    document.getElementById(bgId).style.display ="block";
    document.getElementById(showId).style.display ="block";
}

//显示提示层
function hideShadeDiv(bgId,showId) {
    document.getElementById(bgId).style.display ='none';
    document.getElementById(showId).style.display ='none';
}

/**
 * 自主换班中我的航班列表和航班对换列表中多航班数据据拼接，最终返回一个数组
 * @param {Object} json
 */
function assembleFlighListData(json){
    //保存拼接后的数据
    var flightData = [];
    //保存jointFlightGroupCode字段不为空的数据
    var notEmptyFlightData = [];
    //保存临时的数据
    var tempData = [];
    var jsonDataArray = [];
    if(!isArray(json)){
        jsonDataArray.push(json);
    }else{
        jsonDataArray = json;
    }
    for(var i = 0; i < jsonDataArray.length;i++){
        if(isEmptyObject(jsonDataArray[i].jointFlightGroupCode)|| !isDefine(jsonDataArray[i].jointFlightGroupCode)){
            tempData.push(jsonDataArray[i]);
            flightData.push(tempData.slice(0));
            tempData.length = 0;
        }else{
            notEmptyFlightData.push(jsonDataArray[i]);
        }
    }
    
    for(var j = 0; j < notEmptyFlightData.length;j++){
        var tempFightData = new Array();
        tempFightData.push(notEmptyFlightData[j]);
        if(isDefine(notEmptyFlightData[j])){
            for(var k = j+1;k < notEmptyFlightData.length;k++){
                if(isDefine(notEmptyFlightData[k])){
                    if(notEmptyFlightData[j].jointFlightGroupCode == notEmptyFlightData[k].jointFlightGroupCode){
                        tempFightData.push(notEmptyFlightData[k]);
                        notEmptyFlightData[k] = null;
                    }
                }
                
            }
        }
        
        notEmptyFlightData[j] = null;
        if(tempFightData[0] != null){
            flightData.push(tempFightData);
        }
    }
    return flightData;
 
}