(function(jQuery){
	$.system=function(){
		/**************************（公共方法）***************************/
		this.loadPageSize;//当前用户需要加载多少个接口
		/**
		 * 登录获取角色
		 */
		this.userLogin = function(){
//			var domainNameOld = localStorage['MU30-domainName'];
//			var domeName = domainNameOld;
            switch (domainName) {
                case '管控领域':
                    domeName = 'GKLY';
                    //                        alert("待办");
                    break;
                case '飞行领域':
                    domeName = 'FXLY';
                    break;
                case '运行领域':
                    domeName = 'OPLY';
                    //                        alert("部门任务提醒");
                    break;
                case '营销领域':
                    domeName = 'YXLY';
                    //                        alert("关注公文状态变动");
                    break;
                /*****************掌控*********************/
                case '乘务领域':
                    domeName = 'CWLY';
                    //                        alert("资产盘点任务");
                    break;
                case '机务领域':
                    domeName = 'JWLY';
                    //                        alert("需培训课程");
                    break;
                case '地服领域':
                    domeName = 'DFLY';
                    //                        alert("合理化建议审批列表");
                    break;
                case '空保领域':
                    domeName = 'KBLY';
                    //                        alert("合理化建议审批列表");
                    break;
				case '联合办公':
                    domeName = 'GKLY';
                    //                        alert("合理化建议审批列表");
                    break;
                default:
				    $.iBoxMsg("没有可用消息");
            }
			 $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
            	url: permissionListUrl+"userId="+userName+"&field="+domeName,
			    success: function(data){
                    if (data.status == 0) {
						var list =data.data.data;
						iG.setObjItem("system", "lyListJson", list);//将当前用户需要调用的方法进行保存
						$.email().emailLogin(false);
//						connect();
						iP.laodData(1);
//						var wid = $("#content").width();
//						if(wid<330){
//							wid=wid*1.7;
//						}
//						$("#header").css("width",wid);
						$.iBoxHide();
					}
					else 
						$.iBoxMsg("信息获取失败");
                },
                error: function(data){
                    $.iBoxMsg(JSON.stringify(data));
                }
            });
		}
		
		/**
		 * 打开指定磁贴的页面
		 * @param {Object} type
		 * @param {Object} url
		 */
		this.loadFxPage = function(type,url){
			if(type=='fx'){
				uexWindow.publishChannelNotification('1006', 'openTabByName("sdk10004","飞行关注","'+url+'")');
			}
		}
		
		/**
		 * 根据不同领域分配不同的方法
		 */
        this.differentField = function(){
            var lyListJson = iG.getObjItem("system", "lyListJson");
			if(lyListJson==undefined){
				  $.iBoxMsg("信息获取失败,请下拉刷新");
				  return;
			}
			$.system().loadPageSize = lyListJson.length;
            for (var x=0;x<lyListJson.length;x++) {
                switch (lyListJson[x].code) {
                    case 'TODO_TASK':
						$.system().getAgent();//我的待办
//                        alert("待办");
                        break;
                    case 'DEPT_TASK_PUSH':
//                        alert("部门任务推送");
					$.system().showWin();
                        break;
                    case 'DEPT_TASK_REMIND':
//                        alert("部门任务提醒");
					$.system().showWin();
                        break;
                    case 'OFFICIAL_DOC_STATE_CHANGE':
					$.system().showWin();
//                        alert("关注公文状态变动");
                        break;
                    /*****************掌控*********************/
                    case 'ASSETS_INVENTORY_TASK':
					$.system().showWin();
//                        alert("资产盘点任务");
                        break;
                    case 'TRAINING_COURSE':
					$.system().showWin();
//                        alert("需培训课程");
                        break;
                    case 'SUGGESTION_APPROVAL':
					$.system().showWin();
//                        alert("合理化建议审批列表");
                        break;
                    case 'MAN_HOUR_INPUT':
					$.system().showWin();
//                        alert("工时录入提醒");
                        break;
                    case 'ASSETS_APPROVAL':
					$.system().showWin();
//                        alert("固定资产待办提醒");
                        break;
                    /*****************飞行*********************/
                    case 'FX_UNREAD_NEWS':
					$.system().fxUnReadNews();
//                        alert("必读通知");
                        break;
                    case 'FX_FLIGHT_CONCERN':
						$.system().fxyAttention();
//                        alert("飞行关注");
                        break;
					/*****************乘务*********************/
					case 'CW_UNREAD_NEWS':
//                        alert("未读消息");
						$.system().cwNoRead();
                        break;
                    case 'CW_SCHEDULING':
					$.system().showWin();
//                        alert("排班");
                        break;
					 case 'CW_PREPARE':
					 $.system().cwNoticeList();
//                        alert("网上准备提醒消息");
                        break;
					/*****************机务*********************/
					case 'JW_TASK_DISPATCHING':
					$.system().showWin();
//                        alert("派工任务提醒");
                        break;
                    case 'JW_FLIGHT_SAFEGUARD':
					$.system().showWin();
//                        alert("航班保障信息提醒");
                        break;
					case 'JW_LUBE_MONITOR':
					$.system().showWin();
//                        alert("滑油监控");
                        break;
                    case 'JW_HOLD_APPROVAL':
					$.system().showWin();
//                        alert("申请保留审核情况提醒");
                        break;
					case 'JW_DOC_DISPATCHING':
					$.system().showWin();
//                        alert("文件分发提醒");
                        break;
                    case 'JW_E_LEARNING':
					$.system().showWin();
//                        alert("在线学习提醒");
                        break;
					case 'JW_ONLINE_TEST':
					$.system().showWin();
//                        alert("在线考试提醒");
                        break;
                    case 'JW_START_COURSE':
					$.system().showWin();
//                        alert("开课提醒");
                        break;
					case 'JW_TRAIN_EVALUATE':
					$.system().showWin();
//                        alert("训后评估提醒");
                        break;
                    case 'JW_TRAIN_OUTCOMES':
					$.system().showWin();
//                        alert("培训结果提醒");
                        break;
					case 'JW_ONLINE_REGISTRATION':
					$.system().showWin();
//                        alert("网上报名提醒");
                        break;
                    case 'JW_QUALIFIED':
					$.system().showWin();
//                        alert("质量授权提醒");
                        break;	
					/*****************地服*********************/		
					 case 'DF_UNIFY_NOTICE':
					//   $.system().dfNoticeList("0");//分子公司通告
					//   $.system().dfNoticeList("1");//航站通告
//                        alert("一体化通告");
                        break;
					case 'DF_UNIFY_BUSSINESS':
					$.system().showWin();
//                        alert("一体化业务");
                        break;
                    case 'DF_UNNORMAL_FLIGHT':
					$.system().showWin();
//					$.system().dfGetMessage();
//                        alert("不正常航班处置推送");
                        break;
					case 'DF_MEETING':
					$.system().showWin();
//                        alert("会议通知推送");
                        break;
                    case 'DF_NOTICE':
					$.system().showWin();
//                        alert("通知公告推送");
                        break
					case 'DF_MUSTREAD_NOTICE':
					     $.system().dfReadContentCount();
					     break;	
                    default:
                }
            }
        }
        /**
         * 我的代办页面跳转
         * @param {Object} url
         */
        iP.fowrod = function(url, title){
            //本地存储
            
            if (url == "null" || url == 'undefined') {
                uexWindow.alert("http://bte.ceair.com", "请到PC端处理", "确定");
            }
            else {
				console.log(title);
                iG.setObjItem("system", "url", url);
				iG.setObjItem("system", "title", title);
                iG.openWin('../openUrl_win');
            }
        }
		/**
		 * 消息列表跳转详情页
		 * @param {Object} pageType
		 */
		this.foworDpage = function(pageType){
			iG.setObjItem("system", "pageType", pageType);
			iG.openWin("messageCont");
		}
		/**
		 * 我的代办
		 */
        this.getAgent = function(){
            $.ajax({ //获取我的代办
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: agentUrl+"userUid=" + userName + "&pwd="+userPass+"&pageIndex=0&pageSize=10000",
                success: function(data){
                    if (data.status == 0) {
						$.system().showWin();
						if(data.message!=undefined){
							if (data.message.length > 0) {
								$.system().setCenterAll(data.message, '我的待办', 'agent', '新的待办',"TODO_TASK");
							}
						}
					}
					else {
						$.system().showWin();
					}
//						$.iBoxMsg("信息获取失败");
                },
                error: function(data){
//                    $.iBoxMsg("信息获取失败");
						$.system().showWin();
                }
            });
        }
	   
        /**
         * 系统通知页面展示(自带列表)
         * @param {Object} datas
         */
        this.setCenterAll = function(pageDatas, name, img, nameInfo,div){
                var listData = '';
                var isNotRead = pageDatas.length;
                //未读通知显示在massage.html
                appcan.frame.evaluateScript({
                    name:'today',
                    popName:'content',
                    scriptContent:"setToDoNum('"+isNotRead+"')"
                });
                
                for (var x=0;x<pageDatas.length;x++) {
					var showRed = 'uhide';
                    var title = pageDatas[x].Title;
					var time = pageDatas[x].BeginTime;
                    if (time == undefined) {
                        time = pageDatas[x].lastModifyTime;
                        if (time.length > 15) {
                           var time1 = time.split(" ");
						   time = time1[0];
                        }
                        else {
                            var d = new Date(time);
                            time = iG.formatDate(d);
                        }
						pageDatas[x].lastModifyTime =time;
                    }
                    else {
                        time = iG.getUTCTime(time);
						pageDatas[x].BeginTime =time;
                    }
					
                    if (isNotRead > 0) {
						uexWindow.evaluateScript("message_win",0, "iP.changeColor('systemNum')");
						uexWindow.evaluateScript("today","0","messageSetRed()");
                    }
					var isShowImg = "uhide";
					var urlStr =pageDatas[x].ActionUrl;
					if(name=="我的待办"){
						if (urlStr!=""&&urlStr!=undefined) {
		                	isShowImg="ub-img img-phone" ;
		                }else{
							isShowImg = "ub-img img-pc";
						}
					}
					/*if(name=="必读通知"){
						if(x==1){
							urlStr="123";
						}
						if (urlStr!=""&&urlStr!=undefined) {
		                isShowImg="ub-img img-phone" ;
		                }else{
							isShowImg = "uhide";
						}
					}*/
                    listData += '<div class="c-wh ulev-1 umar-l umar-r " style="margin:0 1em 0 1em" onclick=iP.fowrod("' + urlStr + '","'+name+'")>\
                			    <ul  class="uc-t ubb b-gra ub  ub-ac lis">\
									<div>\
		        		            	<div class="'+showRed+'" style="position:absolute;right:5%;top:-10%; background:#F00; z-index:99;"></div>\
		        		            	<div class="'+isShowImg+'"></div>\
		        		            </div>\
                			        <ul class="ub-f1 ub ">\
                			            <li class=" ub-f1 ulev0 umh4 uinn t-gra t-red">' + title +'</li>\
                			            <li class="">\
                							    <div class="ub-f1 uinn fs8 c8 tx-r">' +time +'</div>\
                			            </li>\
                			        </ul>\
                			    </ul>\
                			</div>';
                }
			localStorage.setItem(div,JSON.stringify(pageDatas));
			$("#"+div).html("");
            $("#"+div).html('<div class="" style="margin-bottom:.1em">\
        			    <input type="checkbox" class="uhide">\
        			    <div class=" umh6 t-bla ubt b-gra c-wh">' +listData +'</div>\
        			</div>');
        }
		/**
		 * 更新成功提示
		 */
        this.showWin = function(){
			$.system().loadPageSize--;
            if ($.system().loadPageSize == 0) {
//                var Hours = iG.getHours();
//                if (Hours < 10) {
//                    Hours = "0" + Hours;
//                }
//                var Minutes = iG.getMinutes();
//                if (Minutes < 10) {
//                    Minutes = "0" + Minutes;
//                }
//                var time = iG.getYear() + "/" + iG.getMonth() + "/" + iG.getDay() + " " + Hours + ":" + Minutes;
			    uexWindow.evaluateScript("message_win",0, "iP.updateTime(0)");
				$.iBoxHide();
            }
        }
		/**
         * 系统通知页面展示（不带直接跳转）
         * @param {Object} datas
         */
        this.setCenter = function(num,name,nameInfo,img,url,div){
           $$("systemNum").className = 'w8 h8 fs8 c-wh uc-a5 t-wh';
		    $("#"+div).html("");
			$("#"+div).html('<div class="ubb b-gra">\
        			    <input type="checkbox" class="uhide">\
        			    <div class=" t-wh ub uinn ub-ac c-wh col umh4" onclick=\'$.system().loadFxPage("'+img+'","'+url+'")\'>\
        			        <div class="ub c6 c-wh ub-f1 " >\
        		            <div>\
        		            	<div class="w14 h14 fs8 c-wh uc-a5 t-wh ub ub-ac ub-pc" style="position:absolute;right:-10%;top:-10%; background:#F00; z-index:99;">' + num + '</div>\
        		            	<div class="ub-img img-' +img +'"></div>\
        		            </div>\
        		            <div class="ub ub-ver ub-pc ub-f1 pl5 pr5">\
        		                <div class="fs10 u-fw t-bla">' +name +'</div>\
        		                <div class="fs8 c8 mt3">您有' +num +'条' + nameInfo +'</div>\
        		            </div>\
        		        	</div>\
        			        <div class="umh2 umw2  ub-img list-icon1"></div>\
        			    </div>\
        			</div>');
        }
		
		/**
         * 不同页面展示
         * @param {Object} datas
         */
        this.pageCenterOpen = function(type){
            var pageDatas;
            if (type == "agent") {
                pageDatas = iG.getObjItem("system", "agentJson");
//                console.log(JSON.stringify(pageDatas));
                if (pageDatas.length > 0) {
                    $$("list").innerHTML = "";
                    for (x in pageDatas) {
                        var title = pageDatas[x].Title;
                        var time = pageDatas[x].BeginTime;
                        time = time.substring(time.length - 8, time.length - 3);
                        $$("list").innerHTML += '<div class="c-wh" onclick=iP.fowrod("' + pageDatas[x].ActionUrl + '")>\
        			    <ul  class="uc-t ubb ub  ub-ac lis">\
        			        <li class="lis-th ub-img img-dh"></li>\
        			        <ul class="ub-f1 ub ub-ver">\
        			            <li class="ulev0  umar-b">\
        							<div class="ub t-bla">\
        							    <div class="ub-f1 u-fw ">'+pageDatas[x].TaskSource+'</div>\
        							    <div class="ub-f1 fs8 c8 tx-r">' +time +'</div>\
        							</div>\
        			            </li>\
        			            <li class="ulev-1  umh4  t-gra t-red">' +title +'</li>\
        			        </ul>\
        			    </ul>\
        			</div>';
                    }
                }
            }
            $.iBoxHide();
        }
		/************************************飞行领域*********************************/
		/**
		 * 飞行领域必读通知
		 */
        this.fxUnReadNews = function(){
            $.ajax({ //获取我的代办
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: fxUnReadNewsUrl + "userCode="+userName,
                success: function(data){
                    if (data.status == 0) {
						$.system().showWin();
						var json = data.data;
						if (json.length > 0) {
							localStorage.setItem("FX_UNREAD_NEWS",json.length);
							$.system().setCenter((json.length), "必读通知", "必读通知", "fx", "notify,notify","FX_UNREAD_NEWS");
						}
					}
					else {
						//                        $.iBoxMsg("信息获取失败");
						$.system().showWin();
					}
                },
                error: function(data){
					$.system().showWin();
//                    $.iBoxMsg("信息获取失败");
                }
            });
        }
		/**fxUnReadNewsUrl
		 * 飞行领域飞行关注
		 */
        this.fxyAttention = function(){
            $.ajax({ //获取我的代办
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: fxAttentionUrl + "userUid=" + userName + "&sysCode=FLIGHTNET&pilotId="+crewid,
                success: function(data){
                    if (data.data.status == 0) {
						$.system().showWin();
						var json = data.data.result;
						if(parseInt(json.wsdSize)>0){
								$.system().setCenter((json.wsdSize),"航班动态","新的航班动态","fx","task,likeflightsch","FX_FLIGHT_CONCERN1");
						}
						if(parseInt(json.schedulingSize)>0){
								$.system().setCenter((json.schedulingSize),"排版动态","排班变更","fx","task,likeflightsch","FX_FLIGHT_CONCERN2");
						}
						if(parseInt(json.ceaQianZhengSize)>0){
								$.system().setCenter((json.ceaQianZhengSize),"证照到期","证照到期提醒","fx","task,likeflightd","FX_FLIGHT_CONCERN3");
						}
						if(parseInt(json.ceaZiGeSize)>0){
								$.system().setCenter((json.ceaZiGeSize),"资格资质","资格资质到期提醒","fx","task,likeflightq","FX_FLIGHT_CONCERN4");
						}
					}
					else {
						$.system().showWin();
					}
//						$.iBoxMsg("信息获取失败");
                },
                error: function(data){
					$.system().showWin();
//                    $.iBoxMsg("信息获取失败");
                }
            });
        }
		
		/************************************乘务领域*********************************/
		/**
		 * 未读消息
		 */
		this.cwNoRead = function(){
			  $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: cwNoReadContentUrl+"userName=chengying5&&pageStart=1",// + userName,
                success: function(data){
                    if (data.status == 0) {
   						var noReadContentCount = data.data.noReadContent;
						if(JSON.stringify(noReadContentCount)!="{}"){
							var noRead = JSON.stringify(noReadContentCount.ContentReadForWs);
							var noRead1 = noRead.replace(/contentName/g, "Title");
    						var noRead2 = noRead1.replace(/createTime/g, "BeginTime");
							var noRead3 = noRead2.replace(/contentType/g, "TaskSource");
//							console.log(noRead);
							if(JSON.parse(noRead3) instanceof Array){
								$.system().setCenterAll(JSON.parse(noRead3), "未读消息", 'cw', "新的消息","CW_UNREAD_NEWS");
							}else{
								$.system().setCenterAll(JSON.parse("["+noRead3+"]"), "未读消息", 'cw', "新的消息","CW_UNREAD_NEWS");
							}
						}
                    }
                    else {
                        $.iBoxMsg("信息获取失败");
                    }
                },
                error: function(data){
                    $.iBoxMsg("信息获取失败");
                }
            });
		}
        /**
		 * 网上消息准备
		 */
		this.cwNoticeList = function(){
			  $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: cwNoticeListUrl+"userId=whzhouxuan&&field=1&system=CW_PREPARE",// + userName,
                success: function(data){
                    if (data.status == 0) {
   						var noReadContentCount = data.data.data;
						if(JSON.stringify(noReadContentCount)!="{}"){
							var noRead = JSON.stringify(noReadContentCount);
							var noRead1 = noRead.replace(/content/g, "Title");
    						var noRead2 = noRead1.replace(/createDate/g, "BeginTime");
							var noRead3 = noRead2.replace(/title/g, "TaskSource");
//							console.log(noRead);
							if(JSON.parse(noRead3) instanceof Array){
								$.system().setCenterAll(JSON.parse(noRead3), "网上准备提醒", 'cw', "网上准备提醒","CW_PREPARE");
							}else{
								$.system().setCenterAll(JSON.parse("["+noRead3+"]"), "网上准备提醒", 'cw', "网上准备提醒","CW_PREPARE");
							}
						}
                    }
                    else {
                        $.iBoxMsg("信息获取失败");
                    }
                },
                error: function(data){
                    $.iBoxMsg("信息获取失败");
                }
            });
		}
		
		/************************************地服领域*********************************/
		/**
		 * 一体化通告
		 */
		this.dfNoticeList = function(type){
			  $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: dfGetIntegratedBusinessDataUrl+"inout="+type+"&startPage=1&pageNum=5",// + userName,
                success: function(data){
                    if (data.status == 0) {
						$.system().showWin();
   						var noReadContentCount = data.data.data;
						if(JSON.stringify(noReadContentCount)!="{}"){
							var noRead = JSON.stringify(noReadContentCount);
							var noRead1 = noRead.replace(/ActualTitle/g, "Title");
    						var noRead2 = noRead1.replace(/CreateDate/g, "lastModifyTime");
							var noRead3 = noRead2.replace(/Id/g, "ActionUrl");
//								console.log(noRead3);
							if(type=="0"){
								if(JSON.parse(noRead3) instanceof Array){
								$.system().setCenterAll(JSON.parse(noRead3), "分子公司通告", 'df', "分子公司通告提醒","DF_UNIFY_NOTICE0");
							}else{
								$.system().setCenterAll(JSON.parse("["+noRead3+"]"),"分子公司通告通告", 'df', "分子公司通告提醒","DF_UNIFY_NOTICE0");
							}
							}else{
								if(JSON.parse(noRead3) instanceof Array){
								$.system().setCenterAll(JSON.parse(noRead3), "航站通告", 'df', "航站通告提醒","DF_UNIFY_NOTICE1");
							}else{
								$.system().setCenterAll(JSON.parse("["+noRead3+"]"),"航站通告", 'df', "航站通告提醒","DF_UNIFY_NOTICE1");
							}
							}
							
						}
                    }
                    else {
						$.system().showWin();
//                        $.iBoxMsg("信息获取失败");
                    }
                },
                error: function(data){
					$.system().showWin();
//                    $.iBoxMsg("信息获取失败");
                }
            });
		}
		/**
		 * 不正常航班推送
		 */
		this.dfGetMessage = function(){
			  $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: dfGetMessageUrl+"loginName=chengcheng1&pageNo=1&pageSize=5",// + userName,
                success: function(data){
					console.log(JSON.stringify(data));
                    if (data.status == 0) {
						$.system().showWin();
   						var noReadContentCount = data.data.data;
						if(JSON.stringify(noReadContentCount)!="{}"){
							var noRead = JSON.stringify(noReadContentCount);
							var noRead1 = noRead.replace(/ActualTitle/g, "Title");
    						var noRead2 = noRead1.replace(/CreateDate/g, "lastModifyTime");
							var noRead3 = noRead2.replace(/url/g, "ActionUrl");
							if(JSON.parse(noRead3) instanceof Array){
								$.system().setCenterAll(JSON.parse(noRead3), "不正常航班推送", 'df', "不正常航班推送",'DF_UNNORMAL_FLIGHT');
							}else{
								$.system().setCenterAll(JSON.parse("["+noRead3+"]"),"不正常航班推送", 'df', "不正常航班推送",'DF_UNNORMAL_FLIGHT');
							}
						}
                    }
                    else {
						$.system().showWin();
//                        $.iBoxMsg("信息获取失败");
                    }
                },
                error: function(data){
					$.system().showWin();
//                    $.iBoxMsg("信息获取失败");
                }
            });
		}
		
		/**
		 * 必读通知
		 */
		this.dfReadContentCount = function(){
			console.log(dfReadContentCountUrl+"userName="+ userName);
			  $.ajax({ 
                type: "get",
                contentType: 'application/json',
                dataType: "json",
                url: dfReadContentCountUrl+"userName="+ userName,
                success: function(data){
					console.log(data);
                    if (data.length > 0) {
						$.system().showWin();
						if(JSON.stringify(data)!="{}"){
							var noRead = JSON.stringify(data);
							var noRead1 = noRead.replace(/contentName/g, "Title");
    						var noRead2 = noRead1.replace(/createTime/g, "lastModifyTime");
							$.system().setCenterAll(JSON.parse(noRead2), "必读通知", 'df', "必读通知",'DF_MUSTREAD_NOTICE');
						}
                    }
                    else {
						$.system().showWin();
//                        $.iBoxMsg("信息获取失败");
                    }
                },
                error: function(data){
					$.system().showWin();
//                    $.iBoxMsg("信息获取失败");
                }
            });
		}
		return this;
	}
})(jQuery);