function getXMLDOM(xmlStr){
            var xmlDoc=null;
            
            if (window.ActiveXObject) {
                xmlDoc = new window.ActiveXObject("Microsoft.XMLDOM");
                if(xmlDoc){
                    xmlDoc.async = false;
                    xmlDoc.loadXML(xmlStr);
                }

            }else if(document.implementation && document.implementation.createDocument && DOMParser){
                xmlDoc = document.implementation.createDocument('','',null);
                parser = new DOMParser();
                xmlDoc = parser.parseFromString(xmlStr,"text/xml");
            }
            
            return xmlDoc;
        }
             function xmlToJson(xml) {
            var obj = {};
        
            if (xml.nodeType == 1) {

                if (xml.attributes.length > 0) {
                obj["$attr"] = {};
                    for (var j = 0; j < xml.attributes.length; j++) {
                        var attribute = xml.attributes.item(j);
                        obj["$attr"][attribute.nodeName] = attribute.nodeValue;
                    }
                }
            } else if (xml.nodeType == 3 || xml.nodeType == 4) {
                obj = xml.nodeValue;
            }
        
            if (xml.hasChildNodes()) {
                for(var i = 0; i < xml.childNodes.length; i++) {
                    var item = xml.childNodes.item(i);
                    var nodeName = item.nodeName;
                    if (typeof obj[nodeName] == "undefined") {
                        
                        if(typeof item.nodeValue==="string"){
                            item.nodeType===4 && (nodeName="$cdata");
                            item.nodeValue.replace(/\s/g,"")!=="" && (obj[nodeName] = xmlToJson(item));
                        }else{
                            obj[nodeName] = xmlToJson(item);
                        }
                        
                    } else {
                        if (typeof obj[nodeName].length == "undefined") {
                            var old = obj[nodeName];
                            obj[nodeName] = [];
                            obj[nodeName].push(old);
                        }
                        obj[nodeName] instanceof Array && obj[nodeName].push(xmlToJson(item));
                    }
                }
            }
            return obj;
        }

         function xml2json(xml){
            return xmlToJson(getXMLDOM(xml));
        }