var iG = {};
iG.versionNo = '202022';
iG.debug = false;
/* 操作数据
---------------------------------------------------------------------------------------*/
//AJAX请求
iG.ajax = function(settings){
    var base64Encode = new Base64();
    //var url = "http://mobile-am.ceair.com:8080/AirMobileControlRS2/JsonService/";
	var url = "http://mobile-amdev.ceair.com:8080/AirMobileControlRS2/JsonService/";
    if(this.debug) url = "http://mobile-amdev.ceair.com:8080/AirMobileControlRS2/JsonService/";
    var data = JSON.stringify(settings.data);
    var userInfo = iG.getUserInfo();
    var dataJson = {
        jsonStr : base64Encode.encode(data),
        jsonUserInfo : userInfo
    }
    $.ajax({
        type : "post",
        contentType: 'application/json',
        dataType:"json",
        url : url + "GetJsonDataPost?t="+new Date().getTime(),
        data: JSON.stringify(dataJson), 
        success : function(data){
            settings.success(JSON.parse(data));
        },
        error : function(data){	
            settings.error(data);
        }
    });
};
//AJAX请求
iG.getAjax = function(settings){
    //var base64Encode = new Base64();
    var url = "http://172.31.3.107:8088/mobileSecureR2/rest/querySecInfo";
    if(this.debug) url = "http://172.31.3.107:8088/mobileSecureR2/rest/querySecInfo";
    var dataJson = {
        jsonStr : settings.data,
        jsonUserInfo : iG.getUserInfoStr()
    }
	var dataStr = JSON.stringify(dataJson);
	$.ajax({
        type : "post",
        contentType: 'application/json',
        dataType:"json",
        url : url+"?t="+new Date().getTime(),
        data: encode64(utf16to8(dataStr)), 
		cache:false,
        success : function(data){
            settings.success(data);
        },
        error : function(data){
            settings.error(data);
        }
    });
};
//自动装载数据
iG.autoData = function(obj,wrapElem){
    if(wrapElem == undefined) wrapElem = $("body");
    wrapElem.find("[auto]").each(function(){
        var key = $(this).attr("auto");
        var objCopy = obj;
        while (key.indexOf("_") != "-1") {
            var sep = key.indexOf("_");
            objCopy = objCopy[key.substring(0, sep)];
            key = key.substring(key.indexOf("_") + 1);
        };
        if (objCopy != null) {
            $(this).text(objCopy[key]);
        }
    });
};
/* 操作本地存储
---------------------------------------------------------------------------------------*/
//获取本地存储obj值
//获取本地存储obj值
iG.getObjItem = function(obj,key){
    var json = localStorage.getItem(obj);
    if(json == null || json == undefined || json == "undefined" || json == ""){
		return undefined;
	}else{
		json=JSON.parse(json);
	}
    return json[key];
};
//设置本地存储obj值
iG.setObjItem = function(obj,key,value){
    var json = localStorage.getItem(obj);
    if(json == null || json == undefined || json == "undefined" || json == ""){
		json = {};
	}else{
		json=JSON.parse(json);
	}
    json[key] = value;
    localStorage.setItem(obj,JSON.stringify(json));
};
//删除本地存储obj值
iG.removeObjItem = function(obj,key){
    var json = localStorage.getItem(obj);
    if(json == null || json == undefined || json == "undefined" || json == ""){
		return;
	}else{
		json=JSON.parse(json); 
	}
    delete json[key];
    localStorage.setItem(obj,JSON.stringify(json));
};

/* 操作日期
---------------------------------------------------------------------------------------*/
//获取年
iG.getYear = function(date){
    if(date == undefined) date = new Date;
    return date.getFullYear();
};
//获取月
iG.getMonth = function(date){
    if(date == undefined) date = new Date;
    var month = date.getMonth() + 1;
    if(month < 10) month = "0" + month;
    return month;
};
//获取日
iG.getDay = function(date){
   if(date == undefined) date = new Date;
    var day = date.getDate();
    if(day < 10) day = "0" + day;
    return day;
};
//获取当前日期
iG.getDateToday = function(date){
    return iG.getYear() + "-" + iG.getMonth() + "-" + iG.getDay();
};
//获取星期
iG.getWeek = function(date){
    if(date == undefined) date = new Date;
    var week = date.getDay();
    var weekArr = ["日","一","二","三","四","五","六"];
    return weekArr[week];
};
//获取小时
iG.getHours = function(date){
    if(date == undefined) date = new Date;
    return date.getHours();
},
//获取分钟
iG.getMinutes = function(date){
    if(date == undefined) date = new Date;
    return date.getMinutes();
};
//打开日期控件
iG.openDate = function(year,month,day,callback){
    uexControl.openDatePicker(year,month,day);
    uexControl.cbOpenDatePicker=function(opCode,dataType,data){
        if(dataType==1){
            data = JSON.parse(data);
            if(data.month<10) data.month = "0" + data.month;
            if(data.day<10) data.day = "0" + data.day;
            var json = {
                year : data.year,
                month : data.month,
                day : data.day,
            };
            callback(json);
        }
    }   
};
//打开时间控件
iG.openTime = function(hours,minutes,callback){
    uexControl.openTimePicker(hours,minutes);
    uexControl.cbOpenTimePicker = function(opCode,dataType,data){  
        data = JSON.parse(data);
        if(data.hour < 10) data.hour = "0" + data.hour;
        if(data.minute < 10) data.minute = "0" + data.minute;
        var json = {
            hour : data.hour,
            minute : data.minute
        };
        callback(json);
    }   
};
/* 设置页面回弹
---------------------------------------------------------------------------------------*/
//默认状态
iG.setBounce = function(){
    uexWindow.setBounce("1");
    uexWindow.showBounceView("0","#f4f4f4","0");
    uexWindow.showBounceView("1","#f4f4f4","0");
    uexWindow.notifyBounceEvent("0","0");
};
//下拉刷新
iG.pullDown = function(callback){
    var j = {
        "pullToReloadText": getlan('下拉刷新','CEARI_PLEASEWAITING'),
        "releaseToReloadText": getlan('释放立即刷新','CEARI_PLEASEWAITING'),
        "loadingText": getlan('正在刷新...','CEARI_PLEASEWAITING'),
        "loadingImagePath": "res://shuaxin.png"
    };
    if(!uexWindow.setBounce)
        return;
    uexWindow.setBounce("1");
    uexWindow.setBounceParams('0',JSON.stringify(j));
    uexWindow.showBounceView("0","#eaeaea",1);
    uexWindow.showBounceView("1","#eaeaea",0);
    uexWindow.notifyBounceEvent("0","1");
    uexWindow.onBounceStateChange = function(type,status){
        if(type==0 && status==2) {
            callback();
        }
    }
};

iG.top = function(callback){
    var j = {
        "pullToReloadText": getlan('拖动加载','CEARI_DRAGLOAD'),
        "releaseToReloadText": getlan('释放加载','CEARI_RELEASELOADING'),
        "loadingText": getlan('加载中...','CEARI_PLEASEWAITING'),
        "loadingImagePath": "res://shuaxin.png"
    }
    var i = {
        "pullToReloadText": getlan('下拉刷新','CEARI_PLEASEWAITING'),
        "releaseToReloadText": getlan('释放立即刷新','CEARI_PLEASEWAITING'),
        "loadingText": getlan('正在刷新...','CEARI_PLEASEWAITING'),
        "loadingImagePath": "res://shuaxin.png"
    }
    
    uexWindow.setBounce("1");
    uexWindow.setBounceParams('0', JSON.stringify(i));
    uexWindow.setBounceParams('1', JSON.stringify(j));
    uexWindow.showBounceView("0", "#FFF", 1);
    uexWindow.showBounceView("1", "#FFF", 1);
    uexWindow.notifyBounceEvent("0", "1");
    uexWindow.notifyBounceEvent("1", "1");
    uexWindow.onBounceStateChange = function(type, status){
        if (type == 0 && status == 2) {
            callback(0);
            return;
        }
        
        if (type == 1 && status == 2) {
			  var RefreshId = iG.getObjItem("system", "RefreshId");
            	if (RefreshId == "2") {
                var totalPage = localStorage.getItem("totalPage");//总共多少页
                var pageNum = localStorage.getItem("pageNum");//第几页
                pageNum = parseInt(pageNum) + 1;
                totalPage = parseInt(totalPage);
                if (pageNum < totalPage) {
                    $.email().emailLoad(pageNum, 20, "old");
                }
                else 
                    if (pageNum == totalPage) {
                        var size = localStorage.getItem("pagesize");//第几页
                        $.email().emailLoad(pageNum, size, "old");
                    }
                    else {
						iG.ajaxCallback(true);
                        $.iBoxMsg(getlan('没有更多了','CEARI_NOMORE'));
                    }
            }
            else {
                iG.ajaxCallback(true);
            }
            callback(1);
            return;
        }
    }
}
/* 其他
---------------------------------------------------------------------------------------*/
//记录打开窗口
iG.saveOpenWin = function(winName){
    var array = iG.getObjItem("openWin","array");
    if(array.indexOf(winName) == -1){
        array.push(winName);
    }
    iG.setObjItem("openWin","array",array);
};
//打开新窗口
iG.openWin = function(name,data){
    if(data){
        localStorage.setItem(name,JSON.stringify(data));
    }
    var url = name + ".html";
    //iG.setObjItem("openWin","array",array);
	uexWindow.setSlidingWindowEnabled(0);
    uexWindow.open(name,0,url,0,"","",0);

};
//获取用户账户
iG.getUserInfo = function(){
    var base64Encode = new Base64();	
    var user = {
        "u": "it_wangpei",
        "p": "ssap_0902",
        "m": "13564965593",
		"t": "+8",
        "a": "MOP"
    };
    var userStr = JSON.stringify(user)
    return base64Encode.encode(userStr);
};
//获取用户账户
iG.getUserInfoStr = function(){	
    var user = {
        "u": "it_wangpei",
        "p": "ssap_0902",
        "m": iG.getObjItem("LoginInforAMC","mobile"),
		"t": iG.getObjItem("LoginInforAMC","myTimezone"),
        "a": "MOP"
    };
    return user;
};
//页面提示
iG.tip = function(msg, tipId){
    var html = '<div class="uba p10 uc-a5 c17 tx-c">'+ msg +'</div>';
    if (tipId) {
        $("#" + tipId).empty().addClass("p8").append(html);
    }
    else {
        $("body").empty().addClass("p8").append(html);
    }
};
//数据是否合法
iG.isGood = function(data,tipOpen){
    if (data.status == 1) {
        $.iBoxMsg(data.desc);
        return false;
    };
    if (data.array == "" || data.array == null) {
        tipOpen && iG.tip("很抱歉，未查询到相应的" + $("title").text());
        return false;
    };
    return true;
};
//选择机场
iG.airportOption = function(winName,fnName,elemId){
    var data = {
        winName : winName,
        fnName : fnName,
        elemId : elemId
    };
    iG.openWin("terminalSelect_win",data);
}; 
//请求回调
iG.ajaxCallback = function(isRefresh){
    if(isRefresh){
        uexWindow.resetBounceView('0');
		uexWindow.resetBounceView('1');
    }else{
        $.iBoxHide();
    }
};
//状态颜色
iG.statusColor = {
    "返航" : "c10",//绿色
    "备降" : "c10",//绿色
    "取消" : "c4",//灰色
    "到达" : "c2",//黑色
    "未起飞" : "c18",//蓝色
    "延误" : "c16",//红色
    "起飞" : "c22"//蓝色
};
//是否显示
iG.isShow = function(type){
    $("[showAt]").each(function(){
        var array = $(this).attr("showAt").split(",");
        for(var i in array){
            if(type == array[i]){
                $(this).removeClass("uhide");
                return;
            }
        }
        $(this).addClass("uhide");
    })
    $("[hideAt]").each(function(){
        var array = $(this).attr("hideAt").split(",");
        for(var i in array){
            if(type == array[i]){
                $(this).addClass("uhide");
                return;
            }
        }
        $(this).removeClass("uhide")
    })
};
//固定字符串
iG.fixed = function(){
    $("[fixed]").each(function(){
        var txt = $(this).text();
        $(this).text(txt.substring(0,2))
    })
};
//滚动
iG.scroll = function(wrap,speedVal){
    var speed = speedVal || 50;
    var that = arguments.callee;
    var width = wrap.width();
    var child = wrap.children();
    var childWidth = child.width();
    var time = parseInt(width + childWidth) * 1000 / speed;
//    alert(width)
//    alert(childWidth)
    if(childWidth<= width)return;
    wrap.css("box-pack","start");
    child.css("left",width).animate({"left":-childWidth},time,"linear",function(){
        that(wrap,speed);
    })
};
iG.scrollTop = function(wrap,speedVal){
	var android = window.navigator.userAgent.indexOf('Android');
	if(android > 0){
		var speed = speedVal || 50;
	}else{
		var speed = speedVal || 10;	
	} 
    var that = arguments.callee;
    var height = wrap.height();
    var child = wrap.children();
    var childHeight = child.height();
    var time = parseInt(height + childHeight) * 1000 / speed;
//    alert(width)
//    alert(childWidth)
    if(childHeight<= height)return;
    wrap.css("box-pack","start");
    child.css("top",height).animate({"top":-childHeight},time,"linear",function(){
        that(wrap,speed);
    })
};
//检查每月最后一天是几号
iG.checkLastDay = function(year,month){
    var maxDays = 31;
    if(month == 2){
        if(parseInt(year)%4 == 0)maxDays = 29;
        else maxDays = 28;
    }
    if(month == 4 || month == 6 || month == 9 || month == 11)
        maxDays = 30;
    return month + "-" + maxDays;
};
//权限检查
iG.checkAuthortization = function(type,htmlName){
    var authorArr = iG.getObjItem("basicData","authorArr");
    if($.inArray(htmlName,authorArr) == -1){
        //alert(htmlName + " can not open");
        return false;
    }
    return true;
};
//打开浮层
iG.openPopover = function(url){
    var content = window.getComputedStyle($$("content"),null);
    var inUrl = url + ".html";
    var inY = $$("header").offsetHeight;
    var inWidth = int(content.width);
    var inHeight = int(content.height);
    var inFontSize = int(content.fontSize);
    uexWindow.openPopover("content","0",inUrl,"",0,inY,inWidth,inHeight,inFontSize,"0");
};
/**滑动打开页面
 *
 * @param {Object} loginType 当前登录用户的角色
 * @param {Object} nowWin   当前的所在footer的窗口
 * @param {Object} optionX   下一步打开的窗口
 **/
iG.slideOpen = function(nowWin, optionX) {
    // alert('nowWin-->'+nowWin + 'optionX' + optionX);
	var footernWin = ['scheduleSummary', 'requiredRead', 'prearrange', 'directPreparation', 'flightMission'];
	for (var i = 0; i < footernWin.length; i++) {
        if (nowWin == footernWin[i]) {
            if (i == 0 && optionX == "right") {//第一个向左滑动
                return;
            }
            if ((i == footernWin.length) && (optionX == "left")) {//最后一个向右滑动
                return;
            }
            if (optionX == "left") {
				uexWindow.evaluateScript("",0,"iP.onSwipe('" + footernWin[i + 1] + "','left')");
            }
            if (optionX == "right") {
				uexWindow.evaluateScript("",0,"iP.onSwipe('" + footernWin[i - 1] + "','right')");
            }
        }
    }
}
//debug
if(window.navigator.platform=="Win32" && iG.debug){
    document.write('<script src="../js/debug.js?v=202013"></script>')
};

function isDefine(para) {
	if (typeof para == 'undefined' || para == '[]' || para == "" || para == null || para == 'null' || para == "NaN" || para == undefined)              return false;
	else  return true;
};
	//获取掌上东航的账号（用户编号、用户密码）							
	var uid = localStorage.getItem("MU30-lOGIN-USRNAME");
	var info = localStorage.getItem('MU30-userInfor-' + uid);
	var userName = getstorage('username-tmp');//$$("username").value.trim();
	var userPass = getstorage('password-tmp');//验证账号未定义则是测试平台
	var domainName = localStorage['MU30-domainName'];
	if(domainName=="飞行领域"){
		 crewid = JSON.parse(info).crewid;
	}
//	var userPass ="";//验证账号未定义则是测试平台
//	var localLoginInfor = localStorage.getItem("LoginInfor");
//	if (isDefine(localLoginInfor)) {
//		var objLocalUserInfor = JSON.parse(localLoginInfor);
//		for (var i in objLocalUserInfor) {
//			var item = objLocalUserInfor[i];
//			if (item) {
//				userName = objLocalUserInfor.username;
//				userPass = objLocalUserInfor.password;
//				domainName = objLocalUserInfor.domainName;
//			}
//		}
//	}
//	    userName = "wshang";//"Chengying5";//
//	    userPass = "sophia@1984";//"Aishangweilai.1";//
//	    domainName = "乘务领域";
//	else {
//	    crewid = JSON.parse(info).crewid;
//	}
//返回结果：{"username":"18106", "password":"11111a", "domainName":"飞行领域","type":"0"}
/**
 * 日期转换
 */

iG.toDate = function(obj){
    var date = new Date();
    date.setTime(obj.time);
    date.setHours(obj.hours);
    date.setMinutes(obj.minutes);
    date.setSeconds(obj.seconds);
    var times = date.format("yyyy-MM-dd hh:mm:ss");
    var myDate = new Date();
    var a = myDate.getFullYear(); //获取完整的年份(4位,1970-????)
    var b = myDate.getMonth() + 1; //获取当前月份(0-11,0代表1月)
    if (b < 10) {
        b = "0" + b;
    }
    var c = myDate.getDate(); //获取当前日(1-31)
    if (c < 10) {
        c = "0" + c;
    }
   	var t =a + "-" + b + "-" + c;
	var returnTime ="";
	if(t==times.substring(0,10)){
		returnTime="今天"+times.substring(times.length - 8, times.length - 3);
	}else{
		returnTime = times.substring(0,10);
	}
	
    return returnTime;
    ;
}

iG.getLocalTime = function(nS){
            var nyr = NYR(nS, 1);
            var now = NYR('', 1);
            if (nyr == now) {
                return '今日' + HM(nS);
            }
            if (parseInt((nyr).replace(/-/g, '')) + 1 == parseInt((now).replace(/-/g, ''))) {
                return '昨日' + HM(nS);
            }
            return NYR(nS, 1) + ' ';
            // return NYR(nS, 1) + ' ' + HM(nS, 1);
        }
//获取年份//获取月份//获取日期
function NYR(date, flag) {
    // date = date.replace(/-/g,'/');
    if(date)
    var da = new Date(date);
    else
    var da = new Date();
    if (isDefine(flag)) {
        if (flag == 1) {
            return da.getFullYear() + "-" + ((da.getMonth() + 1) < 10 ? "0" + (da.getMonth() + 1) : (da.getMonth() + 1)) + "-" + (da.getDate() < 10 ? "0" + da.getDate() : da.getDate());
        } else {
            return ((da.getMonth() + 1) < 10 ? "0" + (da.getMonth() + 1) : (da.getMonth() + 1)) + "-" + (da.getDate() < 10 ? "0" + da.getDate() : da.getDate());
        }

    } else {
        return da.getFullYear() + "年" + ((da.getMonth() + 1) < 10 ? "0" + (da.getMonth() + 1) : (da.getMonth() + 1)) + "月" + (da.getDate() < 10 ? "0" + da.getDate() : da.getDate()) + "日";
    }
}

//获取小时//获取分
function HM(date) {
    var da = new Date(date);
    var hour = da.getHours();
    if (hour < 10) {
        hour = "0" + hour;
    }
    var minutes = da.getMinutes();
    if (minutes < 10) {
        minutes = "0" + minutes;
    }
    return hour + ":" + minutes
}		
/**
 * 时间对象的格式化
 */
Date.prototype.format = function(format) {
 /*
  * format="yyyy-MM-dd hh:mm:ss";
  */
 var o = {
  "M+" : this.getMonth() + 1,
  "d+" : this.getDate(),
  "h+" : this.getHours(),
  "m+" : this.getMinutes(),
  "s+" : this.getSeconds(),
  "q+" : Math.floor((this.getMonth() + 3) / 3),
  "S" : this.getMilliseconds()
 }
 if (/(y+)/.test(format)) {
  format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4
      - RegExp.$1.length));
 }
 for (var k in o) {
  if (new RegExp("(" + k + ")").test(format)) {
   format = format.replace(RegExp.$1, RegExp.$1.length == 1
       ? o[k]
       : ("00" + o[k]).substr(("" + o[k]).length));
  }
 }
 return format;
} 

/**
 * 时间戳转换
 * @param {Object} now
 */
iG.formatDate = function(now){
    var hour = now.getHours();
    var minute = now.getMinutes();
    return hour + ":" + minute;
} 

iG.getUTCTime = function(time){
	var myDate = new Date(time);
	var h = myDate.getHours()+"";       //获取当前小时数(0-23)
	var m = myDate.getMinutes()+"";     //获取当前分钟数(0-59)
	var s =myDate.getSeconds()+"";   
	if(h.length==1){
		h="0"+h;
	}
	if(m.length==1){
		m="0"+m;
	}
//	alert(s.length);
//	if(s.length==1){
//		s="0"+s;
//	}
  
//    var nowTime = myDate.toLocaleString();
//    var n1 = nowTime.replace(/年/g, "-");
//    var n2 = n1.replace(/月/g, "-");
//    var n3 = n2.replace(/日/g, "");
//	var n4 = n3.replace(/午/g, "0");
	return h+":"+m;
}


iG.openUrlwithBrowser = function(url)
{
    if (url == 'undefined' || url == "" || url == null || url == undefined) 
    {
        logs("openUrlwithBrowser err: url illegal->"+url);
        return;
    }
    else if (url.length<8)
    {
        logs("openUrlwithBrowser err: url bings with http:// or https:// ->"+url);
        return;
    }
    var str1 = url.substring(0,7);
    if (str1.match("https:/") || str1.match("http://") )
    {
        if(isAndroid)
        { 
            //Android
            var ext = {
						    "data": 
						    {
						        "scheme": url
						    }
						};
			ext=json2Str(ext);
            uexWidget.startApp(1,'android.intent.action.VIEW',ext);
        }
        else
        { 
            //ios
            uexWidget.loadApp(url,"*/*","");
        }
    }
}
