function zy_rc4_init(key){
    var s = [], j = 0, x, res = '';
    for (var i = 0; i < 256; i++) {
        s[i] = i;
    }
    for (i = 0; i < 256; i++) {
        j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
        x = s[i];
        s[i] = s[j];
        s[j] = x;
    }
    return s;
}

function zy_rc4(str, s){
    var i = 0;
    var j = 0;
    var res = "";
    var k = [];
    k = k.concat(s);
    for (var y = 0; y < str.length; y++) {
        i = (i + 1) % 256;
        j = (j + k[i]) % 256;
        x = k[i];
        k[i] = k[j];
        k[j] = x;
        res += String.fromCharCode(str.charCodeAt(y) ^ k[(k[i] + k[j]) % 256]);
    }
    return res;
}

function zy_rc4ex(str){
    var key = 'mumobile';
    var s = zy_rc4_init(key);
    return zy_rc4(str, s);
}

////////////////账号管理/////////////////////////////
var loginFunc = function(){
}; //登录接口
var prefix = 'ydbg'; //移动办公
var loginUsr = prefix + '_username';
var loginPsw = prefix + '_password';
var loginNow = prefix + '_login';
var loginNowPsw =prefix+'_login_pass';
var dataArr = prefix + '_arry';
var subAppId = 'sdk10013'; //子应用ID
var UserInfor = 'UserInfor_' + prefix;//当前应用用户登录信息
var opId = parseInt(Math.random() * 100000);
var path = "wgt://data/usrInforsdk10013.txt";

function getUserInfo(){
    if (uexWidgetOne.platformName == 'android') {
        autoLogin();
        return;
    }
    var str2 = localStorage.getItem(UserInfor);
    logs('getUserInfo----->str2=' + str2);
    if (str2 && str2 != 'null' && str2 != '(null)' && str2 != '[]') {
        autoLogin();
        return;
    }
    uexFileMgr.cbOpenFile = function(id, dataType, data){
        logs('cbOpenFile----->data=' + data);
        if (data == 0) {
            uexFileMgr.cbReadFile = function(id, dataType, data){
                uexFileMgr.closeFile(id);
                logs('cbReadFile----->data=' + data);
                data = decodeURIComponent(data);
                var str = zy_rc4ex(data); //解密
                logs('cbReadFile----->str=' + str);
                
                localStorage.setItem(UserInfor, str);
                localStorage.setItem(dataArr, str);
                
                autoLogin(); ////////
            }
            uexFileMgr.readFile(id, -1);
        }
        else {
            uexFileMgr.closeFile(id);
            autoLogin(); ////////
        }
    }
    logs('openFile----->path=' + path);
    uexFileMgr.openFile(opId, path, 1);
}

function autoLogin(){
    loginFunc = getUUID; //登录接口
    var str = getstorage("LoginInfor") || localStorage['MU30-USERINFO']; //认证信息
    var obj = JSON.parse(str);
    logs('autoLogin()----->str=' + str);
    logs('autoLogin()----->obj=' + obj);
    
    var str2 = localStorage.getItem(UserInfor);
    var obj2 = null;
    logs('UserInfor----->str2=' + str2);
    if (str2 != '' && str2 != null && str2 != 'null' && str2 != '[]') {
        obj2 = JSON.parse(str2);
    }
    logs('UserInfor----->obj2=' + obj2);
    logs('autoLogin() ----->policyname=' + policyname);
    var authPolicy = obj ? (obj.domainName || obj.authPolicy) : '';
    //logs('autoLogin() ----->authPolicy='+obj.authPolicy);
    if (authPolicy != "飞行领域") {
        logs('autoLogin() ----->authPolicy=authPolicy');
        if (!obj2) {
            addUserInfor(obj.username, obj.password);
            setstorage(loginNow, obj.username);
            setstorage(loginUsr, obj.username);
            setstorage(loginPsw, obj.password);
            setstorage(loginNowPsw, obj.password);
			 
            loginFunc(obj.username, obj.password); //login 
            return;
        }
    }
    
    if (obj2) {
        //login
        for (var i in obj2) {
            var item = obj2[i];
            logs('autoLogin() ----->item=' + item);
            if (item && item.login == 1) {
                setstorage(loginNow, item.username);
                setstorage(loginUsr, item.username);
                setstorage(loginPsw, item.password);
				setstorage(loginNowPsw, item.password);
                
                loginFunc(item.username, item.password); //login 
                return;
            }
        }
    }
    
    uexWindow.open('account_mgt', '0', 'account_mgt.html', '0', '', '', '0');
}

//切换或删除账号，记录存文件
function changeUserInfor(uname, del){
    logs('setUserInfor() ---> ' + uname);
    var tmp = localStorage.getItem(UserInfor);
    var obj = JSON.parse(tmp);
    if (obj) {
        for (var i in obj) {
            if (!del) 
                obj[i].login = 0;
            if (obj[i].username == uname) {
                if (del) 
                    obj.splice(i, 1);
                else 
                    obj[i].login = 1;
            }
        }
    }
    else 
        obj = [];
    
    saveFileEnc(obj);
}


//添加账号，记录存文件
function addUserInfor(uname, upass){
    var tmp = localStorage.getItem(UserInfor);
    var obj = [];
    if (tmp && tmp != 'null' && tmp != '(null)' && tmp != '[]') {
        obj = JSON.parse(tmp);
        if (obj) {
            for (var i in obj) {
                if (obj[i]) {
                    obj[i].login = 0;
                    if (obj[i].username == uname) {
                        obj[i].password = upass;
                        obj[i].login = 1;
                        saveFileEnc(obj);
                        return;
                    }
                }
            }
        }
    }
    uname = uname.toLocaleLowerCase();
    var obj2 = {
        "username": uname,
        "password": upass,
        "login": 1
    };
    obj.push(obj2);
    
    saveFileEnc(obj);
}

function saveFileEnc(obj){
    var str = JSON.stringify(obj);
    logs('saveFileEnc------>str=' + str);
    
    localStorage.setItem(UserInfor, str);
    localStorage.setItem(dataArr, str);
    
    if (uexWidgetOne.platformName == 'android') 
        return;
    
    var res = zy_rc4ex(str); //加密
    logs('saveFileEnc------>res=' + res);
    //var sss = zy_rc4ex(res,sk);  //解密
    res = encodeURIComponent(res);
    logs('setUserInfor22------>res=' + res);
    
    uexFileMgr.cbOpenFile = function(id, dataType, data){
        if (data == 0) 
            uexFileMgr.writeFile(opId, '0', res);
        uexFileMgr.closeFile(opId);
    };
    uexFileMgr.openFile(opId, path, '4');
}

var gWindowName = '';
var gUsername = '', gPassword = '';

function getUUID(uid, pwd, windowName) {
    /*   联合办公账号校验 */
    var obj = {
        "domainName" : '联合办公',
        "authType" : "AuthUserNameAndPwd",
        "loginName" : uid,
        "loginPass" : pwd,
        "field1" : localStorage['MU30-masUrl']+'loginJoint?'
    }
    var ss = JSON.stringify(obj);
    uexWindow.toast('1', '5', '登录中，请稍候...', '');

    function uexEMMLoginCb(a, b, res) {
        var obj = JSON.parse(res);
        if (obj) {
            if (obj.status != 'ok') {
                var infor = obj.info ? (obj.info == '登录失败' ? '用户名或密码错误' : obj.info) : '登录失败';
                uexWindow.toast('0', '5', infor, '1500');
                return;
            }
        } else {
            uexWindow.toast('0', '5', '登录失败', '1500');
            return;
        }
        
        // 原getUUID如下续上
        gWindowName = windowName;
        gUsername = uid;
        gPassword = pwd;
        var infor = '{"username":"' + uid + '","password":"' + pwd + '"}';
        logs('getUUID() infor-->' + infor);
        //infor = test(infor, 'mumobile-ydbg');
        //var item = encodeURIComponent(infor);
        //var url = 'http://store1.ceair.com/11174107/b7a04d98-fa65-49ca-b4df-97a3dc7009a2/uo_getUUID?item='+item;
        //var url = localStorage.getItem('MasURL') + 'uo_getUUID?item='+item;
        //logs('getUUID() send quest url-->'+url);
        //uexWindow.toast('1', '5', '登录中，请稍候...', '');

        var userid = DesEncode(uid, 'ceair', 'mobile', 'e-office');
        loginSubmit(userid);
        return;

        AJAX.getJSON(url, function(res) {
            logs('getUUID-->rep--->' + res);
            var obj = JSON.parse(res);
            if (obj.UUID)
                loginSubmit(obj.UUID);
            else
                uexWindow.toast('0', '5', '登录失败', '1500');
        }, "text", errCb);
    }

    uexEMM.cbLogin = uexEMMLoginCb;
    uexEMM.login(ss);
}

function loginSubmit(s){
    //var url = 'http://172.17.64.176/sl/login?UID='+s; //测试环境
    var url = 'http://bte.ceair.com/sl/login?UID=' + s; //生产环境
    logs('loginSubmit() send quest url-->' + url);
    
    AJAX.getJSON(url, function(res){
        logs('loginSubmit-->rep--->' + res);
        if (res == '(null)') {
            window.location.href = "http://bte.ceair.com/";
            uexWindow.closeToast();
            return;
        }
        var obj = JSON.parse(res);
        if (obj.status == 0) {
            uexWindow.toast('0', '5', '登录成功', '1500');
            setstorage(loginUsr, gUsername);
            setstorage(loginNow, gUsername);
            setstorage(loginPsw, gPassword);
            setstorage(loginNowPsw, gPassword);
			
            var t0 = new Date().getTime();
            setstorage('EOffice-time', t0);
            
            if (gWindowName) {
                if (gWindowName == 'account_mgt_add') {
                    addUserInfor(gUsername, gPassword);
					uexWindow.evaluateScript('account_mgt', '0', 'uexWindow.close();');
                }
                else {
                    changeUserInfor(gUsername);
                }
				uexWindow.evaluateScript(gWindowName, '0', 'uexWindow.close();');
//                setTimeout(function(){
//                    uexWindow.evaluateScript(gWindowName, '0', 'uexWindow.close("0");');
//                }, 1000);
                
                //uexWindow.evaluatePopoverScript('root','content','window.location.href="http://bte.ceair.com/home/main?from=mumobile";');
                //uexWindow.evaluateScript('root','0','changeUserLogin();');
            }
            //else login_();
            uexWindow.evaluateScript('root', '0', 'changeUserLogin();');
        }
        else 
            if (obj.status == -4) {
                var str = '用户名或密码错误';
                if (gWindowName == 'account_mgt_add') 
                    uexWindow.toast('0', '5', str, '1500');
                else {
                    uexWindow.closeToast();
                    uexWindow.cbConfirm = function(opId, dataType, data){
                        localStorage.setItem('loginErr', '1');
                        uexWindow.open('account_mgt_add', 0, 'account_mgt_add.html', '10', '', '', '0');
                    }
                    var arr = ['确定'];
                    uexWindow.confirm('提示', str, arr);
                }
            }
            else {
                var str = (obj.des) ? obj.des : '登录失败';
                uexWindow.toast('0', '5', str, '1500');
            }
    }, "text", errCb);
}


function errCb(o){
    var str = '登录失败';
    logs('errCb---->', o);
    if (o.message == "network error!") 
        str = '网络不给力!';
    else 
        if (o.status == "-9") {
            window.location.href = "http://bte.ceair.com/";
            uexWindow.closeToast();
            return;
        }
    
    if (gWindowName == 'account_mgt_add' || gWindowName == 'account_mgt') {
        uexWindow.toast('0', '5', str, '1500');
        return;
    }
    
    uexWindow.closeToast();
    
    uexWindow.cbConfirm = function(opId, dataType, data){
        if (data == 0) 
            getUUID(gUsername, gPassword, gWindowName);
        else 
            uexWidget.finishWidget('');
    }
    uexWindow.confirm('提示', str, ['重新登录', '退出应用']);
}
