var taskIdKey = "taskIdKey";//任务单id
var curUserInfo = "curUserInfo"; //当前登录用户信息

// 判断当前用户是否是上海// 
function isShangHai(){
	var curUserInfoStr = getLocVal('curUserInfo');
	var isSH = curUserInfoStr.indexOf('EA10') > -1 ? true : false;
	return isSH;
}
var isSML = (window.navigator.platform=='Win32')?1:0; /*是否在模拟器上运行, 1是0否*/
var isPhone = (window.navigator.platform != "Win32");
var isAndroid = (window.navigator.userAgent.indexOf('Android')>=0)?true : false;
var currWindow=getLocVal('nextWin');
/**
 * @param String inWndName 新窗口名称
 * @param String html		新窗口路径
 * @param String inAniID	打开动画
 * @param String f
 */
function openNewWin(inWndName,html,inAniID,f){
//	var winName=startPath.split(',');
//	if(winName[0]!=inWndName){
//		localStorage['MU3~StartPage']='';
//	}
	setLocVal('nextWin',inWndName);
	recordClickCount(inWndName);
	if(inAniID==0){
		uexWindow.open(inWndName,'0',html,0,'','',(f)?f:0);
		return;
	}
	if(inAniID)
		uexWindow.open(inWndName,'0',html,inAniID,'','',(f)?f:0);
	else
		uexWindow.open(inWndName,'0',html,10,'','',(f)?f:0);
}


/**
 * 关闭窗口
 * @param string n 关闭窗口动画，默认-1
 */
function winClose(n){
	recordClickCount("back");
	if(n){
		uexWindow.close(n);
		return;
	}
	if(parseInt(n)==0){
		uexWindow.close(n);
		return;
	}
	uexWindow.close(-1);
}

/**
 * 去除字符串中的空格
 * @param String s
 */
function trim(s) {
	var count = s.length;
	var st = 0;
	var end = count - 1;

	if (s == "")
		return s;
	while (st < count) {
		if (s.charAt(st) == " ")
			st++;
		else
			break;
	}
	while (end > st) {
		if (s.charAt(end) == " ")
			end--;
		else
			break;
	}
	return s.substring(st, end + 1);
}

/**
 * 字符串缓存
 * 
 * @returns
 */
function StringBuffer() {
	this._content_ = new Array;
}
//添加字符串
StringBuffer.prototype.append = function (str) {     
	this._content_.push(str);     
}; 
//添加字符串并换行
StringBuffer.prototype.appendln = function (str) {     
	this._content_.push(str+ "\n");     
};     
//重写 toString 函数
StringBuffer.prototype.toString = function () {     
	return this._content_.join("");     
};  

/**
 * 计算字符串的长度
 * @param String strTemp
 */
function fucCheckLength(strTemp) {
	var i, sum;
	sum = 0;
	for (i = 0; i < strTemp.length; i++) {
		if ((strTemp.charCodeAt(i) >= 0) && (strTemp.charCodeAt(i) <= 255))
			sum = sum + 1;
		else
			sum = sum + 2;
	}
	return sum;
}

/**
 * 输出loag
 * @param String s 需要输出的信息
 * @param String a 添加的标注信息
 */
function logs(s,a){
	if(typeof s == 'object'){
		s = JSON.stringify(s);
	}
	a = a ? a : "";
	if(!isPhone){
		console.log(a+s);
	}else{
		uexLog.sendLog(a+s);
	}
}

/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function setLocVal(key,value){
	window.localStorage['fxmh~_'+key] = value;
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function getLocVal(key){
	if(window.localStorage['fxmh~_'+key])
		return window.localStorage['fxmh~_'+key];
	else if(window.localStorage[key])
		return window.localStorage[key];
	else
		return "";
}
/**退出应用**/
function back_widget(){
	uexWidget.finishWidget('');
	clearWgtLS();
}

function clearWgtLS(){
	for(i in window.localStorage){
		if (i.indexOf("fxmh~_") === 0) {
			window.localStorage.removeItem(i);
		}
	}
} 	
/**
 * 清除缓存
 * @param Striong key  保存数据的key，如果不传清空所有缓存数据
 */
function clearLocVal(key){
	if(key)
		window.localStorage.removeItem(key);
	else
		window.localStorage.clear();
}

/**
 * alert 和 confirm 弹出框
 * @param String str 提示语
 * @param Function callback confirm的回调函数
 */
function alert(str,callback){
	if(callback){
		uexWindow.cbConfirm = function(opId,dataType,data){
			if(data == 0)
				callback(); 
		}
		uexWindow.confirm(getlan('提示','STR_NOTICE'),str,[getlan('确定','FLY_OK')])
	}else
		uexWindow.alert(getlan('提示','STR_NOTICE'),str,getlan('确定','FLY_OK'));
}

/**
 * 根据时间戳获取年、月、日
 * @param String str 时间戳
 * @param Boolean f 是否在原来的基础上*1000，true要*，false或不填就不*
 */
function getMakeTimes(str,f){
	var t = (f) ? int(str) : int(str)*1000;
	var d = new Date(t);
	var y = d.getFullYear();
	var m = setNum(d.getMonth()+1);
	var d = setNum(d.getDate());
	return y+"-"+m+"-"+d;
}

//获取年
function getYears(date){
    if(date == undefined) date = new Date;
    return date.getFullYear();
};
//获取月
function getMonths(date){
    if(date == undefined) date = new Date;
    var month = date.getMonth() + 1;
    if(month < 10) month = "0" + month;
    return month;
};
//获取日
function getDays(date){
   if(date == undefined) date = new Date;
    var day = date.getDate();
    if(day < 10) day = "0" + day;
    return day;
};
//获取小时
function getHours(date){
    if(date == undefined) date = new Date;
    var hours = date.getHours();
	if(hours < 10) hours = "0" + hours;
	return hours;
};
//获取分钟
function getMinutes(date){
    if(date == undefined) date = new Date;
    var minutes = date.getMinutes();
	if(minutes < 10) minutes = "0" + minutes;
	return minutes;
};
function setNum(s){
	return (int(s)>9) ? s : '0'+s;
}

/**
 * 在其他窗口中执行指定主窗口中的代码
 * @param String wn  需要执行代码窗口的名称
 * @param String scr 需要执行的代码
 */
function uescript(wn, scr){
	recordClickCount(wn);
	uexWindow.evaluateScript(wn,'0',scr);
}

/**
 * 在其他窗口中执行指定浮动窗口中的代码
 * @param String wn  需要执行代码浮动窗口所在的主窗口的名称
 * @param String pn  需要执行代码的浮动窗口的名称
 * @param String scr 需要执行的代码
 */
function ueppscript(wn, pn, scr){
	recordClickCount(wn);
	uexWindow.evaluatePopoverScript(wn,pn,scr);
}

/**
 * 判断是否是空
 * @param value
 */
function isDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined'){
        return false;
    }
       return true;
    
}


//判断返回字段
function test_name(name){
	if(name == undefined && !name){
		return "";
	}else if(typeof name == "object"){
		return "";
	}else{
		return name;
	}
}

/**
 * 图片预加载
 * @param String imgId div的ID，图片加载成功后给该div换背景
 * @param String imgUrl 图片路径
 */
function preloadImg(imgId,imgUrl){
	var newImg = new Image();
	newImg.src = imgUrl;
	newImg.onload=function(){
		$$(imgId).style.backgroundImage = "url("+newImg.src+")";
		newImg = null;
	}
}

/**
 * 给DOM对象赋值innerHTML
 * @param String id 对象id
 * @param String html html字符串
 */
function setHtml(id, html) {
	if ("string" == typeof(id)) {
		var ele = $$(id);
		if (ele != null) {
			ele.innerHTML = html == null ? "" : html;
		}
	} else if (id != null) {
		id.innerHTML = html == null ? "" : html;
	}
}

/**
 * 设置平台弹动效果
 * @param Function downcb 下拉
 * @param Function upcb   上拖
 */
function setPageBounce(funcTop, funcBottom){
	uexWindow.setBounce("1");  // 指定是否可以网页弹动效果。为1则为可以支持网页弹动,0则相反。
	if(!funcTop && !funcBottom){
		uexWindow.showBounceView("0","rgba(0,0,0,0)","0");
		// 指定顶端或者底部显示弹动效果,0则为可以支持网页顶端弹动,1为底部
		// 弹动显示部位的颜色值。inColor 的值为“#”3位，或者“#”6位，以及,rgba()格式
		// flag为1 ，则是显示内容，为0,则不显示；
		uexWindow.showBounceView("1","rgba(0,0,0,0)","0");
		return;
	}
	var top = 0,btm = 1;
	uexWindow.onBounceStateChange = function(type,state){	
	// 当view向下拉动直到越界，以及向上返回到初始状态时候，返回的通知函数。(onBounceStateChange)
	//(type) 对应的部位值。int型数据，0为网页顶端，1为网页底部。 uex.cBounceViewTypeTop= 0
	//uex.cBounceViewTypeBottom= 1
    // state     0为向下拉，1为超越边界，2为向上返回到最初状态。
		if(type==top && state == 2){				//顶部弹动
			funcTop();
		}
		if(type==btm && state == 2){				//底部弹动
			funcBottom();
		}
	}
	if(funcTop){
		//setBounceParams(inType, inJson) 指定顶端或者底部显示弹动效果。
		// （inType） 0为顶部，1为底部。
		// (inJson) 要设置的参数。参数格式格式为json格式的字符串
		//uexWindow.setBounceParams('0','{"pullToReloadText":"下拉刷新","releaseToReloadText":"释放刷新","loadingText":"加载中，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.setBounceParams('0','{"pullToReloadText":"'+getlan("下拉刷新","FLY_Uloading")+'","releaseToReloadText":"'+getlan("释放刷新","FLY_Uloading")+'","loadingText":"'+getlan("加载中，请稍候","FLY_Uloading")+'","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.showBounceView(top,"#FFF",1);
		uexWindow.notifyBounceEvent(top,1);	// 注册接收弹动事件。
	}
	if(funcBottom){
		//uexWindow.setBounceParams('1','{"pullToReloadText":"加载更多","releaseToReloadText":"加载更多","loadingText":"加载中，请稍候","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.setBounceParams('1','{"pullToReloadText":"'+getlan("加载更多","FLY_Uloading")+'","releaseToReloadText":"'+getlan("加载更多","FLY_Uloading")+'","loadingText":"'+getlan("加载中，请稍候","FLY_Uloading")+'","loadingImagePath":"res://shuaxin.png"}','donghang');
		uexWindow.showBounceView(btm,"#FFF",1);//设置弹动位置及效果([1:显示内容;0:不显示])
		uexWindow.notifyBounceEvent(btm,1);		//注册接收弹动事件([0:不接收onBounceStateChange方法回调;1:接收])
	}

}

/***
 * 使弹动重置为初始位置
 * @param String type 弹动的类型 0-顶部弹动  1-底部弹动 
 */
function resetBV(type){
	uexWindow.resetBounceView(type);
}

/**
 * 显示加载框
 * @param String mes 显示的提示语
 * @param String t  毫秒数 窗口存在时间 有的话显示框不显示那个“圈”，并且在t时间后消失
 */
function $toast(mes,t){
	uexWindow.toast(t?'0':'1','5',mes,t?t:0);
}

/**
 * 手动关闭加载框
 */
function $closeToast(){
	uexWindow.closeToast();
}

/**
 * 浮动窗口移动动画函数
 * @param String 横向移动位移
 * @param String 纵向移动位移
 * @param Function 动画结束后的回调函数
 */
function disShowAnim(dx, dy, cb){
	uexWindow.beginAnimition();
	uexWindow.setAnimitionDuration('250');
	uexWindow.setAnimitionRepeatCount('0');
	uexWindow.setAnimitionAutoReverse('0');
	uexWindow.makeTranslation(dx,dy,'0');
	uexWindow.commitAnimition();
	if(cb) uexWindow.onAnimationFinish = cb;
}

/**
 * getJSON请求数据的错误回调函数
 * @param {Object} err 返回的错误对象
 */
function getJSONError(err){
	$closeToast();
	resetBV(0);
	resetBV(1);
    if (err.message == 'network error!') {
        $toast(getlan('获取数据失败，请检查网络是否正常！','FLY_GetFailed'),2000);
    }else if (err.message == 'json parse failed!',2000) {
        $toast(getlan('加载数据失败，请重新加载！','FLY_FLY_FAILEDRELOAD'),2000);
    }else if (err.message == 'file does not exist!',2000) {
		$toast(getlan('文件不存在','FLY_FNOTEXIST'),2000);
    }else if (err.message == 'read file failed!',2000) {
		$toast(getlan('文件读取错误','FLY_FILEERROR'),2000);
    }else {
		$toast(getlan('发现未知错误','FLY_UNKNOWNERROR'),2000);
    }
}

var dbname = "localdb",dbId = 0,userId = 500;
/**
 * 创建或打开数据库
 * @param {Object} cb	初始化DB
 */
function openDB(cb){
	uexDataBaseMgr.cbOpenDataBase = function(opId,type,data){
		if(type==2 && data==0){
			if(cb)	cb();
		}
	}				
	uexDataBaseMgr.openDataBase(dbname,++dbId); 
}


/**
 * 查询操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function selSql(id,sql,cb){
	uexDataBaseMgr.cbSelectSql = function(opId,type,data){
		logs('selSql:	'+opId+','+type+','+data);
		if(type==1){
			if(cb && opId == id)	cb(data);
		//	else if(cb)	cb(false);
		}
	}
	uexDataBaseMgr.selectSql(dbname,id,sql);
}

/**
 * 增删改操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function exeSql(id,sql,cb){
	uexDataBaseMgr.cbExecuteSql = function(opId,type,data){
		logs('exeSql:	'+opId+','+type+','+data);
		if(type==2 && data==0){
			if(cb && opId == id)	cb(data);
			//else if(cb) 	cb(false);
		}
	}
	uexDataBaseMgr.executeSql(dbname,id,sql);
}

/**设置安卓back和menu按键事件监听
 * @b: back键，1为监听。
 * @m: menu键，1为监听。
 * @cb1: back键监听处理回调方法。
 * @cb2: menu键监听处理回调方法。
 */
function addKeyListener(b, m, cb1, cb2){
	if(!isSML) {
		uexWindow.onKeyPressed = function(keyCode){
			if(keyCode==0){
				if(cb1)  cb1();
				//uexWidget.finishWidget(''); //退出应用
			}
			else{
				if(cb2) cb2();
			}
		}
		if(b) uexWindow.setReportKey('0', '1');
		if(m) uexWindow.setReportKey('1', '1');
	}
}

/**
 * json对象转为string
 * @param {Object} j
 */
function json2str(j){
	return JSON.stringify(j);
}
/**
 * string转为json对象
 * @param String s
 */
function str2json(s){
	return JSON.parse(s);
}

/**
 * 取input数据
 * @id: input标签id
 * 返回值：数据内容
 */
function getValue(id){
	var e = $$(id);
	if(e) return e.value;
}

/**
 * 设置input数据
 * @id: input标签id
 * @val: 要设置的数据
 */
function setValue(id, val){
	var e = $$(id);
	if(e) e.value = val;
}

/**
 * 创建DOM节点
 * @param String t
 */
function createEle(t){
	return document.createElement(t);
}
/**
 * 删除DOM节点
 * @param String id
 */
function removeNode(id){
	var e = $$(id);
	if(e) e.parentElement.removeChild(e);
}

/**
 * 调用本地浏览器打开网址
 * @param String url
 */
function loadLink(url){
	var appInfo = ''; 
	var filter = '';
	var dataInfo = url.toLowerCase();
	var pf = uexWidgetOne.platformName;
	if(pf=='android'){
		appInfo = 'android.intent.action.VIEW';
		filter = 'text/html';
	}
	if(dataInfo.indexOf('http://')<0 && dataInfo.indexOf('https://')<0){
		dataInfo = 'http://'+dataInfo;
	}
	uexWidget.loadApp(appInfo, filter, dataInfo);
}



/**关闭飞行准备所有窗口**/
function closeAllFlight(){
	uescript('flightReady1','winClose(0)');
	uescript('flightReady2','winClose(0)');
	uescript('flightReady3','winClose(0)');
	uescript('flightReady4','winClose(0)');
	uescript('flightReady5','winClose(0)');
	uescript('flightReady6','winClose(0)');
	uescript('flightReady7','winClose(0)');
	uescript('flightReady8','winClose(0)');
	uescript('flightReady9','winClose(0)');
}

/**关闭乘务准备所有窗口**/
function closeAllCrew(){
	uescript('crewReady1','winClose(0)');
	uescript('crewReady2','winClose(0)');
	uescript('crewReady3','winClose(0)');
	uescript('crewReady4','winClose(0)');
	uescript('crewReady5','winClose(0)');
	uescript('crewReady6','winClose(0)');
}

/**关闭乘务回收书所有窗口**/
function closeAllCrewBook(){
	clearLocVal("controlWin");
	clearLocVal("isRecoverySave");
	clearLocVal("isAssigeSave");
	clearLocVal("isfourSave");
	uescript('assignedCrew','winClose(0)');
	uescript('recoveryTaskBookCrew','winClose(0)');
	uescript('four_stages','winClose(0)');
	uescript('information','winClose(0)');
	uescript('safe','winClose(0)');
	uescript('star','winClose(0)');
	uescript('VIP','winClose(0)');
	uescript('charter','winClose(0)');
}

/**选择城市**/
var DHcity = 0;
function stationList(cb){
	var s=window.getComputedStyle($$('content'),null);
	uexDHCity.open(0, $$("header").offsetHeight, int(s.width),int(s.height), 'res://citys.png','',getlan('热门城市','FLY_HOTCITY'));
	uexDHCity.cbSelected = function(opId, dataType, data){		
		setTimeout(function(){
			uexDHCity.close();
			DHcity = 0;
		},200);
		cb(data);
	}
	DHcity = 1;
}

/**安卓和苹果下载pdf**/
var did = 1000;
function down_app(url_update,name,cb,otherName){
    if(uexWidgetOne.platformName!='android'){ //IOS中文编码
       var begin=url_update.lastIndexOf("/");
       var end=url_update.length;
       url_update=url_update.substring(0,begin)+encodeURI(url_update.substring(begin,end));        
    }
	var len = url_update.length;
	var beg = url_update.lastIndexOf(".")
	var file_type = url_update.substring(beg+1,len);
	var saveUpdate ="wgts://data/"+name+"."+file_type; //  "/sdcard://download/"
	if(otherName){
		saveUpdate = "wgts://data/"+otherName;
	}
	uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){  // 监听下载对象的状态
		switch(status) {
			case 0:     // 下载的状态 status: 0(正在下载中)，1（表示下载完成），2（表示下载失败）
				var str = getlan('下载进度：','FLY_DOWNLOADPROGRESS')+percent+'%';
				if(fileSize==-1) str = getlan('下载中，请稍候...','FLY_DOWNLOAD');
				uexWindow.toast('1','5', str,'');
			break;
			case 1:
				uexDownloaderMgr.closeDownloader(opCode);
				uexWindow.closeToast();
//				uexDocumentReader.openDocumentReader(saveUpdate);  //  阅读器,用来阅读不同格式的文件
				cb(saveUpdate);
			break;
			case 2:
				uexDownloaderMgr.closeDownloader(opCode); // 关闭下载对象
				uexWindow.closeToast();
				cb('');
			break;
		}
	}
	uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){  // 下载对象的回调
		if(data == 0){
			uexWindow.toast('1','5', getlan('下载中，请稍候...','FLY_DOWNLOAD'),'');
			uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0'); // 执行下载对象
		}else{                     //  参数：（opCode：操作的id,url_update:下载地址，saveUpdate：保存地址）
			alert("创建失败");   //（data:0 不支持断点下载，1： 支持断点下载）
		}
	}
	uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){   //data： 0表示不存在 // 1表示存在
		if(isDefine(data)){                                                // 表示文件是否存在该路径上
			cb(saveUpdate); 																																																																																																																																																																																																																																																																																																				
		}else{
			did++;
			uexDownloaderMgr.createDownloader(did);	 //  创建下载对象
		} 
	}
	uexFileMgr.isFileExistByPath(did,saveUpdate); // 两个参数分别表示操作的（id和保存的位置）
}

/**天气**/
function showALlWeater(str){
	switch(str){
		case "晴(夜晚)":
		case "晴":
		case "晴(白天)":
		case "晴朗":
		case "晴朗(夜晚)":
		case "晴朗(白天)":
		case "局部晴":
		case "炎热":
		case "闷热":
		case "大部分晴":
		case "大部分晴朗":
		case "多云转晴":
			return 'css/tianqi/tq2.png';
			break;
		case "晴间多云":
		case "多云":
		case "大部分多云(夜晚)":
		case "大部分多云(白天)":
		case "大部分多云":
		case "局部多云(夜晚)":
		case "局部多云(白天)":
		case "局部多云":
		case "晴转多云":
			return 'css/tianqi/tq3.png';
			break;
		case "阴霾":
			return 'css/tianqi/tq6.png';
			break;
		case "冻细雨":
		case "细雨":
		case "冻雨":
		case "小雨":
		case "零星阵雨":
			return 'css/tianqi/tq8.png';
			break;
		case "热带风暴":
			return 'css/tianqi/tq17.png';
			break;
		case "飘雪":
		case "小阵雪":
		case "吹雪":
		case "雪":
		case "零星阵雪":
		case "阵雪":
		case "小雪":
			return 'css/tianqi/tq11.png';
			break;
		case "中雪":
			return 'css/tianqi/tq16.png';
			break;
		case "尘埃":
		case "浮尘":
			return 'css/tianqi/tq5.png';
			break;
		case "强沙尘暴":
			return 'css/tianqi/shachen-qiang.png';
		case "特强沙尘暴":
			return 'css/tianqi/shachen-teqiang.png';
			break;
		case "沙尘暴":
			return 'css/tianqi/shachen.png';
			break;
		case "雾":
		case "烟雾":
			return 'css/tianqi/tq5.png';
			break;
		case "扬沙":
			return 'css/tianqi/yangsha.png';
			break;
		case "风暴":
			return 'css/tianqi/feangbao.png';
		case "大风":
			return 'css/tianqi/dafeng.png';
		case "有风":
			return 'css/tianqi/youfeng.png';
			break;	
		case "雷暴":
		case "局部地区性雷暴":
		case "强雷暴":
			return 'css/tianqi/tq13.png';
			break;
		case "龙卷风":
		case "飓风":
			return 'css/tianqi/tq19.png';
			break;
		case "大雪":	
			return 'css/tianqi/tq12.png';
			break;	
		case "暴雪":
			return 'css/tianqi/tq21.png';
			break;
		case "雨":
		case "大雨":
			return 'css/tianqi/tq9.png';
			break;
		case "阵雨":
		case "零星雷雨":
			return 'css/tianqi/tq22.png';
			break;
		case "雷阵雨":
		case "局部雷阵雨":
			return 'css/tianqi/tq13.png';
			break;
		case "混合雨和冰雹":
			return 'css/tianqi/bingbaoyu.png';
		case "冰雹":
			return 'css/tianqi/bingbao.png';
			break;
		case "雨夹雪":
		case "雨和雨雪":
		case "混合雨雪":
		case "雨雪":
			return 'css/tianqi/tq15.png';
			break;
		case "冷":
			return 'css/tianqi/leng.png';
			break;
		default:
			return 'css/tianqi/tq23.png';
			break;
	}
}


// 点击清除输入数据
function toggleIcon(ele){
	var inputVal = ele.value;
	var clearEle = ele.parentElement.nextElementSibling;
	if(inputVal == ''){
		clearEle.className = 'res-clear umar-l umh2 umw1 ub-img uhide';
	} else {
		clearEle.className = 'res-clear umh2 umw1 umar-l ub-img';
	}
}

// 输入框失去焦点事件
function lost(ele){
	var inputVal = ele.value;
	var clearEle = ele.parentElement.nextElementSibling;
	setTimeout( function(){ clearEle.className = 'res-clear umar-l umw1 ub-img uhide'; }, 200);
}
function clearInput(ele){
	if(ele.element) ele = ele.element;
	var inputEle = ele.previousElementSibling.firstElementChild;
	inputEle.value = '';
	ele.className = 'res-clear umw1 ub-img uhide';
	inputEle.focus();
}

/**乘务任务回收书返回**/
function back(n,inAniID){
	openNewWin(n,n+".html",inAniID);
	setTimeout("winClose('-1')",500);
}

/**乘务任务回收书保存**/
function save(name){
	ueppscript(name,'content','onsave()');
}

/**空对象转换为空字符串**/
function objectToStr(s){
	if(Object.prototype.toString.apply(s)== '[object Object]')  return ''
    else  return s;
	
}

/**修改后下拉列表**/
function zy_selectmenu1(id){
    var sl = document.getElementById(id);
    if (sl) {
        var sp = sl.parentElement; //<span>
        if (sp) {
            var ch = sp.getElementsByTagName("div")[2];
            var t = sl.options[sl.selectedIndex].text;
            if (ch) {
                ch.innerHTML = t;
            }
        }
    }
}
/**获取今天的日期YYYY-MM-DD**/
function getToday(){
	var myDate = new Date();
	var y=myDate.getFullYear();
	var m=myDate.getMonth()+1;
	var d=myDate.getDate();
	
	var dts=y+"-";
	if(m<10)
	dts+="0";
	dts+=m+"-";
	if(d<10)
	dts+="0";
	dts+=d;
	return dts;
}

//记录界面点击量		
function recordClickCount(eventId)
{
	var newEventId=eventId.replace(/_/g,'');
	var newId=newEventId.trim();
//	uexDataAnalysis.setEvent("事件id","{'':''}");
	try{
		uexEMM.setEvent(newId,"{'页面统计':'"+ newId +"页面'}");//
	}catch(e){
		
	}
	//TalkingData
	try{
		talkingDataCount(newId,newId);
	}
	catch(e){
		alert('点击量新增功能错误'+ e);
	}
}
//截取日期
function formatDate(str)
{
  var date = new Date(str);
  var month = ((date.getMonth()+1)<10?"0":"")+(date.getMonth()+1);
  var day = ((date.getDate())<10?"0":"")+(date.getDate());
  if(day=="32"){
     day="31";
  }
  return date.getFullYear()+"-"+month+"-"+day;
}

function openPopoverWin(content){
	   if(getLocVal("popoverWin")==""){
				var popoverWin=[];
		}else{
			var popoverWin=JSON.parse(getLocVal("popoverWin"));
		}
		popoverWin.push(content);
		setLocVal("popoverWin",JSON.stringify(popoverWin));
		if(popoverWin.length==1){
			uescript("task","backIcon()");//更改按钮
		}
		setTimeout(function(){
			uexWindow.openPopover(content, 0, content+".html", "", 0, parseInt(getLocVal("headerHeight")), parseInt(getLocVal("SWidth")),parseInt(getLocVal("SHeight"))-parseInt(getLocVal("headerHeight"))-parseInt(getLocVal("footerHeight")),parseInt(getLocVal("SFontSize")),"0");
		},1000);
}
//--窗口操作-//

/**退出应用**/
function back_widget(){
	clearWgtLS();
	uexWidget.finishWidget('');

}

//var startPath = localStorage['MU3~StartPage'];
//localStorage['reStePassword']=localStorage['MU3~StartPage'];//将磁贴保存起来；用于修改密码之后；
function setKeyListener(){
	uexWindow.onKeyPressed = function(keyCode){
        if (keyCode == 0) exitApp();
    }
	 uexWindow.setReportKey(0, 1);
}
/***
 * 
 * @param {Object} win 需要关闭的主窗口
 * 如果需要关闭的窗口不为磁铁的窗口则返回关闭当前窗口
 **/
function exitApp(n){
	var startPath="";
	if(localStorage['MU3-xiaoI-param']){
		var xiaoIparam=JSON.parse(localStorage['MU3-xiaoI-param']);
		startPath=xiaoIparam.page;
	}else{
		startPath = localStorage['MU3~StartPage'];
	}
	var winName=startPath.split(',');
	if(winName[0]==currWindow){//关闭窗口为磁铁窗口
		recordClickCount("back");
		clearWgtLS();
		uexWidget.finishWidget('');
	}else{
		winClose(n);
	}
}

//清除乘务任务书回收的带cw_开头的存储数据
function clearWgtLS(){
	for(i in window.localStorage){
		if (i.indexOf("fxmh~_") === 0) {
			window.localStorage.removeItem(i);
		}
	}
	
} 

//AJAX请求
function ajaxs(settings){
    var base64Encode = new Base64();
    var url = "http://mobile-am.ceair.com:8080/AirMobileControlRS2/JsonService/";
    var data = JSON.stringify(settings.data);
    var userInfo = getUserInfo();
    var dataJson = {
        jsonStr : base64Encode.encode(data),
        jsonUserInfo : userInfo
    }
    
    $.ajax({
        type : "post",
        contentType: 'application/json',
        dataType:"json",  
        url : url + "GetJsonDataPost",
        data: JSON.stringify(dataJson),  
        success : function(data){
            settings.success(JSON.parse(data));
        },
        error : function(e){
            settings.error(e);
        }
    });
};
//自动装载数据
function autoData(obj,wrapElem){
    if(wrapElem == undefined) wrapElem = $("body");
    wrapElem.find("[auto]").each(function(){
        var key = $(this).attr("auto");
        var objCopy = obj;
        while (key.indexOf("_") != "-1") {
            var sep = key.indexOf("_");
            objCopy = objCopy[key.substring(0, sep)];
            key = key.substring(key.indexOf("_") + 1);
        };
        if (objCopy != null) {
            $(this).text(objCopy[key]);
        }
    });
};	
//获取用户账户
function getUserInfo(){
    var base64Encode = new Base64();	
    var user = {
        "u": getLocVal("LoginInforFly","userCode"),
        "p": getLocVal("LoginInforFly","password"),
        "m": getLocVal("LoginInforFly","mobile"),
        "a": "MOP"
    };
    var userStr = JSON.stringify(user)
    return base64Encode.encode(userStr);
};

//数据是否合法
var isGood = function(data,tipOpen){
    if (data.status == 1) {
        $.iBoxMsg(data.desc);
        return false;
    };
    if (data.array == "" || data.array == null) {
        tipOpen && iG.tip(getlan("很抱歉，未查询到相应的",'FLY_DIDNOTCHECK') + $("title").text());
        return false;
    };
    return true;
};

//下拉刷新
var pullDown = function(callback){
    var j = {
        "pullToReloadText":getlan("下拉刷新","FLY_Uloading"),
        "releaseToReloadText":getlan("释放立即刷新","FLY_Uloading"),
        "loadingText":getlan("正在刷新...","FLY_Uloading"),
        "loadingImagePath":"res://shuaxin.png"
    };
    uexWindow.setBounce("1");
    uexWindow.setBounceParams('0',JSON.stringify(j));
    uexWindow.showBounceView("0","#f4f4f4",1);
    uexWindow.showBounceView("1","#f4f4f4",0);
    uexWindow.notifyBounceEvent("0","1");
    uexWindow.onBounceStateChange = function(type,status){
        if(type==0 && status==2) {
            callback();
        }
    }
};

/**
 * 渲染模板字符串
 * @param source 模板字符串
 * @param data 参数
 * @param config 配置
 * @returns 返回渲染字符串
 */
 /* 
  * 案例 demo(https://github.com/aui/artTemplate)
  * var source = '<ul>'
	+    '{{each list as value i}}'
	+        '<li>索引 {{i + 1}} ：{{value}}</li>'
	+    '{{/each}}'
	+ '</ul>';
	var data={
	    list: ['摄影', '电影', '民谣', '旅行', '吉他']
	};
	var html = $render(source,data);
 */
// 引擎的默认配置
// 字段		类型		默认值	说明
// openTag	String	'{{'	逻辑语法开始标签
// closeTag	String	"}}"	逻辑语法结束标签
// escape	Boolean	true	是否编码输出 HTML 字符
// cache	Boolean	true	是否开启缓存（依赖 options 的 filename 字段）
// compress	Boolean	false	是否压缩 HTML 多余空白字符
function $render(source,data){
	var render = template.compile(source);
	var html = render(data);
	return html
}

/**
 * @param str 可是字符或者参数
 * @param length 字符的长度，是返回的字符串的数量，如果这个数量比原字符串的长度要短，lpad函数将会把字符串截取成从左到右的n个字符
 * @param pad_str 是个可选参数，这个字符串是要粘贴到string的左边，如果这个参数未写，lpad函数将会在string的左边粘贴空格。
 * 例如：
 */
var $Pad={
	/*例如：
	 * rpad('tech', 7); 将返回' tech'
	 * rpad('tech', 2); 将返回'te'
	 * rpad('tech', 8, '0'); 将返回'tech0000'
	 * rpad('tech on the net', 15, 'z'); 将返回'tech on the net'
	 * rpad('tech on the net', 16, 'z'); 将返回'tech on the netz'
	 */
	r:function(str,length,pad_str){
		return this._fillChar(str,length,pad_str,'after');
	},
	/* 例如：
	 * lpad('tech', 7); 将返回' tech'
	 * lpad('tech', 2); 将返回'te'
	 * lpad('tech', 8, '0'); 将返回'0000tech'
	 * lpad('tech on the net', 15, 'z'); 将返回'tech on the net'
	 * lpad('tech on the net', 16, 'z'); 将返回'ztech on the net'
	 */
	l:function(str,length,pad_str){
		return this._fillChar(str,length,pad_str);
	},
	_fillChar:function (str,length,pad_str,mode){  
		pad_str = String(pad_str|"0");
		var strLength=str.length;
		
	    if(strLength>length){//比实际想要的长度更大  
	        if(mode=="after"){//如果是要在后面填充，截取的时候会将会后面的部分截取掉  
	            return str.substr(0,length);  
	        } else {//默认截取前一部分的数据  
	            return str.substr(strLength - length,length);  
	        }  
	    }  
	    var appendStr = "";  
	    for(var i = 0; i < (length - strLength)/pad_str.length;i++){  
	        appendStr += pad_str;  
	    }  
	    if(mode == "after"){  
	        return str + appendStr;  
	    } else {  
	        return appendStr + str;  
	    }  
	}
};


//设置界面可以手动滑动缩小放大
function zy_con128(id,url,x,y)
{
	var s=window.getComputedStyle($$(id),null);
	uexWindow.openPopover(id,"0",url,"",int(x),int(y),int(s.width),int(s.height),int(s.fontSize),"128");
}
/*列表上划刷新 下划加载数据 Start*/
function initBounce(funcTop, funcBottom){
    uexWindow.setBounce("1");
    if (!funcTop && !funcBottom) {
        uexWindow.showBounceView("0", "rgba(255,255,255,0)", "0");
        uexWindow.showBounceView("1", "rgba(255,255,255,0)", "0");
        return;
    }
    var top = 0, btm = 1;
    uexWindow.onBounceStateChange = function(type, state){
        if (type == top && state == 2) { //顶部弹动
            funcTop();
            uexWindow.resetBounceView("0");
        }
        if (type == btm && state == 2) { //底部弹动
            funcBottom();
            uexWindow.resetBounceView("1");
        }
    }
    if (funcTop) {
        uexWindow.setBounceParams('0', '{"pullToReloadText":"'+getlan("下拉刷新","FLY_Uloading")+'","releaseToReloadText":"'+getlan("释放刷新","FLY_Uloading")+'","loadingText":"'+getlan("正在刷新，请稍候","FLY_Uloading")+'"}', 'donghang');
        uexWindow.showBounceView(top, "rgba(255,255,255,0)", 1);
        uexWindow.notifyBounceEvent(top, 1);
    }
    if (funcBottom) {
        uexWindow.setBounceParams('1', '{"pullToReloadText":"'+getlan("加载更多","FLY_Uloading")+'","releaseToReloadText":"'+getlan("加载更多","FLY_Uloading")+'","loadingText":"'+getlan("加载中，请稍候","FLY_Uloading")+'"}', 'donghang');
        uexWindow.showBounceView(btm, "rgba(255,255,255,0)", 1); //设置弹动位置及效果([1:显示内容;0:不显示])
        uexWindow.notifyBounceEvent(btm, 1); //注册接收弹动事件([0:不接收onBounceStateChange方法回调;1:接收])
    }
}

/**金额格式化**/
function regNum(num,id){
	if(!num){
		return 0;
	}
	var newStr="";
	var floatLen=num.toString().split(".");
	var str=floatLen[0];
	var len = str.length,lastIndex,arr = [];
	while( len > 0 ){
		lastIndex = len;
		len -= 3;
		arr.unshift( str.substring(len, lastIndex) );
	}
	if(!floatLen[1])
		newStr=arr.join(',');
	else{
		newStr=arr.join(',')+"."+floatLen[1];
		if(id==1){
			newStr=arr.join(',')+"."+floatLen[1].substring(0,1);
		}
	}
	return newStr;
}

 //ajax mobileFlightQuery
function mobileFlightQueryAjax(params,handle,cache){
    var taskUrl = getLocVal('fx-MasURL') + "mobileFlightQuery?item=" + encodeURIComponent(JSON.stringify(params));
    $toast(getlan('正在获取数据...','FLY_Uloading'));
    $.getJSON(taskUrl, function(data) {
        $closeToast();
        if (data.status == 0) {
        	handle(data.result);
        } else {
            $toast(getlan('获取数据失败','FLY_GetFailed'),'2000');
        }
    }, 'json', function(e) {
        getJSONError(e, listUrl);
    }, "GET","",cache);
}


// ajax mosWebService
function mosWebService(params,handle,cache){
	var listUrl = getLocVal('fx-MasURL')+"MOSWebService?param="+encodeURIComponent(JSON.stringify(params));
	$toast(getlan('正在获取数据...','FLY_Uloading'));
	$.getJSON(listUrl, function(data) {
	    $closeToast();
	    if (data.status == 0) {
	    	handle(data.data);
	    } else {
	        $toast(getlan('获取数据失败','FLY_GetFailed'),'2000');
	    }
	}, 'json', function(e) {
	    getJSONError(e,listUrl);
	}, "GET","",cache);
}

function talkingDataCount(eventName,eventId){
//	var uid = localStorage['MU30-lOGIN-USRNAME']; 
//	var str = localStorage['MU30-userInfor-'+uid];
//	var talkList = JSON.parse(str);
//	var varComName = talkList.comName;
//	var varDepName = talkList.depName;
	var depName = JSON.parse(getLocVal("curUserInfo")); 
	var varDepName = depName.deptname;
	var varComName ="";
	
	if(varComName == undefined){
		var comName = "";	
	}else{
		var comName = varComName;	
	}
	if(varDepName == undefined){
		var depName = "";	
	}else{
		var depName = varDepName;	
	}
	var dataTest = {
		"event_id": "移动飞行",
		"label": "移动飞行",
		"kv": [
			{
				"key": "账户名",
				"value": getLocVal("uid")
			},
			{
				"key": "分子公司",
				"value": comName
			},
			{
				"key": "部门",
				"value": depName
			},
			{
				"key": "应用名称",
				"value": "移动飞行"
			},
			{
				"key": "事件名称",
				"value": eventName
			},
			{
				"key": "事件ID",
				"value": eventId
			},
			{
				"key": "触发时间",
				"value": getLocVal("uid")+"|"+getYears()+"."+getMonths()+"."+getDays()+" "+getHours()+":"+getMinutes()
			}
		]
	}
	uexTalkingData.userClickInfo(JSON.stringify(dataTest));	
}