/**
 *@params：培训登陆Js文件
 *@params:xing.wei,卫星
 */

appcan.ready(function() {
    $("#username").val("310110198609263239");
    //记住密码改变方法
    changeRememberPassword();
    //自动登录勾选方法
    changeAutomaticLogin();
    //记住密码功能。
    setRememberPassword();
    //自动登录功能。
    setAutomaticLogin();
    //提交按钮
    appcan.button("#submit", "ani-act", function() {
        try {
            loginSubmit2();
        } catch (e) {

        }
    });

});

var loginSubmit2 = function() {
    //身份证号码
    var username = $("#username").val();
    //密码
    var password = $("#password").val();
    username = username ? username.trim() : '';
    if (username == "" || password == "") {
        uexWindow.toast('0', '5', "用户名和密码不能为空", '1000');
        return;
    } else {
        var item = '{"username":"' + username + '","password":"' + password + '"}';
        var url = teststr+"training/loginpx";
        appcan.request.ajax({
            type : 'POST',
            data : JSON.parse(item),
            url : url,
            dataType : 'json',
            success : function(data, status, requestCode, response, xhr) {
                if (status == "success") {
                    //登录成功后方法
                    loginSubmitCb(data);
                }
            },
            error : function(xhr, errorType, error, msg) {
                getJSONError(type);
            }
        });

    }
}
//提示信息方法
var toast = function(type, str, times) {
    if (type == 2) {
        uexWindow.toast('1', '5', '数据加载中,请稍候...', '');
        return;
    }
    if (!str) {
        type = '0',
        str = '网络错误!',
        times = '3000';
        uexWindow.toast(type, '5', str, times);
    }
}
//登陆回调方法
var loginSubmitCb = function(ps) {
    ps = ps[0];
    logs("个人信息====>" + JSON.stringify(ps));
    if (ps.status == 0) {
        //缓存登录成功后的信息
        appcan.locStorage.setVal("userInfo", ps);
        //缓存用户账号
        appcan.locStorage.setVal("username", $("#username").val());
        //缓存用户密码
        appcan.locStorage.setVal("password", $("#password").val());
        uexWindow.open("personalCenter", '0', "personalCenter/personalCenter.html", '5', '', '', 256);
    } else if (ps.status == -1) {
        uexWindow.toast('0', '5', ps.message, '1000');
    } else {
        uexWindow.toast('0', '5', "系统故障,请联系管理员!", '1000');
    }
}
//错误提醒方法
var getJSONError = function(err) {
    if (err.message == 'network error!')
        toast('0', '请检查网络状态', '3000');
    else if (err.message == 'json parse failed!')
        toast('0', '数据解析错误', '3000');
    else
        toast('0', '发现未知错误', '3000');

}
//记住密码实现方法
var setRememberPassword = function() {
    //判断缓存中知否有记住密码选项
    //true--记住 false--不记
    var isPW = appcan.locStorage.getVal("isPW");
    if (isPW == "true") {
        $("#checkpw").attr("checked", true);
        //默认加载用户名和密码
        $("#username").val(appcan.locStorage.getVal("username"));
        $("#password").val(appcan.locStorage.getVal("password"));
    } else {
        $("#checkpw").attr("checked", false);
    }
}
//记住密码改变事件方法
var changeRememberPassword = function() {
    $("#checkpw").change(function() {
        if ($("#checkpw").is(':checked')) {
            appcan.locStorage.setVal("isPW", "true");
        } else {
            appcan.locStorage.setVal("isPW", "false");
        }
    });
}
//自动登录改变事件方法
var changeAutomaticLogin = function() {
    $("#checklg").change(function() {
        if ($("#checklg").is(':checked')) {
            appcan.locStorage.setVal("isLG", "true");
        } else {
            appcan.locStorage.setVal("isLG", "false");
        }
    });
}
//自动登录设置方法
var setAutomaticLogin = function() {
    //判断缓存中知否有自动登录选项
    //true--记住 false--不记
    var isLG = appcan.locStorage.getVal("isLG");
    if (isLG == "true") {
        $("#checklg").attr("checked", true);
        //自动调用登录方法
        loginSubmit2();
    } else {
        $("#checklg").attr("checked", false);
    }
}
//返回按钮
var exitWgt = function() {
    uexWidget.finishWidget("关闭应用", "", 0);
}

