/**
 *@params：个人中心明细js
 *@params:xing.wei,卫星
 */
appcan.ready(function() {
    //加载个人信息
    loadUserInfoDetail();
    recordClickCount('personalInformation','个人信息详情');
});

//加载个人信息
var loadUserInfoDetail = function() {
    //从本地缓存中获取用户信息
    var userInfo=JSON.parse(appcan.locStorage.getVal("px_info"));
    if (userInfo) {
        //姓名
        $("#user_name").html(userInfo.name);
        //拼音码
        $("#user_namepy").html(userInfo.pym);
        //性别
        $("#user_sex").html(userInfo.sex);
        //出生年月
        $("#user_birthday").html(userInfo.birthday.substring(0,10));
        //工号
        $("#user_jobcode").html(userInfo.job_no);
        //国籍
        $("#user_nationality").html(userInfo.nationality);
        //职位
        $("#user_duty").html(userInfo.duty);
        //职称
        $("#user_dutygrade").html(userInfo.duty_grade);
        //专业
        if(userInfo.duty_grade_desc=="空"){
          $("#user_dutygradedesc").html();  
        }else{
          $("#user_dutygradedesc").html(userInfo.duty_grade_desc);  
        }
        
        //用工性质
        var naturestr="";
        if(userInfo.employ_reation=="YS01"){
            naturestr="合同工";
        }else if(userInfo.employ_reation=="YS02"){
            naturestr="临时工";
        }else if(userInfo.employ_reation=="YS03"){
            naturestr="年薪制";
        }
        $("#user_nature").html(naturestr);
        //用工状态
        var statusstr = "离职";
        if (userInfo.employ_status == "1") {
            statusstr = "在职";
        }
        $("#user_employstatus").html(statusstr);
        //是否涉外人员
        var ifforeignstr = "否";
        if (userInfo.if_foreign == "Y") {
            ifforeignstr = "是";
        }
        $("#user_ifforeign").html(ifforeignstr);
        //参加工作时间
        $("#user_jointime").html(userInfo.start_work.substring(0,10));
        //所在部门
        $("#user_dept").html(userInfo.dept);
    }
}