flyList = {};
flyList.init = function(){    
    var flyListDateShow = iG.getObjItem("flyList_win","flyListDateShow");
    var date;
    if(flyListDateShow){
		date = iG.getObjItem("flyList_win","data").condition.flightDate;   
        var dateArr=date.split("-");
        flyList.setDate(dateArr[0],dateArr[1],dateArr[2]);
        $("#date").removeClass("uhide");
        iG.setObjItem("flyList_win","flyListDateShow",false);
    }else{
        date = iG.getObjItem("flyList_win","data").condition.date;
        if(date){
            var dateArr1=date.split("-");
            flyList.setDate(dateArr1[0],dateArr1[1],dateArr1[2]);
        }      
    }
    $("#date>div").on("click",flyList.selectDate);    
};
//查看更多
flyList.findMore = function(){
    var elem = $(this).parents("li");
    var more = elem.find("[more]");
    var moreDataAccessed = more.attr("moreDataAccessed");
    if(!moreDataAccessed){
        $.iBoxWait();
        var flightDate = "";
        if($("[curDate]") && $("[curDate]").attr("date")){
            var date = JSON.parse($("[curDate]").attr("date"));
            flightDate = date.year + "-" + date.month + "-" + date.day;
        }else{
			flightDate = iG.getObjItem("flyStatus_win","flyStatusdata");	
		}    
        var flightNo = elem.attr("flightNumber");
        var altnAirport = elem.attr("altnAirport");
        var arrAirport = elem.attr("arrAirport");
        iG.ajax({
            data: {
                "type": "FLIGHTLISTINFO",
                "condition": {
                    "flightDate":flightDate,
                    "flightNo":flightNo, 
                    "tailNo":"", 
                    "dept":altnAirport, 
                    "arr":arrAirport, 
                    "flgPatch":"0"
                }
            },
            success : function(data){
                $.iBoxHide();
                if (data.status == 1) {
                    $.iBoxMsg(data.desc);
                    return false;
                };
                if (data.array == "" || data.array == null) {
                    $.iBoxMsg("很抱歉，未找到相应的航班信息");
                    return false;
                }; 
               flyList.updateAlternateInfo(data.array,elem);   
            }
        });        
    }else{ 
        flyList.updateAlternateInfo(null,elem);
    }
    return false;
};
flyList.updateAlternateInfo = function(data,elem){    
    var imgElem = elem.find("[isFindMore]");
    var more = elem.find("[more]");
    var shoAt = "";
    if(data){
        switch(data[0].flightStatus){
            case "取消" :
                shoAt = "notTakeOff";
                elem.find("[statusColor]").removeClass("c39").addClass("c31");
                break;
            case "未起飞":
                shoAt = "notTakeOff";
                break;
            case "延误":
                more.find("[statusColor]").removeClass("c39").addClass("c41");
                shoAt = "notTakeOff";
                break;
            case "起飞":
                shoAt = "onAir";
                break;
            default:
                shoAt = "normal";
                break;    
        }
        more.on("click",flyList.toFlyInfo);
        iG.autoData(data[0],more);
		if(data[0].fstd){
			more.attr({
				"id":data[0].flightInfoId,
				"std" : data[0].fstd.substring(11,data[0].fstd.length),
				"flightDate" : data[0].flightDate
			});
			var stdPlus = data[0].fstd.substring(0,10);
			flyList.setPlusMinus(stdPlus,"std",elem);
			more.find("[auto=std]").text(data[0].fstd.substring(11,data[0].fstd.length));	
		}else{
			more.attr({
				"id":data[0].flightInfoId,
				"std" : data[0].std,
				"flightDate" : data[0].flightDate
			});	
		}
		if(data[0].fsta){
			var staMinus = data[0].fsta.substring(0,10);
			flyList.setPlusMinus(staMinus,"sta",elem);
			more.find("[auto=sta]").text(data[0].fsta.substring(11,data[0].fsta.length));	
		}
		if(data[0].fetd){
			var etdPlus = data[0].fetd.substring(0,10);
			flyList.setPlusMinus(etdPlus,"etd",elem);
			more.find("[auto=etd]").text(data[0].fetd.substring(11,data[0].fetd.length));	
		}
		if(data[0].feta){
			var etaMinus = data[0].feta.substring(0,10);
			flyList.setPlusMinus(etaMinus,"eta",elem);
			more.find("[auto=eta]").text(data[0].feta.substring(11,data[0].feta.length));	
		}
		if(data[0].fatd){
			var atdPlus = data[0].fatd.substring(0,10);
			flyList.setPlusMinus(atdPlus,"atd",elem);
			more.find("[auto=atd]").text(data[0].fatd.substring(11,data[0].fatd.length));	
		}
		if(data[0].fata){
			var ataMinus = data[0].fata.substring(0,10);
			flyList.setPlusMinus(ataMinus,"ata",elem);
			more.find("[auto=ata]").text(data[0].fata.substring(11,data[0].fata.length));	
		}
        more.find('[showAt='+ shoAt +']').removeClass("uhide");
        more.attr("moreDataAccessed","true");
    }    
    var isHide = more.height() == 0; 
    var height = isHide ? "7.0em" : "0";
    var img = isHide ? "ub-img img149" : "ub-img img150";
    imgElem.attr("class",img);
    more.height(height);
};
//插入数据
flyList.append = function(data){
    var shoAt = "";
    var html = $(
    '<li class="ubb pr uhide ovaoto" style="border-color:#a0a0a0;width:100%;">'+
        '<section class="pt101 pr5 pb101 pl5" basicInfo>'+
            '<div class="ub ub-ac">'+
                '<div class="ub-img mr6" icon></div>'+
                '<div class="c2 fs101" auto="carrier" style="font-weight:600">MU</div>'+
                '<div class="c2 fs101" auto="flightNo" style="font-weight:600">5137</div>'+
                '<div class="c2 ml3 mr3 uhide">/</div>'+                
                '<div class="ub-f1 c31 fs9 ml8 uhide" auto="fleetCode" style="font-family: arial;">111</div>'+
                '<div class="ub-f1 c31 fs9 ml8 uhide" flightDate style="font-family: arial;">08-01</div>'+
                '<div class="ub-f1"></div>'+
                '<div class="ub ub-ac mr16" tickets>'+
                    '<div class="ub-img mr2" ticketsImg></div>'+
                    '<div class="fs8">剩余</div>'+
                    '<div class="fs8" auto="fstLeftSeats">0(未返回)</div>'+
                    '<div class="fs8 ml2 mr2">/</div>'+
                    '<div class="fs8" auto="busLeftSeats">0(未返回)</div>'+
                    '<div class="fs8 ml2 mr2">/</div>'+
                    '<div class="fs8" auto="encLeftSeats">-10</div>'+
                '</div>'+
                '<div class="ub ub-ac mr16 uhide" ScheduleYlightDate style="font-family: arial;">'+
                '</div>'+
            '</div>'+
            '<div class="ub ub-ac mt4 pl16 pr16">'+
				'<div class="ub-img img300 disneyIcon uhide"></div>'+
                '<div class="tx-c w40" auto="deptAirportName">上海虹桥</div>'+
                '<div class="ub ub-f1 ub-ac pl2 pr2" line>'+
                    '<div class="uba uc-a c24" style="width:0.47em;height:0.47em"></div>'+
                    '<div class="ub-f2 ubt h0 uhide" showAt="alternate"></div>'+
                    '<div class="ub-f2 ubt h0 uhide" showAt="return"></div>'+
                    '<div class="ub-ac ub-pc fs103 c8 uhide pl3 pr3" auto="altnAirportName" showAt="alternate" style="border:1px dashed;">石家庄(未返回)</div>'+
                    '<div class="ub-ac ub-pc c8 pl3 pr3 pt1 pb1 uhide"  showAt="return" style="border:1px dashed;">'+
                        '<div class="img151 ub-img"></div>'+
                    '</div>'+
                    '<div class="ub-f2 dashed h0"></div>'+
                    '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                '</div>'+
                '<div class="tx-c w40" auto="arrAirportName">北京南苑</div>'+
            '</div>'+
            '<div class="ub mt4 pl16 pr10">'+
                '<div class="ub ub-ver ub-ac ub-as tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 mb7">'+
                        '<div class="mr3 fs8">计飞</div>'+
                        '<div class="fs11" auto="std">--：--</div>'+
						'<div class="fs9 ml2" hand="stdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预飞</div>'+
                        '<div class="c7 fs11" auto="etd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="alternate">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="return">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
					'<div class="ub ub-ac ub-f1 uhide" showAt="connectFlight">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                '</div>'+
                '<div class="ub ub-f1 ub-ver ub-ac ub-pc">'+
                    '<div class="ub ub-ac ub-f1 ub-pc mb7 uhide" showAt="alternate">'+
                        '<div class="mr3 c31 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--(未返回)</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pc mb7 uhide" showAt="return">'+
                        '<div class="mr3 c31 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--(未返回)</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c41 uba1 ml5 uhide" showAt="alternate" style="margin-bottom: -0.5em;">'+
                        '<div class="mr2" auto="flightStatus">备降</div>'+
                        '<div class="ub-img img150" isFindMore></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c41 uba1 ml5 uhide" showAt="return" style="margin-bottom: -0.5em;">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                        '<div class="ub-img img150" isFindMore></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="normal">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="onAir">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" statusColor showAt="notTakeOff">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+                    
                '</div>'+
                '<div class="ub ub-ver ub-as ub-pe c31">'+
                    '<div class="ub ub-as ub-f1 ub-pe mb7">'+
                        '<div class="ub ub-ac">'+
                            '<div class="mr3 fs8">计到</div>'+
                            '<div class="fs11" auto="sta">--：--</div>'+
							'<div class="fs9 ml2" hand="staMinus"></div>'+
                        '</div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
					'<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="connectFlight">'+
                        '<div class="mr3 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+
                '</div>'+
            '</div>'+
        '</section>'+
        '<div class="ub-img img41 pa l0 t0" bookStatus style="top:-1px"></div>'+
        '<section class="pa w38 t0 ub ub-ver h_100" bookBtn style="right:-3.8em">'+
            '<div class="ub ub-ver ub-ac ub-pc ub-f1 bc13 uhide" book="ADD">'+
                '<div class="ub-img img141 mb6"></div>'+
                '<div class="c1 fs8">关注</div>'+
            '</div>'+
            '<div class="ub ub-ver ub-ac ub-pc ub-f1 bc22 uhide" book="DEL">'+
                '<div class="ub-img img141 mb6"></div>'+
                '<div class="c1 fs8">取消关注</div>'+
            '</div>'+
        '</section>'+
        '<section class="h0" more style="overflow:hidden">'+
            '<div class="pr16 pl16 ub ub-ver ub-pc h70 bc31 ubt" style="border-style:dashed none none none;border-color:#a0a0a0">'+                
                '<div class="ub mt5 c2">'+
                    '<div class="tx-c w40" auto="deptAirportName">上海虹桥(未返回)</div>'+
                    '<div class="ub ub-f1 ub-ac pl2 pr2">'+
                        '<div class="uba uc-a c24" style="width:0.47em;height:0.47em"></div>'+
                        '<div class="ub-f1 dashed h0"></div>'+
                        '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                    '</div>'+
                    '<div class="tx-c w40" auto="arrAirportName">北京南苑</div>'+
                '</div>'+
                '<div class="ub mt4">'+
                '<div class="ub ub-ver ub-ac tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 mb7">'+
                        '<div class="mr3 fs8">计飞</div>'+
                        '<div class="fs11" auto="std">--：--</div>'+
						'<div class="fs9 ml2" hand="stdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预飞</div>'+
                        '<div class="c7 fs11" auto="etd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etdPlus"></div>'+
                    '</div>'+                   
                '</div>'+
                '<div class="ub ub-f1 ub-ver ub-ac ub-pc">'+                    
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="normal">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="onAir">'+
                        '<div class="mr2" auto="flightStatus">空中</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" statusColor showAt="notTakeOff">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+                    
                '</div>'+
                '<div class="ub ub-ver ub-as ub-pe c31">'+
                    '<div class="ub ub-ac ub-f1 ub-pe mb7">'+
                        '<div class="mr3 fs8">计到</div>'+
                        '<div class="fs11" auto="sta">--：--</div>'+
						'<div class="fs9 ml2" hand="staMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                '</div>'+
            '</div>'+
            '</div>'+
        '</section>'+ 
        '<div cdmEtd  class="ml24 fs9 uhide">预推时间:<span auto="cdmEtd"></span></div>'+       
        '<div class="ub ub-ac ub-pc c56 pt2 pb2 bsb lh20" basicInfo>'+
            '<div class="ub ub-ac ub-pc uba c56 pl4 pr4 uhide toShowVIPInfo">'+
                '<div class="fs12 fb c38" text>VIP名单</div>'+
                '<div class="ub-img img4 ml3" img></div></div>'+
            '</div>'+            
        '</div>'+        
    '</li>'
    );
    var htmlVirtual = $(
    '<li class="ubb pr uhide ovaoto" style="border-color:#a0a0a0;width:100%;">'+
        '<section class="pt101 pr5 pb101 pl5">'+
            '<div class="ub ub-ac">'+
                '<div class="ub-img mr6" icon></div>'+
                '<div class="c2 fs101" auto="carrier" style="font-weight:600">MU</div>'+
                '<div class="c2 fs101" auto="flightNo" style="font-weight:600">5137</div>'+
                '<div class="c2 ml3 mr3 uhide">/</div>'+
                '<div class="ub-f1 c31 fs9 ml8" auto="fleetCode" style="font-family: arial;">111</div>'+
            '</div>'+
             '<div class="ub ub-ac mt4 pl16 pr16">'+
                '<div class="tx-c w40" auto="deptAirportName">上海虹桥</div>'+
                '<div class="ub ub-f1 ub-ac pl2 pr2 w0" line>'+
                    '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                    '<div class="ub-f2 dashed h0"></div>'+
                    '<div class="uc-a10 tx-c fs8 c79" style="border:1px dashed;width:3.66em;">经停</div>'+
                    '<div class="ub-f2 dashed h0"></div>'+
                    '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                '</div>'+
                '<div class="tx-c w40" auto="arrAirportName">北京南苑</div>'+
            '</div>'+
            '<div class="ub mt4 ub-pj pl16 pr16">'+
                '<div class="ub ub-ver ub-ac tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 mb7">'+
                        '<div class="mr3 fs8">计飞</div>'+
                        '<div class="fs11" auto="std">--：--</div>'+
						'<div class="fs9 ml2" hand="stdPlus"></div>'+
                    '</div>'+                    
                '</div>'+                
                '<div class="ub ub-ver ub-ac tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 ub-pe mb7">'+
                        '<div class="mr3 fs8">计到</div>'+
                        '<div class="fs11" auto="sta">--：--</div>'+
						'<div class="fs9 ml2" hand="staMinus"></div>'+
                    '</div>'+                    
                '</div>'+ 
            '</div>'+
            '<div class="ub pl16 pr16" style="margin-top: -1.5em;">'+
                '<div class="ub ub-f1 ub-ac ub-pc c56 pt2 pb2 bsb lh20 toShowTheTwoFlights">'+
                    '<div class="ub ub-ac ub-pc uba c79 pl4 pr4">'+
                        '<div class="" text>经停</div>'+
                        '<div class="ub-img img232 ml3" img></div>'+
                    '</div>'+            
                '</div>'+
            '</div>'+        
        '</section>'+
        '<section class="" virtualMore style="overflow:hidden">'+
        '</section>'+    
    '</li>'
    );
    var elem;
    var author2 = iG.getObjItem("basicData","authorArr");
    for(var i in data){
        //if(!!data[i].IsVirtual && data[i].IsVirtual == "True"){
		if(!!data[i].IsCollectFlight && data[i].IsCollectFlight == "true"){
            elem = htmlVirtual.clone(true).removeClass("uhide");
            switch(data[i].flightStatus){                
                case "取消" :
                    shoAt = "notTakeOff"
                    elem.find("[statusColor]").removeClass("c39").addClass("c31");
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    break;
                case "未起飞":
                    shoAt = "notTakeOff";
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    break;
                case "延误":
                    elem.find("[statusColor]").removeClass("c39").addClass("c41");
                    shoAt = "notTakeOff";
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    break;
                case "起飞":
                    shoAt = "onAir";
                    break;
                default:
                    shoAt = "normal";
                    break;
            };
            elem.attr({
                "flightNo":data[i].carrier+data[i].flightNo,
				"flightDate":data[i].flightDate
            });
            flyList.setIcon(elem,data[i].carrier);
            iG.autoData(data[i],elem);
			if(data[i].fstd){
				var stdPlus = data[i].fstd.substring(0,10);
				flyList.setPlusMinus(stdPlus,"std",elem);
				elem.find("[auto=std]").text(data[i].fstd.substring(11,data[i].fstd.length));	
			}
			if(data[i].fsta){
				var staMinus = data[i].fsta.substring(0,10);
				flyList.setPlusMinus(staMinus,"sta",elem);
				elem.find("[auto=sta]").text(data[i].fsta.substring(11,data[i].fsta.length));	
			}
			if(data[i].fetd){
				var etdPlus = data[i].fetd.substring(0,10);
				flyList.setPlusMinus(etdPlus,"etd",elem);
				elem.find("[auto=etd]").text(data[i].fetd.substring(11,data[i].fetd.length));	
			}
			if(data[i].feta){
				var etaMinus = data[i].feta.substring(0,10);
				flyList.setPlusMinus(etaMinus,"eta",elem);
				elem.find("[auto=eta]").text(data[i].feta.substring(11,data[i].feta.length));	
			}
			if(data[i].fatd){
				var atdPlus = data[i].fatd.substring(0,10);
				flyList.setPlusMinus(atdPlus,"atd",elem);
				elem.find("[auto=atd]").text(data[i].fatd.substring(11,data[i].fatd.length));	
			}
			if(data[i].fata){
				var ataMinus = data[i].fata.substring(0,10);
				flyList.setPlusMinus(ataMinus,"ata",elem);
				elem.find("[auto=ata]").text(data[i].fata.substring(11,data[i].fata.length));	
			}
            elem.find(".toShowTheTwoFlights").on("click",flyList.toTheTwoFlights);
            if(data[i].cdmEtd==undefined|data[i].cdmEtd=="undefined"|data[i].cdmEtd==null){
                elem.find("[cdmEtd]").addClass("uhide");
            }else{
                elem.find("[auto=cdmEtd]").text(data[i].cdmEtd);
            };
            $("#list").append(elem);
        }else{
            elem = html.clone(true).removeClass("uhide");
            switch(data[i].flightStatus){
                case "返航" :
                    shoAt = "return";
                    break;
                case "备降" : 
                    shoAt = "alternate";       
                    break; 
                case "取消" :
                    shoAt = "notTakeOff"
                    elem.find("[statusColor]").removeClass("c39").addClass("c31");
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    break;
                case "未起飞":
                    shoAt = "notTakeOff";
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    break;
                case "延误":
                    elem.find("[statusColor]").removeClass("c39").addClass("c41");
                    if($.inArray("CDM",author2) != -1){
                        elem.find("[cdmEtd]").removeClass("uhide");
                    }
                    shoAt = "notTakeOff";
                    break;
                case "起飞":
                    shoAt = "onAir";
                    break;
                default:
                    shoAt = "normal";
                    break;
            };        
            if(data[i].tailNo == "B6120" || data[i].tailNo == "B6635"){
				elem.find(".disneyIcon").parent().removeClass("pl16");
				elem.find(".disneyIcon").removeClass("uhide");	
			}else{
				elem.find(".disneyIcon").parent().addClass("pl16");
				elem.find(".disneyIcon").addClass("uhide");		
			}
            flyList.setIcon(elem,data[i].carrier);
            flyList.setBookStatus(elem,data[i].isBooked);
            flyList.setTickets(elem,data[i].encLeftSeats);
            elem.find('[showAt='+ shoAt +']').removeClass("uhide");        
            iG.autoData(data[i],elem);
            if(!data[i].shareFlightNo){
                data[i].shareFlightNo = "";
            }
			if(data[i].fstd){
				elem.attr({
					"id":data[i].flightInfoId,
					"std" : data[i].fstd.substring(11,data[i].fstd.length)
				});
				var stdPlus = data[i].fstd.substring(0,10);
				flyList.setPlusMinus(stdPlus,"std",elem);
				elem.find("[auto=std]").text(data[i].fstd.substring(11,data[i].fstd.length));	
			}else{
				elem.attr({
					"id":data[i].flightInfoId,
					"std" : data[i].std
				});	
			}
			if(data[i].fsta){
				var staMinus = data[i].fsta.substring(0,10);
				flyList.setPlusMinus(staMinus,"sta",elem);
				elem.find("[auto=sta]").text(data[i].fsta.substring(11,data[i].fsta.length));	
			}
			if(data[i].fetd){
				var etdPlus = data[i].fetd.substring(0,10);
				flyList.setPlusMinus(etdPlus,"etd",elem);
				elem.find("[auto=etd]").text(data[i].fetd.substring(11,data[i].fetd.length));	
			}
			if(data[i].feta){
				var etaMinus = data[i].feta.substring(0,10);
				flyList.setPlusMinus(etaMinus,"eta",elem);
				elem.find("[auto=eta]").text(data[i].feta.substring(11,data[i].feta.length));	
			}
			if(data[i].fatd){
				var atdPlus = data[i].fatd.substring(0,10);
				flyList.setPlusMinus(atdPlus,"atd",elem);
				elem.find("[auto=atd]").text(data[i].fatd.substring(11,data[i].fatd.length));	
			}
			if(data[i].fata){
				var ataMinus = data[i].fata.substring(0,10);
				flyList.setPlusMinus(ataMinus,"ata",elem);
				elem.find("[auto=ata]").text(data[i].fata.substring(11,data[i].fata.length));	
			}
            flyList.setFlightDate(elem,data[i].flightDate);    
            elem.attr({
                "flightNo":data[i].carrier + data[i].flightNo,
                "flightNumber":data[i].flightNo,
                "altnAirport": data[i].altnAirport,
                "arrAirport": data[i].arrAirport,
                "shareFlightNo": data[i].shareFlightNo,
				"flightDate" : data[i].flightDate
            });
           // elem.find("[basicInfo]").on("click",flyList.toFlyInfo);
		    /*if(data[i].IsCollectFlight == "true"){
				elem.find(".stopover").removeClass("uhide");
				elem.find("[tickets]").addClass("uhide");	
			}else{
				elem.find(".stopover").addClass("uhide");
				elem.find("[tickets]").removeClass("uhide");	
				elem.find("[basicInfo]").on("click",flyList.toFlyInfo);	
			}*/
			elem.find("[basicInfo]").on("click",flyList.toFlyInfo);	
            if(data[i].IsAgency == "false" || data[i].IsAgency == undefined){
                elem.find("[book]").on("click",flyList.addBook);
            };
            if(data[i].cdmEtd==undefined|data[i].cdmEtd=="undefined"|data[i].cdmEtd==null){
                elem.find("[cdmEtd]").addClass("uhide");
            }else{
                elem.find("[auto=cdmEtd]").text(data[i].cdmEtd);
            }
            $("#list").append(elem);
            //非外航代理时，可以关注
            if(data[i].IsAgency == "false" || data[i].IsAgency == undefined){
                flyList.book(elem);
            }        
        }
    }
    var isMyAttentionList = iG.getObjItem("flyList_win","isMyAttentionList");
    if(isMyAttentionList){
        $('[flightDate]').removeClass("uhide");
        iG.setObjItem("flyList_win","isMyAttentionList",false);
    }else{
        $('[auto="fleetCode"]').removeClass("uhide");
    }
    $("[isFindMore]").parent().on("click",flyList.findMore);
};
//选择日期
flyList.selectDate = function(){
	try{
		iG.talkingDataCount("航班列表","0023");
	}
	catch(e){
		
	}
    var dateString = $(this).attr("date");
    var date = JSON.parse(dateString);
    flyList.setDate(date.year,date.month,date.day);
    var data = iG.getObjItem("flyList_win","data");
    data.condition.flightDate = date.year + "-" + date.month + "-" + date.day;
    iG.setObjItem("flyList_win","data",data);
    iP.load();
}
//设置航班日期
flyList.setFlightDate = function(elem,date){
    var fligthDate = date.substring(5);
	elem.find('[flightDate]').text(fligthDate);
    elem.find('[ScheduleYlightDate]').text(fligthDate);    
};
//设置日期
var firstin=true;//航班号搜索第一次进来调用存储数据
flyList.setDate = function(year,month,day){
    if(firstin){
        firstin=false;
    }else{
        iG.setObjItem("flySearch_win","search_way","A");
    }
    var today = new Date(iG.getYear(),iG.getMonth()-1,iG.getDay());
    var yesterday = new Date(iG.getYear(),iG.getMonth()-1,iG.getDay());
    yesterday.setDate(yesterday.getDate()-1);
    var tomorrow = new Date(iG.getYear(),iG.getMonth()-1,iG.getDay());
    tomorrow.setDate(tomorrow.getDate()+1);
    var curDate = new Date(year,month-1,day);
    var prevDate = new Date(year,month-1,day);
    prevDate.setDate(curDate.getDate()-1);
    var nextDate = new Date(year,month-1,day);
    nextDate.setDate(curDate.getDate()+1);
    var prev = {
        "year" : iG.getYear(prevDate),
        "month" : iG.getMonth(prevDate),
        "day" : iG.getDay(prevDate)
    }
    var cur = {
        "year" : year,
        "month" : month,
        "day" : day
    };
    var next = {
        "year" : iG.getYear(nextDate),
        "month" : iG.getMonth(nextDate),
        "day" : iG.getDay(nextDate)
    }
    var prevShow = prev.month + "-" + prev.day;
    var curShow = cur.month + "-" + cur.day;
    var nextShow = next.month + "-" + next.day;
    switch(prevDate.getTime()){
        case yesterday.getTime() : prevShow = "昨天"; break;
        case today.getTime() :  prevShow = "今天"; break;
        case tomorrow.getTime() : prevShow = "明天"; break;
    }
    switch(curDate.getTime()){
        case yesterday.getTime() : curShow = curShow + "(昨天)"; break;
        case today.getTime() :  curShow = curShow + "(今天)"; break;
        case tomorrow.getTime() : curShow = curShow + "(明天)"; break;
    }
    switch(nextDate.getTime()){
        case yesterday.getTime() : nextShow = "昨天"; break;
        case today.getTime() :  nextShow = "今天"; break;
        case tomorrow.getTime() : nextShow = "明天"; break;
    }  
    $("[prevDate]")
        .attr("date",JSON.stringify(prev))
        .children("[dateShow]").text(prevShow);
    $("[curDate]")
        .attr("date",JSON.stringify(cur))
        .children("[dateShow]").text(curShow)
    $("[nextDate]")
        .attr("date",JSON.stringify(next))
        .children("[dateShow]").text(nextShow);
}
//设置图标
flyList.setIcon = function(elem,type){
    var carrier = {
        "MU" : "img182",
        "FM" : "img11",
        "KN" : "img62"
    };
    elem.find("[icon]").addClass(carrier[type] || "img153");
}
//设置剩余票数
flyList.setTickets = function(elem,encLeftSeats){
    var color = "";
    var img = "";
    if(encLeftSeats<=0){
        color = "c8";
        img = "img135";
    }else{
        color = "c6";
        img = "img142";
    }
    elem.find("[tickets]").addClass(color);
    elem.find("[ticketsImg]").addClass(img);
}
//关注滑动
flyList.book = function(elem){
    var mouseMove = function(me,dx,dy,t){
        if(!this.arr) this.arr = [];
        if(typeof(this.gesture) == "undefined"){
            if(Math.abs(dx) > Math.abs(dy)){
                this.gesture = 1;//水平移动
                elem.siblings().css("right",0);
            }else{
                this.gesture = 2;//垂直移动
            }
        };        
        if(this.gesture == 1){ //水平移动
            if(!this.a)this.a = 0;
            if(!this.r)this.r = 0;
            if(!this.w)this.w = $("[bookBtn]").width();
            this.r += (this.a - dx);
            this.a = dx;
            if(this.r<0) this.r =0;
            if(this.r>this.w) this.r= this.w;
            if(dx>30){
            $(me).scrollLeft(0);
            };
            if(dx<-30){
            $(me).scrollLeft(300);
            };
            //$(me).css("right",this.r);
        }else{//垂直移动
            //$("body").scrollTop($("body").scrollTop() - dy);
        } 
    };
    var mouseUp = function(me,dx,dy,t){
        if(this.gesture == 1){//水平移动
            this.a = 0;
            if(this.r<=this.w/2){
                this.r = 0;
            }else{
                this.r = this.w;
            }
            //$(me).animate({"right":this.r},100);
        }
        delete this.gesture;
    } 
    elem[0].gesture=new zyEvent(elem.attr("id"),mouseMove,mouseUp,false);
};
//添加关注
flyList.addBook = function(id){
	try{
		iG.talkingDataCount("关注航班","1002");
	}
	catch(e){
	} 
    $.iBoxWait();
    var mobile = iG.getObjItem("LoginInforAMC","mobile");
    if(!mobile){
        $.iBoxHide();
        $.iBoxMsg("您可在个人中心设置手机号，开通航班关注短信订阅");
        setTimeout(function(){
            iG.openWin("accountPersonal_win");
        },2050);        
        return false;
    }
    var $li;
    if(id && id.data){
        $li = $("#" + id.data);
    }else{
        $li = $(this).parents("li");
    }
    var flightInfoId = $li.attr("id");
    var bookType = $(this).attr("book");
    var type = {
        "DEL" : "N",
        "ADD" : "Y"
    }
    iG.ajax({
        data : {
            "type":"BOOKFLIGHTPUT",
            "condition":{
                "mobile": mobile,
                "bookType" : $(this).attr("book"), 
                "flightInfoId" : flightInfoId,
                "style":"1"
            }
        },
        success : function(data){
            if (data.status == 1) {
                $.iBoxMsg(data.desc);
                return;
            };
            $.iBoxMsg(type[4]);
            flyList.setBookStatus($li,type[bookType])
            //$li.animate({right:0},200);
            $li.scrollLeft(0);
        }
    })
    return false;
};
//设置关注状态
flyList.setBookStatus = function(elem,bookType){
    var act = {
        "Y" : ["removeClass","[book=DEL]"],
        "N" : ["addClass","[book=ADD]"]
    }
    elem.find("[bookStatus]")[act[bookType][0]]("uhide");
    elem.find(act[bookType][1]).removeClass("uhide").siblings().addClass("uhide")
};
//显示两个实航班
flyList.toTheTwoFlights = function(){
	try{
		iG.talkingDataCount("经停航班","1030");
	}
	catch(e){	
	}
    var elem = $(this).parents("li");
    var text = $(this).find("[img]").hasClass("img4");
    if(elem.attr("gotVirtual") == "1" && $(this).find("[img]").hasClass("img233")){
        elem.find("[virtualMore]").addClass("uhide");
        $(this).find("[img]").removeClass("img233").addClass("img232");
        return false;
    }
    if(elem.attr("gotVirtual") == "1" && $(this).find("[img]").hasClass("img232")){
        elem.find("[virtualMore]").removeClass("uhide");
        $(this).find("[img]").removeClass("img232").addClass("img233");
        return false;
    }
    $.iBoxWait();    
    var condition = {
		"flightDate" : elem.attr("flightDate"),
        "flightNo" : elem.attr("flightNo")   
    };
    iG.ajax({
        data : {
            type : "FLIGHTLISTINFO",
            condition : condition
        },
        success : function(data){           
            if (data.status == 1) {
                $.iBoxMsg(data.desc);
                return; 
            };                                
            if ((data.array == "" || data.array == null)) {
                uexWindow.alert("提示","很抱歉，没有查询到相应的实际航班！","确定");
                $.iBoxHide();
                return;
            };
            $.iBoxHide();
            elem.attr("gotVirtual","1");
            elem.find(".toShowTheTwoFlights [img]").removeClass("img232").addClass("img233");
            flyList.virtualListAppend(data.array,elem);
        }
    });
};
flyList.virtualListAppend = function(data,elemVirtual){
     var html = $(
    '<li class="pr uhide ovaoto" style="color:red;border-color:#a0a0a0;width:100%;">'+
        '<section class="pt101 pb101 pl5 pr5 bc30" basicInfo style="border-top:1px dashed;">'+
            '<div class="ub ub-ac">'+
                '<div class="ub-img mr6 w10"></div>'+
                '<div class="c2 fs101" auto="carrier" style="font-weight:600">MU</div>'+
                '<div class="c2 fs101" auto="flightNo" style="font-weight:600">5137</div>'+
                '<div class="c2 ml3 mr3 uhide">/</div>'+                
                '<div class="ub-f1 c31 fs9 ml8 uhide" auto="fleetCode" style="font-family: arial;">111</div>'+
                '<div class="ub-f1 c31 fs9 ml8 uhide" flightDate style="font-family: arial;">08-01</div>'+
                '<div class="ub-f1"></div>'+
                '<div class="ub ub-ac mr16" tickets>'+
                    '<div class="ub-img mr2" ticketsImg></div>'+
                    '<div class="fs8">剩余</div>'+
                    '<div class="fs8" auto="fstLeftSeats">0(未返回)</div>'+
                    '<div class="fs8 ml2 mr2">/</div>'+
                    '<div class="fs8" auto="busLeftSeats">0(未返回)</div>'+
                    '<div class="fs8 ml2 mr2">/</div>'+
                    '<div class="fs8" auto="encLeftSeats">-10</div>'+
                '</div>'+
            '</div>'+
            '<div class="ub ub-ac mt4 pl16 pr16">'+
                '<div class="tx-c w40" auto="deptAirportName">上海虹桥</div>'+
                '<div class="ub ub-f1 ub-ac pl2 pr2" line>'+
                    '<div class="uba uc-a c24" style="width:0.47em;height:0.47em"></div>'+
                    '<div class="ub-f2 ubt h0 uhide" showAt="alternate"></div>'+
                    '<div class="ub-f2 ubt h0 uhide" showAt="return"></div>'+
                    '<div class="ub-ac ub-pc fs103 c8 uhide pl3 pr3" auto="altnAirportName" showAt="alternate" style="border:1px dashed;">石家庄(未返回)</div>'+
                    '<div class="ub-ac ub-pc c8 pl3 pr3 pt1 pb1 uhide"  showAt="return" style="border:1px dashed;">'+
        '<div class="img151 ub-img"></div>'+
        '</div>'+
                    '<div class="ub-f2 dashed h0"></div>'+
                    '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                '</div>'+
                '<div class="tx-c w40" auto="arrAirportName">北京南苑</div>'+
            '</div>'+
            '<div class="ub mt4 pl16 pr16">'+
                '<div class="ub ub-ver ub-ac tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 mb7">'+
                        '<div class="mr3 fs8">计飞</div>'+
						'<div class="fs11" auto="std">--：--</div>'+
						'<div class="fs9 ml2" hand="stdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预飞</div>'+
                        '<div class="c7 fs11" auto="etd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="alternate">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="return">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                '</div>'+
                '<div class="ub ub-f1 ub-ver ub-ac ub-pc">'+
                    '<div class="ub ub-ac ub-f1 ub-pc mb7 uhide" showAt="alternate">'+
                        '<div class="mr3 c31 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--(未返回)</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pc mb7 uhide" showAt="return">'+
                        '<div class="mr3 c31 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--(未返回)</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c41 uba1 ml5 uhide" showAt="alternate" style="margin-bottom: -0.5em;">'+
                        '<div class="mr2" auto="flightStatus">备降</div>'+
                        '<div class="ub-img img150" isFindMore></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c41 uba1 ml5 uhide" showAt="return" style="margin-bottom: -0.5em;">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                        '<div class="ub-img img150" isFindMore></div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="normal">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="onAir">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" statusColor showAt="notTakeOff">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+                    
                '</div>'+
                '<div class="ub ub-ver ub-as ub-pe c31">'+
                    '<div class="ub ub-as ub-f1 ub-pe mb7">'+
                        '<div class="ub ub-ac">'+
                            '<div class="mr3 fs8">计到</div>'+
                            '<div class="fs11" auto="sta">--：--</div>'+
							'<div class="fs9 ml2" hand="staMinus"></div>'+
                        '</div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                '</div>'+
            '</div>'+
        '</section>'+
        '<div class="ub-img img41 pa l0 t0" bookStatus style="top:-1px"></div>'+
        '<section class="pa w38 t0 ub ub-ver h_100" bookBtn style="right:-3.8em">'+
            '<div class="ub ub-ver ub-ac ub-pc ub-f1 bc13 uhide" book="ADD">'+
                '<div class="ub-img img141 mb6"></div>'+
                '<div class="c1 fs8">关注</div>'+
            '</div>'+
            '<div class="ub ub-ver ub-ac ub-pc ub-f1 bc22 uhide" book="DEL">'+
                '<div class="ub-img img141 mb6"></div>'+
                '<div class="c1 fs8">取消关注</div>'+
            '</div>'+
        '</section>'+
        '<section class="h0" more style="overflow:hidden">'+
            '<div class="pr16 pl16 ub ub-ver ub-pc h70 bc31 ubt" style="border-style:dashed none none none;border-color:#a0a0a0">'+                
                '<div class="ub mt5 c2">'+
                    '<div class="tx-c w40" auto="deptAirportName">上海虹桥(未返回)</div>'+
                    '<div class="ub ub-f1 ub-ac pl2 pr2">'+
                        '<div class="uba uc-a c24" style="width:0.47em;height:0.47em"></div>'+
                        '<div class="ub-f1 dashed h0"></div>'+
                        '<div class="uba uc-a c31" style="width:0.47em;height:0.47em"></div>'+
                    '</div>'+
                    '<div class="tx-c w40" auto="arrAirportName">北京南苑</div>'+
                '</div>'+
                '<div class="ub mt4">'+
                '<div class="ub ub-ver ub-ac tx-r pr2 c31">'+
                    '<div class="ub ub-ac ub-f1 mb7">'+
                        '<div class="mr3 fs8">计飞</div>'+
                        '<div class="fs11" auto="std">--：--</div>'+
						'<div class="fs9 ml2" hand="stdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">实飞</div>'+
                        '<div class="c7 fs11" auto="atd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="atdPlus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预飞</div>'+
                        '<div class="c7 fs11" auto="etd">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etdPlus"></div>'+
                    '</div>'+                   
                '</div>'+
                '<div class="ub ub-f1 ub-ver ub-ac ub-pc">'+                    
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="normal">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" showAt="onAir">'+
                        '<div class="mr2" auto="flightStatus">空中</div>'+
                    '</div>'+
                    '<div class="ub w38 ub-ac ub-pc h18 c39 uba1 ml5 uhide" statusColor showAt="notTakeOff">'+
                        '<div class="mr2" auto="flightStatus">返航</div>'+
                    '</div>'+                    
                '</div>'+
                '<div class="ub ub-ver ub-as ub-pe c31">'+
                    '<div class="ub ub-ac ub-f1 ub-pe mb7">'+
                        '<div class="mr3 fs8">计到</div>'+
                        '<div class="fs11" auto="sta">--：--</div>'+
						'<div class="fs9 ml2" hand="staMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="normal">'+
                        '<div class="mr3 fs8">实到</div>'+
                        '<div class="c7 fs11" auto="ata">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="ataMinus"></div>'+
                    '</div>'+                    
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="notTakeOff">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                    '<div class="ub ub-ac ub-f1 ub-pe uhide" showAt="onAir">'+
                        '<div class="mr3 fs8">预到</div>'+
                        '<div class="c7 fs11" auto="eta">--：--</div>'+
						'<div class="c7 fs9 ml2" hand="etaMinus"></div>'+
                    '</div>'+
                '</div>'+
            '</div>'+
            '</div>'+
        '</section>'+       
    '</li>'
    );
    var elem;    
    for(var i in data){
        elem = html.clone(true).removeClass("uhide");
        switch(data[i].flightStatus){
            case "返航" :
                shoAt = "return";                           
                break;
            case "备降" : 
                shoAt = "alternate";                           
                break; 
            case "取消" :
                shoAt = "notTakeOff"
                elem.find("[statusColor]").removeClass("c39").addClass("c31");
                break;
            case "未起飞":
                shoAt = "notTakeOff";
                break;
            case "延误":
                elem.find("[statusColor]").removeClass("c39").addClass("c41");
                shoAt = "notTakeOff";
                break;
            case "起飞":
                shoAt = "onAir";
                break;
            default:
                shoAt = "normal";
                break;
        };        
        //flyList.setIcon(elem,data[i].carrier);
        flyList.setBookStatus(elem,data[i].isBooked);
        flyList.setTickets(elem,data[i].encLeftSeats);
        elem.find('[showAt='+ shoAt +']').removeClass("uhide");        
        iG.autoData(data[i],elem);
        if(!data[i].shareFlightNo){
            data[i].shareFlightNo = "";
        }
		if(data[i].fstd){
			elem.attr({
				"id":data[i].flightInfoId,
				"std" : data[i].fstd.substring(11,data[i].fstd.length)
			});
			var stdPlus = data[i].fstd.substring(0,10);
			flyList.setPlusMinus(stdPlus,"std",elem);
			elem.find("[auto=std]").text(data[i].fstd.substring(11,data[i].fstd.length));	
		}else{
		  	elem.attr({
				"id":data[i].flightInfoId,
				"std" : data[i].std
			});
		}
		if(data[i].fsta){
			var staMinus = data[i].fsta.substring(0,10);
			flyList.setPlusMinus(staMinus,"sta",elem);
			elem.find("[auto=sta]").text(data[i].fsta.substring(11,data[i].fsta.length));	
		}
		if(data[i].fetd){
			var etdPlus = data[i].fetd.substring(0,10);
			flyList.setPlusMinus(etdPlus,"etd",elem);
			elem.find("[auto=etd]").text(data[i].fetd.substring(11,data[i].fetd.length));	
		}
		if(data[i].feta){
			var etaMinus = data[i].feta.substring(0,10);
			flyList.setPlusMinus(etaMinus,"eta",elem);
			elem.find("[auto=eta]").text(data[i].feta.substring(11,data[i].feta.length));	
		}
		if(data[i].fatd){
			var atdPlus = data[i].fatd.substring(0,10);
			flyList.setPlusMinus(atdPlus,"atd",elem);
			elem.find("[auto=atd]").text(data[i].fatd.substring(11,data[i].fatd.length));	
		}
		if(data[i].fata){
			var ataMinus = data[i].fata.substring(0,10);
			flyList.setPlusMinus(ataMinus,"ata",elem);
			elem.find("[auto=ata]").text(data[i].fata.substring(11,data[i].fata.length));	
		}
        flyList.setFlightDate(elem,data[i].flightDate);    
        elem.attr({
            "flightNo":data[i].carrier + data[i].flightNo,
            "flightNumber":data[i].flightNo,
            "altnAirport": data[i].altnAirport,
            "arrAirport": data[i].arrAirport,
            "shareFlightNo": data[i].shareFlightNo,
			"flightDate" : data[i].flightDate
        });
        elem.find("[basicInfo]").on("click",flyList.toFlyInfo);
        if(data[i].IsAgency == "false" || data[i].IsAgency == undefined){
            elem.find("[book]").click(elem.attr("id"),flyList.addBook);
        }
        elemVirtual.find("[virtualMore]").append(elem);
        //非外航代理时，可以关注
        if(data[i].IsAgency == "false" || data[i].IsAgency == undefined){
            flyList.book(elem);
        }       
    } 
    var isMyAttentionList = iG.getObjItem("flyList_win","isMyAttentionList");
	if(isMyAttentionList){
	    $('[flightDate]').removeClass("uhide");
	    iG.setObjItem("flyList_win","isMyAttentionList",false);
	}else{
	    $('[auto="fleetCode"]').removeClass("uhide");
	}
	$("[isFindMore]").parent().on("click",flyList.findMore);   
}
//到航班信息
flyList.toFlyInfo = function(){
    var flightInfoId = $(this).attr("id") || $(this).parent().attr("id");
    var flightNo = $(this).attr("flightNo") || $(this).parent().attr("flightNo");
    var std = $(this).attr("std") || $(this).parent().attr("std");
    var shareFlightNo = $(this).attr("shareFlightNo") || $(this).parent().attr("shareFlightNo");
	var flightDate =  $(this).attr("flightDate") || $(this).parent().attr("flightDate");
    if(!!shareFlightNo){
        shareFlightNo = shareFlightNo.replace(",","/");
    }
    var data;
    if(iG.getObjItem("installedSingle_win","installedSingle")=="1"){
        data = {
            "flightInfoId" : flightInfoId,
            "popover" : "flyInfo_installedSingle",
            "flightNo":flightNo,
            "std":std,
            "shareFlightNo":shareFlightNo,
			"flightDate":flightDate.substring(5,flightDate.length)
        }
    }else{
        data = {
            "flightInfoId" : flightInfoId,
            "std":std,
            "popover" : "flyInfo_basic",
			"flightNo":flightNo,
			"shareFlightNo":shareFlightNo,
			"flightDate":flightDate.substring(5,flightDate.length)
        }        
    }
   // uexDataAnalysis.setEvent("E1008","{'':''}");
   var fieldFight = [];
   var fieldFightObject = {"flightNo":flightNo,"flightInfoId" : flightInfoId};
   fieldFight.push(fieldFightObject);
   iG.setObjItem("fieldInspection","fieldFight",fieldFight);
   try{
		iG.talkingDataCount("航班列表详情","0023");
		var param = {  
                page : "flyInfo_win",
                type : "FLIGHTCANCELRETURNALTNINFO",
                condition : { 
                    flightInfoId:flightInfoId,
                    popover : "flyInfo_basic"
                }
            }; 
           var localCount1 = 'localStorage["MU3-xiaoI-param"]=\'' + JSON.stringify(param) + '\'';
           uexWindow.evaluateScript('today', '0', localCount1); 
           uexWindow.evaluateScript('today', '0', 'openTab("航班动态","11219621");');
	}
	catch(e){
		var param = {  
                page : "flyInfo_win",
                type : "FLIGHTCANCELRETURNALTNINFO",
                condition : { 
                    flightInfoId:flightInfoId,
                    popover : "flyInfo_basic"
                }
            }; 
           var localCount1 = 'localStorage["MU3-xiaoI-param"]=\'' + JSON.stringify(param) + '\'';
           uexWindow.evaluateScript('today', '0', localCount1);  
           uexWindow.evaluateScript('today', '0', 'openTab("航班动态","11219621");');
	}
    return false;
} 
flyList.setPlusMinus = function(statusTime,status,elem){
	var flightDate = iG.getObjItem("flyList_win","data").condition.flightDate;
	var dateST = new Date(statusTime.replace(/-/g,"/"));
	var dateFD = new Date(flightDate.replace(/-/g,"/"));
	var listTimeST = dateST.getTime();
	var listTimeFD = dateFD.getTime();
	switch(status){ 
		case "std" :
			if(listTimeST<listTimeFD){
				elem.find("[hand=stdPlus]").text("-1");
			}
			if(listTimeST>listTimeFD){
				elem.find("[hand=stdPlus]").text("+1");
			}
			break;
		case "sta":
			if(listTimeST>listTimeFD){
				elem.find("[hand=staMinus]").text("+1");
			}
			if(listTimeST<listTimeFD){
				elem.find("[hand=staMinus]").text("-1");
			}
			break;               
		case "etd" :
			if(listTimeST<listTimeFD){
				elem.find("[hand=etdPlus]").text("-1");
			}
			if(listTimeST>listTimeFD){
				elem.find("[hand=etdPlus]").text("+1");
			}
			break;
		case "eta":
			if(listTimeST>listTimeFD){
				elem.find("[hand=etaMinus]").text("+1");
			}
			if(listTimeST<listTimeFD){
				elem.find("[hand=etaMinus]").text("-1");
			}
			break;
		case "atd":
			if(listTimeST<listTimeFD){
				elem.find("[hand=atdPlus]").text("-1");
			}
			if(listTimeST>listTimeFD){
				elem.find("[hand=atdPlus]").text("+1");
			}
			break;
		case "ata":
			if(listTimeST>listTimeFD){
				elem.find("[hand=ataMinus]").text("+1");
			}
			if(listTimeST<listTimeFD){
				elem.find("[hand=ataMinus]").text("-1");
			}
			break;
		default:
			break;
	};	
}