flyProblem = {};
flyProblem.init = function(){
    $("ul").on("click","li",flyProblem.toFlightInfo);
};
//装载数据
flyProblem.load = function(type,isRefresh){
    isRefresh || $.iBoxWait();
    iG.ajax({
        data : {
            "type":"FLIGHTCANCELRETURNALTNINFO",
            "condition":{
                "company":iG.getObjItem("flyProblem_win","company"),
                "date":iG.getObjItem("flyProblem_win","date"),
                "action":type
            }
        },
        success : function(data){
            iG.ajaxCallback(isRefresh);
            $("ul>li").not(".uhide").remove();
            flyProblem.setTab(data);
            if(iG.isGood(data,true)){
                flyProblem.append(data.array); 
            }      
        }
    })
};
flyProblem.setTab = function(data){
    var data = JSON.stringify(data,["altnFlightCount","returnFlightCount","cancelFlightCount"])
    iG.setObjItem("flyProblem_win","data",JSON.parse(data));
    uexWindow.evaluateScript("flyProblem_win",0,"iP.load()");
};
//插入数据
flyProblem.append = function(data){
    var elem, clone = $("ul>li:first");
    for(var i in data){
        elem = clone.clone().removeClass("uhide");
        if(data[i].flightServiceType !="正班" || data[i].flgPatch == "True"){
            elem.css("background","#E6E4E4")
        }
        elem.attr({
            "flightinfoid" : data[i].flightInfoId,
            "flightNo" :  data[i].carrier +  data[i].flightNo
        });
        iG.autoData(data[i],elem);
        flyProblem.setIcon(elem.find("[hand=icon]"),data[i].carrier);
        flyProblem.setReason(elem.find("[auto=ReasonRemark]"));
        flyProblem.setFlgPatch(elem.find("[hand=flgPatch]"),data[i].flgPatch);
        $("ul").append(elem);
    };
};
//设置flgPatch
flyProblem.setFlgPatch = function(elem,boolean){
    if(boolean == "True"){
        elem.text("(+)")
    }
};
//设置图标
flyProblem.setIcon = function(elem,type){
    var carrier = {
        "MU" : "img182",
        "FM" : "img11",
        "KN" : "img62"
    };
    elem.addClass(carrier[type]);
};
//设置原因
flyProblem.setReason = function(elem){
    if(elem.text()==""){
        elem.parent().parent().remove();
    }
};
//到航班信息
flyProblem.toFlightInfo = function(){
    var data = {
        flightInfoId : $(this).attr("flightInfoId")
    }
  //  uexDataAnalysis.setEvent("E1008","{'':''}");
    iG.openWin("flyInfo_win",data);
};
